2007-05-15 18:15  greger

	* Makefile.defs: Turned off DBG_QM_MALLOC in preperation for
	  release (ref. discussion on serdev some time ago)

2007-05-15 07:15  di-shi

	* modules/osp/doc/: functions.xml, osp.sgml, osp.xml,
	  osp_devel.sgml, osp_devel.xml, osp_faq.sgml, osp_faq.xml,
	  osp_user.sgml, osp_user.xml, params.xml: Update OSP module doc.

2007-05-14 12:26  sobomax

	* modules/pa/: notify.c, pa_mod.c, pa_mod.h: MFt: Add new module
	  tunable notify_is_refresh. Default is 1, setting to 0 prevents
	  200 OK to NOTIFY from being used as a target refresh.  It is
	  necessary in the cases when notified party is behind a NAT
	  otherwise remote contact is updated with non-public IP and any
	  further NOTIFY will be lost.

2007-05-14 11:53  sobomax

	* lib/: presence/Makefile.ser, xcap/Makefile.ser: Make buildable on
	  FreeBSD OOB.

2007-05-14 11:50  sobomax

	* modules/pa/Makefile: Backout previous change: my mistake.

2007-05-14 11:30  sobomax

	* modules/pa/Makefile: Make it buildable.

2007-05-14 11:20  sobomax

	* lib/xcap/xcap_client.c: Make buildable with the latest version of
	  the curl (CURLOPT_MUTE has been depreciated).

2007-05-14 08:53  di-shi

	* modules/osp/etc/sample-osp-ser.cfg: Change CANCEL logic.

2007-05-04 23:48  sobomax

	* modules/auth_db/authorize.c: MFt: Add support for loading
	  non-string (int only at this time) fields via load_credentials
	  feature. For now, they are converted into the string AVP and as
	  such should be either processed as strings or converted into
	  integers using avpops module functions. Non-ideal solution, but
	  it's better than crashing when trying to access invalid pointer.

2007-05-04 23:17  sobomax

	* db/db_id.c: Allow '/' to be part of the hostname. Some DB
	  backends (e.g. postgresql) use this for specyfying location of
	  the unix domain socket for communicating with the server. Example
	  of such URL would be:

	  postgres://someuser@/var/run/sippy

	  Here the sippy is the database name, while /var/run is the
	  location of the socket. This change should be backward compatible
	  since '/' is not allowed in the database name.

2007-05-04 18:10  mma

	* route.c: Backport of SER-263 fix

	  - check the length of the select result value if the run_select
	  returned 0   to catch the empty string (res->s might be NULL if
	  res->len==0) - check whether the /0 put behind the string is
	  really neccessary   STR_STATIC_INITed str is already delimited,
	  write behind causes segfault

2007-05-04 10:18  kubartv

	* modules/gflags/gflags.c: corrected bug in reloading global
	  attributes closes SER-262 (taken from HEAD; it seems to be
	  working)

2007-05-03 20:57  sobomax

	* modules/xcap/xcap_mod.c: MFt: Make compatible with the latest
	  curl library.

2007-05-03 20:40  andrei

	* dst_blacklist.c:
	  - [backport]: fix: blacklist destroy not freeing all the shmem on
	  exit and   missing  initializations (thanks to  Vladimir Marek
	  <vlada@iptel.org>)

2007-05-03 12:02  sobomax

	* modules/osp/destination.c: MFt: Include stdio.h for snprintf(3).

2007-05-03 11:56  sobomax

	* lib/binrpc/binrpc_api.c: Include all headers necessary for
	  writev(2) syscall.

2007-05-03 11:45  sobomax

	* modules/unixsock/unixsock_server.c: Fix compilation.

2007-05-03 11:27  sobomax

	* lib/cds/simple_profile.c: MFt: Don't rely on presence of
	  unportable type (probably glibc internal one).

2007-05-02 05:12  di-shi

	* modules/osp/etc/sample-osp-ser.cfg: 1. Fix a typo for log
	  variables.  2. Add warning log for the BYE messages without OSP
	  info.

2007-05-02 00:03  sobomax

	* modules/tm/sip_msg.c: MFt: Handle HDR_SERVER_T.

2007-05-01 23:32  sobomax

	* parser/: hf.c, hf.h, keys.h, msg_parser.c, msg_parser.h,
	  parse_hname2.c: MFt: Server HF support.

2007-05-01 17:20  liborc

	* modules/usrloc/ul_rpc.c: string length fix

2007-04-30 10:43  kubartv

	* db/schema/offline_winfo.xml, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  index in offline_winfo table changed to unique index closes
	  SER-261

2007-04-27 11:00  vlada

	* ser_stun.c: Applied patch from Alfred E. Heggestad - added
	  include of <openssl/sha.h> and removed exter declaration of SHA1.

2007-04-24 13:43  di-shi

	* modules/osp/: RELEASE-NOTES.txt, destination.c, destination.h,
	  globals.c, orig_transaction.c, orig_transaction.h, osp_mod.c,
	  osp_mod.h, osptoolkit.c, osptoolkit.h, provider.c, provider.h,
	  sipheader.c, sipheader.h, term_transaction.c, term_transaction.h,
	  tm.c, tm.h, usage.c, usage.h, doc/osp.sgml, doc/osp_devel.sgml,
	  doc/osp_faq.sgml, doc/osp_user.sgml, etc/sample-osp-ser.cfg:
	  merge code from experimental.

2007-04-23 18:54  andrei

	* Makefile.modules: - fixed missing Makefile.defs dependency when
	  running make inside a module$  director [backported from
	  unstable]

2007-03-27 14:01  janakj

	* modules/acc_radius/acc_radius.c: - Always add User-Name
	  attribute, patch provided by Samuel

2007-03-14 22:42  tma0

	* modules/nathelper/natping.c: - merged SER-246 from HEAD

2007-03-14 15:13  tma0

	* modules/xlog/xl_lib.c: - merged SER-240 from HEAD

2007-03-08 12:20  calrissian

	* etc/ser-basic.cfg: - removed obsoleted fifo comments - replaced
	  sl_send_reply with sl_reply - lots of beautifications (no
	  functional changes)

2007-03-08 11:51  calrissian

	* etc/ser.cfg: - removed xmlrpc route from init route - fixed
	  several comments

2007-03-01 18:07  andrei

	* scripts/mysql/ser_mysql.sh:
	  [backport from unstable]

	  - fix: allow empty mysql password and better handle the DB=""
	  case inside	sql_query

2007-03-01 14:53  andrei

	* main.c:
	  [backport from unstable]

	  - sercmd ps udp receiver description fixed to be the same as in
	  0.9.6  (patch from Hendrik Scholz)

	  (closes SER-237)

2007-02-28 20:21  andrei

	* atomic/: atomic_alpha.h, atomic_x86.h:
	  [backport from unstable]

	  - compilation fix for gcc < 2.9 (workaround for unsuported
	  contraint)

2007-02-23 22:19  andrei

	* Makefile.defs, globals.h, main.c, modules/acc_db/acc_db.c,
	  modules/auth_db/authdb_mod.c, modules/avp_db/avp_db.c,
	  modules/db_ops/db_ops.c, modules/gflags/gflags.c,
	  modules/lcr/lcr_mod.c, modules/msilo/msilo.c,
	  modules/mysql/dbase.c, modules/pa/pa_mod.c, modules/pdt/pdt.c,
	  modules/postgres/dbase.c, modules/rls/rls_mod.c,
	  modules/speeddial/speeddial.c, modules/uri_db/uridb_mod.c,
	  modules/usrloc/ul_mod.c:
	  [backport from unstable]

	  - fix:  db connections should not be opened from
	  child_init(PROC_MAIN),   or they will be inherited by all the tcp
	  processes (bad). Bug reported by   Jan Andres
	  <jan.andres@freenet-ag.de>.

	  closes SER-227

2007-02-23 10:09  kubartv

	* lib/cds/: ChangeLog, serialize.c, serialize.h: merged from HEAD
	  (needed here)

2007-02-22 21:59  andrei

	* dns_cache.c, hashes.h:
	  [backport from unstable]

	    - added case-insensitive hash functions
	    - replaced dns case insensitve hash calc. with the version from
	  hashes.h
	     (and fixed a "paste error" in dns hash calculation in the
	  process)

2007-02-22 16:33  janakj

	* pkg/rpm/ser.spec-4.1: - fixed download url (I got it wrong in the
	  previous commit)

2007-02-22 16:27  janakj

	* pkg/rpm/: ser.init, ser.spec-4.1: - applied patch from Alfred E.
	  Heggestad - Updated download URL

2007-02-22 13:49  janakj

	* etc/ser.cfg: - replace sl_send_reply with sl_reply

2007-02-21 21:37  andrei

	* modules/tls/: fixed_c_zlib.h, tls_init.c:
	  [backported from unstable]

	  - even more zlib sanity checks - workarround against openssl 1
	  ex_data hash	per process instead of one globally - properly
	  cleanup if something failed

2007-02-21 02:51  andrei

	* tcp_read.c:
	  [backport from unstable]  - fixed get_ticks* usage: only
	  get_ticks_raw() must be used and everything  must be converted to
	  ticks. Thanks to Alfred E. Heggestad" <aeh@db.org> for  spotting
	  this.

2007-02-20 20:37  andrei

	* Makefile, Makefile.defs:
	  [backport from unstable]

	   - call tls_shutdown() only if tls_set_fd() was succesfull
	     (fixes a tricky bug that can appear on low memory conditions)A
	   - tls_dump_cert_info takes into account the possibility of a
	  failing
	      X609_NAME_oneline() (can happen on low memory)

2007-02-20 20:17  andrei

	* modules/tls/tls_server.c:
	  [backport from unstable]

	  - call tls_shutdown() only if tls_set_fd() was succesfull
	  (fixes a tricky bug that can appear on low memory conditions)A  -
	  tls_dump_cert_info takes into account the possibility of a
	  failing    X609_NAME_oneline() (can happen on low memory)

2007-02-20 20:15  andrei

	* tcp_read.c:
	  [backport from unstable]

	  - minor: nicer error handling - fixed wrong expire time
	  calculation (not correct when tick oveflow,	 an timeout == some
	  value before the overflow).	  This should fix the connection
	  lives forever bug reported by Alfred E.     Heggestad
	  <aeh@db.org>.

2007-02-20 20:02  andrei

	* Makefile.defs:
	  [backport from unstable]

	   - moved TLS_HOOKS init. in Makefile.defs so that it will be
	  available if make
	     is called from a module directory

2007-02-20 20:02  andrei

	* modules/tls/: tls_init.c, tls_init.h, tls_server.c:
	  [backport from ser unstable]

	  - tls: openssl kerberos malloc bug (# 1467) fixed on cvs
	  (0.9.8e-dev and 0.9.9-dev), so add extra checks for enabling the
	  workarround (which disables kerberos) only when necessary:  if
	  openssl compiled with kerberos support, and openssl <
	  0.9.8e-beta1 or openssl between 0.9.9-dev and 0.9.9-beta1 apply
	  workarround.

2007-02-20 19:43  andrei

	* action.c, select.c, modules/nathelper/nathelper.c,
	  modules/permissions/im_locks.h, modules/usrloc/reg_avps.c,
	  modules/xlog/xl_lib.c:
	  [backport from unstable]  - warnings for solaris  - compilation
	  fixes for  gcc 2.95

2007-02-16 18:17  calrissian

	* etc/ser.cfg: copied Alfred Heggestads patch from head

2007-02-16 14:38  kubartv

	* modules/tm/uac.c: merge from HEAD - corrected broken sending
	  request to given destination (used for example in msilo)

2007-02-12 14:28  janakj

	* NEWS: - version changed

2007-02-12 14:27  janakj

	* Makefile.defs: - new branch for Ottendorf, version changed

2007-02-12 14:16  janakj

	* modules/uri_radius/: checks.c, urirad_mod.c: - A_SER_ATTRS has
	  not been renamed to A_SER_ATTR, fixed

2007-02-12 14:15  janakj

	* rad_dict.h: - added missing V_CALL_CHECK value of Service-Type
	  attribute

2007-02-11 09:46  andrei

	* lib/binrpc/binrpc_api.c:
	  - commented out the stropts.h include, it seems it's not really
	  needed  and is not widely available (bsd, darwin don't have it)

2007-02-10 20:41  andrei

	* Makefile, NEWS:
	  - TLS_HOOKS support turned on by default (this means that to use
	  tls	one needs only to compile the tls module, load it and add
	  enable_tls=1	  in the config). make TLS_HOOKS=0 will compile
	  without tls hooks support.	 make CORE_TLS=1 will automatically
	  disable the hooks and will try    to compile with the old
	  tls-in-core.

2007-02-10 20:02  andrei

	* modules/tls/: Makefile, tls_domain.c, tls_domain.h, tls_init.c,
	  tls_init.h, tls_mod.c, tls_server.c, tls_server.h:
	  - use the new tls hooks api (the core patch is no longer
	  necessary) - renamed some of tls_.* functions to tls_h_.* to
	  avoid name conflicts with the core - fixed shutdown tls before
	  tcp bug (if ser was stopped while tls connections  were still
	  active, the tls module was destroyed before tcp => crash when
	  tcp tried to close the tls connections). Now all the destroy
	  operation  are moved into the new destroy_tls hook and the module
	  destroy function is	empty.

2007-02-10 19:52  andrei

	* Makefile, Makefile.defs, Makefile.sources, cfg.lex, cfg.y,
	  main.c, tcp_main.c, tcp_read.c, tls_hooks.c, tls_hooks.h,
	  tls_hooks_init.h, version.h:
	  - tls hooks support: special tls hooks added in core that allow a
	  module or  core part to provide a tls implementation. Support for
	  the old in-core  tls compile options is preserved (but one can
	  compile with either tls   hooks support or tls-in-core support,
	  not with both in the same time).  Changes were kept to a minimum.
	  - Makefiles: make TLS=1 deprecated, use instead make TLS_HOOKS=1
	  or  make CORE_TLS=1 (if in-core tls support is needed). Added
	  TLS_EXTRA_LIBS   (e.g. make CORE_TLS=1 TLS_EXTRA_LIBS="-lz
	  -lkrb5").

2007-02-08 15:40  janakj

	* modules/xmlrpc/xmlrpc.c: - @xmlrpc must be non-terminal select

2007-02-08 15:39  janakj

	* modules/xmlrpc/xmlrpc.c: - added missing static keyword

2007-02-08 15:33  janakj

	* modules/rr/rr_mod.c: - added missing static keyword

2007-02-07 15:37  vlada

	* ser_stun.c, ser_stun.h: fixes:  - error text mesagges  - checking
	  of optional attributes  - added some other debug messages

2007-02-06 09:04  vlada

	* lib/: Makefile, Makefile.ser, README: added support for binrpc
	  library

2007-02-06 09:00  vlada

	* lib/binrpc/: Makefile, Makefile.ser, README, binrpc_api.c,
	  binrpc_api.h: binrpc library - offers API for using Andrei's
	  binary RPC functionality

2007-02-05 16:16  janakj

	* modules/xmlrpc/xmlrpc.c: - cosmetic change: tls_sel renamed to
	  xmlrpc_sel

2007-02-05 11:20  janakj

	* modules/tls/tls_init.c: - added missing header files to make tls
	  module compile on FreeBSD   reported by Atle Samuelsen

2007-02-02 16:17  andrei

	* modules/tls/tls_init.c:
	  - fixed missing warning quotes (problem with older compilers)

2007-02-01 05:34  andrei

	* tcp_conn.h, timer.h, timer_ticks.h:
	  - ticks_t move in timer_ticks.h - tcpconn_get() exported (tls
	  needs it)

2007-02-01 05:24  andrei

	* modules/tls/: tls_domain.c, tls_init.c, tls_init.h, tls_mod.c,
	  tls_rpc.c, tls_select.c:

	   - openssl compression bug detect/workaround enabled at runtime
	   (if zlib compression is detected, we replace openssl version
	  with ours).
	   The previous version had this fix but it was enabled only at
	  compile-time.
	   - SSL_OP_TLS_BLOCK_PADDING_BUG option disabled if
	      0.9.8 <= openssl < 0.9.8c and compresion is used (check at
	  runtime)
	   - more start-up sanity checks:
	      - check if openssl used library version is close enough to
	  the
		library with which the tls module was compiled (header
	  files)
		For now it checks for the same major, minor and fix level
		(e.g. 0.9.8a && 0.9.8c are ok, 0.9.7b and 0.9.8a are not)
	     - try to auto-detect (using the compile flags) if the used
	  library was
	       compiled with kerberos support and if the tls module was
	  compiled with the
	       same setting (or else we won't be able to enable the
	  kerberos bug
	       workarround).
	   - more verbose start-up messages and errors
	   - warning fixes
	   - 2 new module parameters:
	      tls_disable_compression (default 0)
	      tls_force_run (default 0) -- will ignore the start-up sanity
	  checks and
	       continue running even if the library version/options are
	  different
	   References: openssl bugs #1468, #1467 & #1204
	  (http://rt.openssl.org)

2007-01-31 19:52  mma

	* modules/rr/record.c: Change of the function parameter from str*
	  to fparam_t* was not reflected in the typecasts.

	  Closes SER-222

2007-01-31 19:49  mma

	* modules/rr/loose.c: Closes SER-214

2007-01-27 09:01  andrei

	* tcp_main.c:
	  - minor tcp fix: some bug detection code (which should never be
	  triggered)  is more robust now

2007-01-27 00:11  andrei

	* ISSUES, modules/tls/tls_init.c, modules/tls/tls_init.h,
	  modules/tls/tls_server.c:
	  - workarround for openssl kerberos malloc bug: openssl kerberos
	  code in kssl.c uses libc malloc/free/calloc instead of the
	  OPENSSL* versions (set using CRYPTO_set_mem_functions()). In ser
	  ssl connections "move" between processes and so everything must
	  be  allocated in shared mem. If the wrong malloc function are
	  called ser  will eventually crash. This workarround tries to
	  disable kerberos support  each time a new SSL structure is
	  created. For this fix to work is important  to either use
	  statically linked openssl or re-compile ser on the target
	  machine (if openssl is linked dynamically then it must use the
	  same	compilation options as the machine on which ser is
	  compiled).  Bug reporterd by Atle Samuelsen
	  <clona@cyberhouse.no>.

2007-01-26 20:56  andrei

	* modules/tls/tls_init.c:
	  - typo fix: don't attempt to apply the compression fix
	  workarround if no  zlib compression was found

2007-01-26 11:20  hscholz

	* modules/domain/domain.c: - load_domains(): check for valid
	  database handle before attempt using it

2007-01-24 19:01  andrei

	* main.c, modules/tls/tls_init.c, modules/tls/tls_locking.c,
	  modules/tls/tls_locking.h, modules/tls/tls_server.c:

	  - tls fix: set openssl locking functions (should be stable even
	  under high  load, lost of connections, and multi-cpu machines)

2007-01-23 11:41  kubartv

	* modules/uri_db/uridb_mod.c: corrected bug - added To header
	  parsing in lookup_uid - sometimes is not msg->to set there
	  (depending on order of headers) and ser dumps a core

2007-01-22 15:05  andrei

	* Makefile.defs, dns_cache.c:
	  - dns cache resolv fix: responses containting only a CNAME and a
	  non-CNAME   record for the CNAME target (e.g. foo CNAME bar ; bar
	  A 1.2.3.4) w/o any   additional records, were badly interpreted
	  (the non-CNAME response was	interpreted as a CNAME).    Thanks
	  to  Alfred E. Heggestad <aeh@db.org> for the bug report.

2007-01-19 11:06  kubartv

	* Makefile, lib/Makefile.ser: Updated Makefile to compile and
	  install SER's shared libraries if needed (i.e. with presence
	  related modules).

2007-01-18 21:35  andrei

	* sr_module.h, modules/ctl/ctl.c, modules/domain/domain_mod.c: -
	  added PROC_RPC (used for now by ctl) - ctl uses PROC_RPC as rank
	  for its child

2007-01-18 21:01  andrei

	* Makefile.defs, main.c:

	  - deadlock on no-detach (-DD) start-up error shutdown fixed
	  (closes SER-210)

2007-01-17 23:14  andrei

	* doc/tcp_tunning.txt:
	  - tcp tunning hints for runnig ser with lots of tcp connections
	  (for now only  linux is discussed)

2007-01-17 21:24  andrei

	* modules/tls/: tls_mod.c, tls_mod.h, tls_select.c, tls_server.c:
	  - timeouts fixed (all the tcp timeouts use now ticks and not
	  seconds)

2007-01-17 19:13  kubartv

	* db/schema/: offline_winfo.xml, presentity.xml,
	  presentity_contact.xml, presentity_extensions.xml,
	  presentity_notes.xml, tuple_extensions.xml, tuple_notes.xml,
	  watcherinfo.xml: updated DB schema documentation for PA module
	  (included within its documentation)

2007-01-17 18:29  kubartv

	* modules/pa/: pa_mod.c, doc/Makefile, doc/pa.xml,
	  doc/pa_db_src.xml: updated documentation - included generated DB
	  schema description in standalone module documentation

2007-01-17 13:14  janakj

	* modules/msilo/doc/msilo.xml: - removed reference to msilo.sql
	  (not needed anymore)

2007-01-17 12:11  janakj

	* modules/gflags/gflags.c: - Fixed convertion of function
	  parameters   fixes SER-205

2007-01-17 11:54  janakj

	* modules/sl/sl_funcs.c: - fixed potential memory leak	 fixes
	  SER-209

2007-01-17 11:39  janakj

	* modules/tls/tls_config.c: - The config file parser did not always
	  return proper   variable value   closes SER-206

2007-01-15 17:45  kubartv

	* doc/stylesheets/dbschema2docbook.xsl: probably better version of
	  stylesheet for converting DB schema documentation into docbook

2007-01-12 16:39  kubartv

	* modules/pa/: ChangeLog, pa_mod.c, doc/Makefile,
	  doc/functions.xml, doc/pa_base.xml, doc/params.xml, doc/xcap.xml:
	  updated module documentation

2007-01-12 16:36  kubartv

	* Makefile.doc: added possibility to define extra dependencies when
	  generating documentation

2007-01-10 11:34  greger

	* INSTALL, Makefile: Added three new group_include target groups:
	  mysql, radius, presence.  You can now build a standard ser with
	  mysql using: make group_include="standard mysql" all

	  Fixed a problem in the exclude/include logic when using
	  group_include. The result is now as expected.

	  Improved the output in print-modules target to show the actual
	  resultant set of modules that will be made in addition to the
	  include and exclude modules lists.

2007-01-09 21:16  calrissian

	* etc/ser.cfg: cleaned up the use of UID AVP to fix alias problem -
	  thanks to Enrico for the bug report

2007-01-08 15:58  tirpi

	* modules/permissions/: parse_config.c, doc/functions.xml,
	  doc/params.xml, doc/permissions.xml: Security bug is fixed which
	  was published in
	  http://www.openpkg.com/security/advisories/OpenPKG-SA-2006.042.html

	  The publishment is rather funny than serious, because the config
	  line is read in a LINE_LENGTH size buffer, and a part of the line
	  is never longer than the line itself.

2007-01-03 17:09  calrissian

	* modules/usrloc/ucontact.c: dont free non-allocated memory for
	  instance value

2006-12-21 10:53  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/mysql/my_data.sql,
	  scripts/oracle/or_create.sql, scripts/oracle/or_data.sql,
	  scripts/postgres/pg_create.sql, scripts/postgres/pg_data.sql: new
	  column 'grp' added to attr_types table

2006-12-19 12:42  kubartv

	* db/schema/: acc.xml, credentials.xml, domain.xml,
	  domain_attrs.xml, domain_settings.xml, global_attrs.xml,
	  missed_calls.xml: added table titles in DB table descriptions
	  needed by DocBook

2006-12-19 12:40  kubartv

	* db/schema/version.xml: removed strange whitespaces to allow
	  documentation generation

2006-12-19 12:38  kubartv

	* doc/stylesheets/dbschema2docbook.xsl: updated stylesheet for
	  generating documentation from DB schema:  - generates valid
	  output (ignores namespaces which is needed for current docbook
	  version)  - handling <description> in more sophisticated way
	  (wrapping non-para elements into para, ...)  - added comments  -
	  unused/commented parts thrown out

2006-12-18 16:42  kubartv

	* db/schema/: acc.xml, credentials.xml, domain.xml,
	  domain_attrs.xml, domain_settings.xml, global_attrs.xml,
	  missed_calls.xml: little corrections needed to generate docbook
	  documentation from table description

2006-12-18 16:40  kubartv

	* doc/stylesheets/dbschema2docbook.xsl: Added first version of
	  template able to create Docbook XML from DB schema description.
	  Tried with xsltproc on current Debian testing.

	  There are some problems with XML namespaces within DB schema
	  description; xmlto is not able to validate generated document but
	  with direct call to XSLTPROC are no problems (it strippes
	  namespace declarations for docbook).

2006-12-15 10:09  andrei

	* dset.c:
	  - dst_uri buffer overflow check, discovered in openser (the fix
	  is slightly  different due to slight changes in the append_branch
	  function)  Note: this is not such a big problem as it might
	  sound, the only module   using append_branch() with a non zero
	  dst_uri is registrar and in this  case it sets dst_uri to the
	  received address which is always < 1024 (so it's  always safe).

2006-12-14 21:31  andrei

	* Makefile.defs: - automatically links against libpthread if
	  USE_PTHREAD_MUTEX is forced

2006-12-14 15:39  kubartv

	* modules/rls/: ChangeLog, rpc.c: removed CDATA wrapping of XML
	  documents in XMLRPC output

2006-12-14 15:32  vlada

	* utils/sercmd/sercmd.c: Added goto error statement for
	  error_toobig label.

2006-12-14 12:37  kubartv

	* modules/pa/: ChangeLog, tuple.c, tuple.h: corrected BUG - tuple
	  extensions were not written into database

2006-12-14 12:36  kubartv

	* modules/pa/rpc.c: corrected XMLRPC interface - CDATA sections
	  thrown out because didn't work more

2006-12-14 09:58  kubartv

	* modules/pa/pa_mod.c: corrected typing error in DB column name

2006-12-14 09:38  vlada

	* ser_stun.c: Fixed wrong calculation of body length. If the
	  message is in bis format, the length of body must include length
	  of fingerprint.

2006-12-13 23:50  andrei

	* flags.c, hash_func.c, hash_func.h, hashes.h, route.c, route.h,
	  str_hash.h:
	  - hash cleanup/cosmetics: - use the "raw" hash functions from
	  hashes.h as	base for the other hashes (e.g. tm hash). This
	  doesn't change the hash    functions, just removes some extra
	  copies.			     - split old hashes.h into
	  hashes.h (more generic			      stuff)  and
	  str_hash.h				- new_hash() is safer now
	  (nobody uses it, but just				  in
	  case...)

2006-12-13 23:46  andrei

	* Makefile.defs: - minor fix: if USE_POSIX_SEM is defined on linux,
	  automatically link against  libpthread

2006-12-13 17:51  janakj

	* modules/avp_radius/avp_radius.c: - Implemented radius_load_attrs
	  function which can load the values   of SER attributes from
	  RADIUS server. The function synopsis is   same as in avp_db.

2006-12-13 17:50  janakj

	* modules/avp_db/avp_db.c: - Use global default domain id defined
	  in config.h

2006-12-13 17:49  janakj

	* modules/auth_radius/: authorize.c, authrad_mod.c, sterman.c: -
	  Use ATTRID and VENDOR macros to separate attribute id from vendor
	  id - Send SER-Service-Type attribute to the RADIUS server and set
	  its value   to Digest-Authentication - check for empty attribute
	  name when converting RADIUS attributes to   SER attributes

2006-12-13 17:48  janakj

	* modules/acc_radius/acc_radius.c: - Use ATTRID and VENDOR macros
	  to separate attribute id from vendor id

2006-12-13 17:47  janakj

	* rad_dict.h, etc/dictionary.ser: RADIUS dictionary update:   -
	  SER-Service-Type attribute added   - Added Digest-Authentication
	  value for SER-Service-Type

2006-12-13 16:12  kubartv

	* modules/pa/: extension_elements.c, offline_winfo.c, pa_mod.c,
	  pa_mod.h, pres_notes.c, presentity.c, tuple.c,
	  tuple_extensions.c, tuple_notes.c, watcher.c: added possibility
	  to change DB column names from config (!not tested!)

2006-12-13 14:27  tirpi

	* modules/permissions/trusted_hash.c: protocol included in the log
	  message

2006-12-13 10:23  andrei

	* etc/ser.cfg: - removed create_via()  (not longer available after
	  the latest xmlrpc changes)

2006-12-13 02:43  janakj

	* etc/dictionary.ser: - SER-Attrs -> SER-Attr because this is what
	  all modules use

2006-12-13 02:41  janakj

	* modules/acc_radius/acc_radius.c: - set proper vendor in
	  rc_avpair_add (most SER attributes are vendor specific)

2006-12-13 01:44  janakj

	* modules/auth_radius/: authorize.c, authrad_mod.c, sterman.c,
	  sterman.h: - generate AVPs after successful authentication - make
	  sure that uid of the caller is present in avps - make sure
	  "iptelorg" vendor is in the dictionary (it is required) - recover
	  AVPs from SER-Attr VSAs   closes SER-193

2006-12-12 16:59  kubartv

	* modules/pa/pdomain.c: corrected unsafe hash function to safer
	  one, closes SER-194

2006-12-12 16:31  mma

	* modules/gflags/gflags.c: Cleses SER-189. gflags mod_destroy
	  simplification

2006-12-12 15:12  tirpi

	* select_core.c, select_core.h: @dst_uri and @next_hop select calls
	  are introduced:  - @dst_uri returns the destination uri  -
	  @next_hop returns the dst_uri/new_uri/ruri

2006-12-12 12:05  greger

	* modules/lcr/doc/functions.xml: Added empty functions.xml so that
	  lcr docs compile.

2006-12-12 02:02  janakj

	* db/schema/attr_types.xml, scripts/oracle/or_create.sql,
	  scripts/oracle/or_data.sql: - access changed to attr_access for
	  oracle

2006-12-12 01:57  janakj

	* scripts/oracle/: or_create.sql, or_data.sql: - new version of
	  database scripts generated

2006-12-12 01:55  janakj

	* db/schema/: acc.xml, aliases.xml, attr_types.xml,
	  contact_attrs.xml, cpl.xml, credentials.xml, customers.xml,
	  domain.xml, domain_attrs.xml, domain_settings.xml,
	  global_attrs.xml, grp.xml, gw_grp.xml, i18n.xml, ipmatch.xml,
	  location.xml, missed_calls.xml, offline_winfo.xml, phonebook.xml,
	  presentity.xml, presentity_contact.xml,
	  presentity_extensions.xml, presentity_notes.xml,
	  rls_subscription.xml, rls_vs.xml, rls_vs_names.xml, ser.xml,
	  silo.xml, speed_dial.xml, tuple_extensions.xml, tuple_notes.xml,
	  uri.xml, user_attrs.xml, version.xml: - get rid of xsl namespaces
	  and use db="..." attributes instead - uid is a reserved word in
	  Oracle so we have to change it everywhere   (now changed to uuid
	  for oracle), closes SER-150

2006-12-12 01:54  janakj

	* db/schema/Makefile: - Set db parameter when processing xsl
	  templates

2006-12-12 01:53  janakj

	* doc/stylesheets/dbschema/xsl/: common.xsl, dbtext.xsl, mysql.xsl,
	  oracle.xsl, postgres.xsl, sql.xsl: - do not use xsl namespaces to
	  override element values anymore (it does   not seem to work
	  reliably across xsltproc upgrades)

	    if you need to override the value of an element then use db
	  attribute:
	    <name db="mysql">abc</name>

2006-12-11 23:33  andrei

	* parser/parse_fline.c: - accept http replies if HTTP_REPLY_HACK is
	  defined (needed for forwarding  xmlrpc request/replies to other
	  sers)

2006-12-11 19:52  blairs

	* modules/lcr/doc/: Makefile, lcr.xml, params.xml: New LCR docs

2006-12-11 17:29  janakj

	* modules/mediaproxy/mediaproxy.c: - remove dependency on domain
	  module and use get_from_did and get_to_did   instead	 closes
	  SER-137

2006-12-11 17:21  andrei

	* modules/xmlrpc/xmlrpc.c, test/udp_test_proxy.c:
	  - dbg msg removed

2006-12-11 17:01  andrei

	* modules/xmlrpc/xmlrpc.c:

	  - xmlrpc fix:- use the new non-sip-msg callbacks		-
	  create automatically a new via if the http message doesn not
		    have one and "fake" a receive_msg() 	     -
	  create_via removed (done automatically now) - bonus: the ser
	  route called for xmlrpc messages can be configured   with
	  modparam("xmlrpc", "route", "route_for_xmlrpcs"). By default
	  the main route is used (so no change needed for old scripts).

2006-12-11 16:47  andrei

	* Makefile.defs, main.c, nonsip_hooks.c, nonsip_hooks.h, receive.c,
	  parser/msg_parser.h, parser/parse_fline.c:

	  - added special callbacks for non-sip msg (e.g http), They are
	  called every	time a message with the first line in sip/http
	  format is received and the  protocol != SIP.	 These callbacks
	  are needed as a part of an xmlrpc bug fix.

2006-12-11 14:40  janakj

	* modules/avp_db/avp_db.c: - fail to initialize when domain module
	  is needed but not found   patch provided by Michal Matyska
	  closes SER-192

2006-12-11 14:11  hscholz

	* modules/uri/: README, uri_mod.c, doc/functions.xml: - allow AVPs
	  in is_user()

	    This provides a way to compare a TO username against the
	  username
	    in authentication credentials, i.e.

	    if (!is_user("@to.uri.user")) {
	       sl_send_reply("403", "To username doesn't match
	  credentials");
	       drop;
	    }

	    Bear in mind that you need parsed authentication headers for
	  this, i.e.
	    provided by (radius_)www_authenticate().

2006-12-11 11:20  mma

	* modules/rr/avp_cookie.c: Closes SER-114. Search through URI and
	  USER classes attributes to find which ones add to record-route
	  avp cookie

2006-12-10 02:35  calrissian

	* etc/ser.cfg: removed deprecated commented fifo config names to
	  avoid confusion

2006-12-09 20:41  greger

	* INSTALL, Makefile: Closes SER-177. Groups of modules in make.
	  Make can now be called with group_include="standard standard-dep
	  stable experimental" or a subset of these.  Leaving out
	  group_include results in same behavior as before, thus this
	  commit is backwards compatible.

2006-12-09 12:07  janakj

	* modules/xmlrpc/xmlrpc.c: - proper escaping of payload in xmlrpc
	  replies   closes SER-107

2006-12-09 01:44  janakj

	* modules/auth_db/authorize.c: - all attributes set by
	  authentication functions should go to user class   fixes SER-139

2006-12-09 01:37  janakj

	* modules/auth_radius/: authorize.c, authrad_mod.c, authrad_mod.h:
	  - call build_challenge function when authentication fails
	  closes SER-138

2006-12-09 01:36  janakj

	* modules/auth_db/: authdb_mod.c, authdb_mod.h, authorize.c: -
	  default did should not be configurable

2006-12-09 01:35  janakj

	* config.h: - default did is common for all modules

2006-12-09 00:51  janakj

	* modules/: acc_syslog/acc_syslog.c, acc_db/acc_db.c,
	  acc_radius/acc_radius.c: - Pick proper outbound Request-URI (use
	  the branch whose reply   will be forwarded upstream)	 closes
	  SER-23

2006-12-08 15:19  greger

	* Makefile.doc, doc/stylesheets/drupal.xsl: Added drupal as new
	  target for doc makefile using new drupal.xsl (thanks to Jan).
	  The new target will generate docs without the html headers ready
	  for inclusion into drupal cms used by iptel.org

	  To build all module docs: make exclude_modules=""
	  doc_format="drupal" module-docs

2006-12-08 15:08  andrei

	* Makefile.defs, modules/db_ops/db_ops.c, modules/timer/timer.c: -
	  even more warning fixes (64bit)

2006-12-08 13:55  janakj

	* etc/dictionary.ser: - added missing SER-Uri-User attribute
	  resolves SER-149

2006-12-07 20:12  andrei

	* modules/: postgres/db_mod.c, rr/avp_cookie.c: - more warnings
	  fixes

2006-12-07 19:58  andrei

	* usr_avp.c, parser/hf.c, parser/digest/digest.c:
	  - killed gcc 4.x "type-punned pointer will break strict-aliasing
	  warnings" (warning season opened)

2006-12-07 15:52  andrei

	* ser_stun.c:
	  - warning fix in ser_stun, patch from Alfred E. Heggestad
	  <aeh@db.org>

2006-12-07 15:46  andrei

	* modules/gflags/gflags.c:
	   - gflags mod_destroy fix, closes SER-189

2006-12-07 10:47  kubartv

	* doc/presence/presence_book.xml: forgotten file to previous commit
	  - pa doc updated to be compilable as standalone

2006-12-07 10:45  kubartv

	* modules/pa/: ChangeLog, doc/pa.xml, doc/pa_base.xml,
	  doc/pa_incl.xml: updated doc to be compilable standalone

2006-12-06 17:07  andrei

	* modules/tm/tm.c:
	  - tm: fr_timer and fr_inv_timer avps are by default not set (no
	  default value).  This speeds up transaction creation	(since no
	  avp lists need to be searched).  To revert to the old bevaviour
	  just set them (modparam("tm"...)) or use  t_set_fr("$avp")
	  (recommended)

2006-12-06 16:59  andrei

	* Makefile.defs, action.c:
	  - $? / $retcode it's changed now also by the last module function
	  call	(previously it was modified only by route() calls -- it was
	  the last   returned value from a route)

2006-12-05 23:31  calrissian

	* etc/ser.cfg: added avp_db db_url; credits go to Enrico

2006-12-04 13:59  vlada

	* modules/gflags/doc/gflags.xml: Added include of xmlrpc.xml file.

2006-12-04 13:58  vlada

	* modules/gflags/doc/xmlrpc.xml: Description of XMLRPC interface of
	  gflags module.

2006-12-04 13:55  vlada

	* modules/gflags/gflags.c: Added xmlrpc command global.reload for
	  reloading of global_attrs db table.

2006-12-01 17:08  greger

	* modules/osp/doc/: Makefile, functions.xml, osp.xml, params.xml:
	  Adding docbook converted docs for OSP module.  Credit goes to
	  Steve Blair

2006-12-01 13:52  kubartv

	* doc/presence/presence_book.xml, modules/rls/doc/rls.xml,
	  modules/rls/doc/rls_base.xml, modules/rls/doc/rls_incl.xml:
	  allowed standalone documentation generation for RLS module

2006-11-30 16:29  tirpi

	* modules/auth_radius/authorize.c: duplicated case values removed
	  (reported by Ricardo Martinez, rmartinez@redvoiss.net)

2006-11-30 13:52  tirpi

	* modules/avp_db/avp_db.c: load_uri_attrs falls back to the
	  "_default" did instead of using the domain name scheme column is
	  checked during uri_attrs load

2006-11-30 10:37  greger

	* modules/maxfwd/doc/Makefile: Fixed error in ROOTDIR definition
	  causing module doc make to fail.

2006-11-29 16:51  tirpi

	* modules/uri_db/uridb_mod.c: lookup_user functions include the URI
	  scheme in the DB search

2006-11-29 15:35  andrei

	* resolve.c:

	  - fix for free_rdata_list() which used to access the "next"
	  pointer after  freeing the current elements.	 Credits & patch:
	  Jan Andres <jan.andres@freenet-ag.de>

2006-11-29 13:23  janakj

	* modules/usrloc/README, modules/postgres/README,
	  modules/print/README, modules/rr/README, modules/sl/README,
	  modules/sms/README, modules/tm/README, modules/uri/README,
	  modules/uri_db/README, modules/uri_radius/README,
	  modules/dispatcher/README, modules/diversion/README,
	  modules/exec/README, modules/jabber/README,
	  modules/maxfwd/README, modules/nathelper/README,
	  modules/options/README, modules/pa/README,
	  modules/permissions/README, modules/pike/README,
	  doc/ser_entities.xml, doc/serfaq/serfaq.xml,
	  doc/seruser/general.xml, modules/cpl-c/README: - removed
	  reference to serhelp@iptel.org, we will be using
	  serusers@iptel.org instead

2006-11-28 20:05  andrei

	* modules/auth/auth_mod.c:
	  - random numbers are seeded only by core

2006-11-28 20:04  andrei

	* Makefile.defs, main.c, pt.c:
	  - random number are seeded in all the processes (both srand() and
	  srandom())

2006-11-27 20:03  andrei

	* Makefile.defs, modules/tm/t_fwd.c:
	  - tm fix: print_uac_request backup uri, 2nd try  (applied a
	  modified version of Miklos patch) closes SER-141

2006-11-27 14:55  tirpi

	* modules/tls/tls_select.c: @tls.peer.verified did not set the
	  result buffer

2006-11-24 18:20  andrei

	* Makefile.defs, hashes.h, modules/usrloc/dlist.c,
	  modules/usrloc/udomain.c, modules/usrloc/udomain.h:
	  - usrloc hash fix (performace): switched to a numeric string
	  optimized hash   function (which also has very good distribution
	  for strings) - added the new hash to core's hashes.h & changes
	  hashes.h license  to openbsd style (so that anybody can use the
	  hash functions without   being forced to gpl the code)

2006-11-24 15:02  tirpi

	* modules/uri_db/uridb_mod.c: lookup_user functions fall back to
	  the default did ("_default") if no domain name is present in the
	  URI (for example in case of tel: URI), or the domain name could
	  not be looked up.

2006-11-24 11:48  janakj

	* modules/: auth_radius/authorize.c, auth/api.c, auth/api.h,
	  auth_db/authorize.c: - return codes extended so that we could
	  detect malformed digest credentials	(proposed by Monica Sarbu)
	  closes SER-136

2006-11-24 08:37  janakj

	* modules/tls/: tls_select.c, tls_server.c: - fixed wrong
	  comparison values, reported by Klaus Darilion   closes SER-108

2006-11-23 09:07  kozlik

	* db/schema/uri.xml, db/schema/uri_attrs.xml,
	  scripts/dbtext/ser_db/uri_attrs, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql: -
	  type of 'scheme' column in uri_attrs table changed from int to
	  string - 'scheme' column added to primary key

2006-11-23 01:47  janakj

	* modules/usrloc/: ul_mod.c, ul_mod.h: - READONLY mode fixed, patch
	  submitted by Bogdan Pintea   closes SER-113

2006-11-23 00:57  janakj

	* modules/uri_db/uridb_mod.c, id.c, id.h, modules/avp/avp.c: -
	  set_{to,from}_uid return the return value of add_avp, patch
	  provided by Bogdan Pintea   closes SER-121

2006-11-23 00:47  janakj

	* select_core.c, sr_module.c, modules/gflags/gflags.c: - fixed
	  wrong comments, reported by Bogdan Pintea   closes SER-123

2006-11-23 00:44  janakj

	* modules/: pa/pa_mod.c, registrar/reply.c: - warning fixes,
	  reported by Bogdan Pintea   closes SER-124

2006-11-23 00:40  janakj

	* modules/avp/avp.c: - proper test for return value of
	  set_destination, fixed by Bogdan Pintea   closes SER-125

2006-11-22 19:46  andrei

	* fastlock.h:
	  - fastlock arm fix: arm early clobber added: according to the swp
	  instruction	specification the address register must be != from
	  the other 2 .    Fix from openser, originally sent by Julien
	  Blache <jblache@debian.org>)

2006-11-22 19:19  janakj

	* modules/auth_db/authorize.c: - search for did only when use_did
	  is set, fix provided by Bogdan Pintea   closes SER-126

2006-11-22 19:13  janakj

	* str.h: - str formatting macro by Bogdan Pintea   closes SER-127

2006-11-22 18:56  janakj

	* parser/: parse_param.c, parse_param.h: - wrong parameter length
	  fixed, fix provided by Bogdan Pintea	 closes SER-135

2006-11-22 15:53  janakj

	* modules/uri/checks.c: - retrieve function parameters properly.
	  Fix provided by Bogdan Pintea   closes SER-134

2006-11-22 14:57  janakj

	* scripts/mysql/ser_mysql.sh: - mysql password quoted properly to
	  allow passwords containing spaces   closes SER-131

2006-11-22 13:52  kubartv

	* lib/: cds/sstr.c, presence/pres_doc.c, presence/pres_doc.h,
	  xcap/xcap_client.c: applied Bogdan's patch, closes SER-120

2006-11-22 13:46  kubartv

	* lib/Makefile.ser: applied Bogdan's patch (closes SER-119), but
	  there can be better solution (use flags independent on modules) -
	  we will see

2006-11-21 13:48  kubartv

	* modules/pa/rpc.c: added missing return after error in pa.trace

2006-11-21 13:33  kubartv

	* modules/pa/rpc.c: fixed trace method to work with binrpc (there
	  was an attempt to use optional argument)

2006-11-20 20:16  andrei

	* Makefile.defs, modules/tm/t_fwd.c:
	  - tm fix: uri backup/restore print_uac_request bug - tm: new_uri
	  is no longer saved/restored across add_uac(...)/print_uac_request
	  calls since print_uac_request takes care of this internally

2006-11-17 21:07  andrei

	* modules/ctl/io_listener.c:
	  - ctl sepcific rpcs (who & connections) are only available
	  through  ctl (they are local to the ctl listener process) =>
	  reply with error if  somebody else tries to call them

2006-11-17 17:42  calrissian

	* etc/ser.cfg: Added usage of personalized TM timers.  Fixed
	  lookup_user calls.  Added/fixed some comments.

2006-11-16 21:55  andrei

	* id.c:
	  - fixed bad to  check (crash for messages w/o to header)

2006-11-16 19:37  andrei

	* modules/gflags/gflags.c:
	  - bind db module & init db connection only if load_global_attrs
	  is set

2006-11-16 15:42  janakj

	* db/schema/credentials.xml, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql,
	  modules/auth_db/authdb_mod.c: - default did is _default

2006-11-15 20:57  andrei

	* Makefile.defs, pt.c:
	  - get_max_procs() will log a bug and abort() if used too early
	  (e.g.   from mod_init())

2006-11-15 20:55  andrei

	* modules/tls/: tls_config.c, tls_domain.c, tls_mod.c, tls_rpc.c:
	  - tls init updated to the new get_max_procs() use (not allowed
	  from	mod_init()) - tls-core.patch updated to the latest tcp
	  changes - lots of warnings and/or small errors fixed

2006-11-14 19:11  andrei

	* modules/tm/: dlg.c, dlg.h, t_cancel.h, t_lookup.h, t_reply.c,
	  t_reply.h, tm.c, tm_load.c, tm_load.h, uac.c, uac.h:
	  - patch from Miklos Tirpak <miklos@iptel.org>:    - tm minor
	  fixes    - tm dialog improvements    - tm_binds extended (more
	  function exported)

2006-11-14 18:18  calrissian

	* msg_translator.c: If a CL header is present only adjust the value
	  but do not touch the header name itself any more.

2006-11-14 17:38  hallik

	* doc/stylesheets/dbschema/xsl/: common.xsl, sql.xsl: Added a
	  declaration for namespace prefix.  Fixed DB schema compilation
	  with new xsltproc.  This patch is simple hack that was introduced
	  by Olaf Bergmann in serdev ML, and would be revisited in the
	  future.

2006-11-14 15:45  kubartv

	* scripts/dbtext/ser_db/: contact_attrs, presentity_extensions,
	  tuple_extensions: added forgotten db-creation files

2006-11-14 15:44  kubartv

	* scripts/: dbtext/ser_db/presentity,
	  dbtext/ser_db/presentity_contact, dbtext/ser_db/presentity_notes,
	  dbtext/ser_db/tuple_notes, dbtext/ser_db/watcherinfo,
	  mysql/my_create.sql, oracle/or_create.sql,
	  postgres/pg_create.sql: Regenerated scripts for database creation
	  - I have forgotten after last change

2006-11-13 15:36  kubartv

	* utils/sipgrep/: README, sipgrep: added sipgrep utility written by
	  Alexandr Dubovikov <shurik@start4.info>

	  It is a wrapper on ngrep which  * filters SIP messages according
	  number in To or From header fields  * displays From tag, To tag,
	  Call-ID and branch in    different colours, thus it is possible
	  to trace dialogs or transactions    by "one look into message"
	  ... this is really great! ;-)  * It can store received messages
	  into a file and show them (together)

	  For a bit more info see README. For other info contact author.

	  I think it could be really useful...

2006-11-13 13:16  kubartv

	* modules/pa/: extension_elements.c, pres_notes.c: updated logging

2006-11-10 19:21  andrei

	* db/db_id.c: - db: fix cmp_db_id to work also with null strings

2006-11-10 18:49  andrei

	* modules/tm/t_lookup.c, parser/msg_parser.c, parser/msg_parser.h:
	  - tm: a valid msg->hash_index is now marked by the FL_HASH_INDEX
	  flag	in msg->msg_flags (previously a buggy 0-compariosn was
	  used) - tm:  t_lookupOriginalT will compute msg->hash_index by
	  itself if needed   (old version required a previous  t_check
	  call) - tm/core: check_transaction_quadruple inlined

2006-11-10 11:25  andrei

	* ut.h: - killed the str2s debug error message

2006-11-08 03:16  calrissian

	* etc/ser.cfg: added From header check and load_attr for URI track
	  as commented examples

2006-11-07 20:00  andrei

	* modules/tm/: t_lookup.c, tm.c:
	  - t_lookupOriginalT should never modifiy T / use set_t - removed
	  useless t_check() call in w_t_lookup_cancel()

2006-11-07 00:49  calrissian

	* etc/ser.cfg: fixed To user lookup for REGISTER; thansk to Michal

2006-11-07 00:27  calrissian

	* etc/ser-basic.cfg: renamed basic config file as simple is to
	  confusing in the SIP area :)

2006-11-06 09:44  kubartv

	* lib/cds/ChangeLog, lib/xcap/pres_rules.c, modules/pa/ChangeLog,
	  modules/pa/async_auth.c: corrected bug reported by Bogdan Pintea
	  and aplied his patch (closes SER-118)

2006-11-05 19:32  calrissian

	* etc/ser.cfg: modified ser.cfg to work with all the new functions
	  and code. this new version contains a lot more "features" but
	  mainly for demonstration purposes so that the users get an idea
	  what you can do with the config script language/commands.
	  ser-simple.cfg is the successor of the original ser.cfg.
	  ser-simple.cfg contains only the very basic commands for a proxy
	  and regitrar.

2006-11-04 17:17  andrei

	* Makefile.defs:
	  - make with -Wall even whem compiling in debug mode, patch from
	  Bogdan Pintea <pintea@iptego.de>

	  (closes SER-122)

2006-11-04 16:55  andrei

	* Makefile.defs, tcp_main.c:
	  - tcp fixes: tcpconn_timeout(); expire now timeout; switched to
	  "raw" ticks (the conversion to s was plagued by truncation
	  errors      => in some corner cases one could end up with tcp
	  connections that	never expire) - if tcp_con_lifetime is set
	  to a negative value, use the maximum possible   value instead

2006-11-04 02:31  andrei

	* main.c: - safer child exit on signal (s/exit()/_exit())

2006-11-03 01:43  andrei

	* modules/ctl/binrpc.h, modules/ctl/binrpc_run.c,
	  utils/sercmd/sercmd.c:
	  - ctl/binrpc modified not to complain if no reply was sent
	  (happily send empty  replies) and to parse empty messages/replies
	  (until now an empty message	was considered an error)

2006-11-03 00:35  andrei

	* tcp_main.c: - more reliable tcp shutdown: force unlock the tcp
	  lock in case	some terminated process did hold it

2006-11-02 23:55  andrei

	* Makefile.defs, tcp_conn.h, tcp_main.c, tcp_read.c, tcp_server.h:
	  - tcp fixes/atomic_t switch

2006-11-02 20:43  sobomax

	* mem/mem.h: Improve system malloc support:

	  1. Convert size argument into unsigned long when printing out, so
	  that it doesn't generate compiler warning;

	  2. In pkg_malloc() wrapper use less generic temporary variable
	  name to avoid potential namespace conflicts with the modules
	  code.

	  3. Provide pkg_realloc() wrapper.

	  Sponsored by:   Sippy Software, Inc.

2006-11-01 17:03  kubartv

	* modules/pa/: ChangeLog, extension_elements.c, offline_winfo.c,
	  presentity.c, presentity.h, subscribe.c, tuple.c,
	  tuple_extensions.c, watcher.c, doc/auth.xml, doc/pa.xml:  - PIDF
	  extensions support
	   - XCAP parameters related to auth. info stored with presentity
	  (experimental)

2006-11-01 16:28  hallik

	* pkg/debian/: control, rules: Ser-ctl packaging removed, ser-ctl
	  is not a part of sip_router tree anymore.

2006-11-01 16:21  kubartv

	* doc/presence/biblio.xml: changed link in doc - RPID is RFC now...

2006-11-01 16:17  kubartv

	* db/schema/: offline_winfo.xml, presentity.xml,
	  presentity_contact.xml, presentity_extensions.xml,
	  presentity_notes.xml, ser.xml, tuple_extensions.xml,
	  tuple_notes.xml, watcherinfo.xml: updated PA module tables -
	  added support for PIDF extensions

2006-11-01 15:54  kubartv

	* modules/xcap/: xcap_mod.c, doc/Makefile: changed trace log, added
	  Makefile for documentation

2006-11-01 15:51  kubartv

	* modules/dialog/serialize_dlg.c: removed route serialization
	  functions - used functions from CDS library

2006-11-01 15:49  kubartv

	* lib/: cds/rr_serialize.c, cds/rr_serialize.h, presence/pidf.c:
	  renamed function for route serialization, PIDF parser accepts
	  case insensitive basic status names

2006-11-01 15:46  kubartv

	* modules/presence_b2b/euac_funcs.c: replaced usage of uri2sock
	  with uri2dst

2006-11-01 15:46  hscholz

	* mem/mem.h: - add brackets around 's' to allow pkg_malloc() to be
	  invoked with	 non-atomic operands, i.e. dupl_string() in
	  db/db_id.c

2006-10-30 14:16  kozlik

	* db/schema/uri.xml, scripts/dbtext/ser_db/uri,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: Changed type of 'scheme' column
	  in URI table from int to string

2006-10-27 18:38  calrissian

	* modules/rr/loose.c: Improved algorithm to distinguish between
	  loose and strict routing.  This should solve problems of not
	  routing correctly ACKs for negative replies on preloaded INVITEs.

2006-10-26 23:34  mma

	* utils/route_graph/route_graph.py: I suppose, that python should
	  be called (mistyped as pyhton)

2006-10-26 18:01  calrissian

	* utils/route_graph/route_graph.py: a small Python script which
	  tries to plot the dependecies between the route blocks of a SER
	  config file

2006-10-25 22:29  andrei

	* modules/pike/: pike.c, pike_funcs.c:
	  - minor pike extra feature:	 - pike_check_req("1") will not
	  update the timer aynmore  (pike_check_req() and
	  pike_check_req("0") are equivalent to the old behaviour)

2006-10-25 22:24  andrei

	* modules/pike/: ip_tree.h, pike_funcs.c: - even more pike race
	  avoidance/fixes (this time from me)

2006-10-25 22:22  andrei

	* modules/pike/: ip_tree.c, ip_tree.h, pike_funcs.c, timer.c:
	  - pike fixes ported from openser:  1. changes made on the initial
	  fork (Bogdan Iancu)  2. "bug fixed - due bogus flag testing, race
	  between timer and ip tree could	 occurred" (Bogdan Iancu)

2006-10-25 20:50  andrei

	* version.h: - compile flags  names added for USE_STUN &
	  NO_SIG_DEBUG

2006-10-25 20:44  andrei

	* Makefile.defs, globals.h, main.c, pt.c:
	  - init_childs(PROC_MAIN) moved before starting tcp_main to allow
	  possible  tcp usage from module started processes  -
	  fork_process() sanity checks & debugging: fail & log a bug if
	  called   with make_sock==1 from a process != main or if called
	  after tcp was   started; reset is_main for children  -
	  fork_tcp_process() sanity checks as above  - init_pt():
	  initialize tcp comm. fds to -1, fix description writing  for
	  main/attendant.

2006-10-25 18:54  andrei

	* cfg.y:  -minor cosmetic change: if stun variables are used in the
	  config, but
	    stun support is not compiled => warning

2006-10-25 18:44  andrei

	* Makefile.defs, NEWS, cfg.lex, cfg.y, config.h, dprint.h,
	  globals.h, main.c: - log messages in children signal handlers off
	  if NO_SIG_DEBUG  is defined (safer, but not default for now) -
	  new config param.: exit_timeout (how much time ser will wait for
	  its shutdown to complete, when it expires it will kill
	  everything) - missing timeout added to SIGTERM triggered shutdown

2006-10-25 17:55  andrei

	* parser/hf.h: - fixed wrong HDR flags declaration (reported by
	  Dragos Vingarzan  <vingarzan@fokus.fraunhofer.de>)

2006-10-24 18:53  andrei

	* dprint.c, dprint.h: - LOG & DBG simultaneous execution protection
	  (they can be used almost  safely from the signal handlers)

2006-10-20 13:59  mma

	* select_core.c, select_core.h: new select functions:

	  Source ip/port based on message's src ip_addr struct: - src.(ip |
	  port | ip_port)

	  Destination ip/port based on message's dst ip_addr struct: -
	  dst.(ip | port | ip_port)

	  Received info (based on socket used while received this message):
	  - received.(proto | ip | port | ip_port | proto_ip_port)

2006-10-20 01:46  calrissian

	* ser_stun.c: added lots of debug messages until the usual sniffer
	  are able to decode this new STUN version ;-)

2006-10-19 11:23  hscholz

	* modules/auth/challenge.c: - fix memory leak by freeing temporary
	  header.    Header is stored as AVP by add_avp()/create_avp()

2006-10-18 00:29  calrissian

	* modules/auth_db/authorize.c: fixed: wrong return value from
	  get_*_did was expected

2006-10-17 23:11  calrissian

	* modules/auth_db/authorize.c: fixed debug log messages

2006-10-17 23:00  andrei

	* modules/tm/t_reply.c:
	  - dns failover on 503 fix: do it only if the branch is still
	  active  (hasn't timeouted yet)

2006-10-17 15:15  vlada

	* cfg.y:  - fixed problem with "error EQUAL" rule

2006-10-16 20:44  andrei

	* Makefile.defs, NEWS, modules/tm/sip_msg.c, modules/tm/t_lookup.c,
	  modules/tm/t_reply.c, modules/tm/t_reply.h, modules/tm/tm.c,
	  modules/tm/doc/params.xml, parser/case_prox.h, parser/case_www.h,
	  parser/hf.c, parser/hf.h, parser/keys.h, parser/msg_parser.c,
	  parser/parse_hname2.c: - tm: aggregate challenges
	  (WWW/Proxy-Authenticate) from all the 401 & 407 if   the final
	  reply is a 401/407 (required by rfc3261). To turn this off and
	  fall back to the old behaviour set tm aggregate_challenges
	  parameter to 0   (see tm docs for more details) - core: header
	  parse support for WWW-Authenticate and Proxy-Authenticate

2006-10-16 20:40  andrei

	* dns_cache.c: - fix: port was not set to default when the hostname
	  was an ip address

2006-10-16 20:36  andrei

	* data_lump_rpl.c, data_lump_rpl.h:
	  - add_lump_rpl2 added: same as the old add_lump_rpl, but returns
	  a lump_rpl**,   making a specific lump removal much more easy

2006-10-13 15:29  vlada

	* NEWS:  - added description of improvements associated with STUN

2006-10-13 15:08  vlada

	* Makefile.defs, cfg.lex, cfg.y, globals.h, main.c, ser_stun.c,
	  ser_stun.h, tcp_conn.h, tcp_read.c, udp_server.c:  - added STUN
	  keep-alive functionality in accordance with
	  draft-ietf-behave-rfc3489bis-04.txt

2006-10-12 21:15  andrei

	* Makefile.defs, modules/tm/t_reply.c, modules/tm/t_stats.c:
	  - dns failover when a 503 reply is received (if the dns name
	  resolves  to more ips/srvs try the next one) - if the final reply
	  is a relayed 503 replace it with a 500 (generate   a "fake" 500).
	  If the 503 is locally generated, let it pass.  - tm_rpc_stats:
	  removed duplicate "waiting" stats

2006-10-11 19:45  andrei

	* Makefile.defs, modules/tm/h_table.h, modules/tm/t_cancel.c,
	  modules/tm/t_fwd.c:
	  - stop creating new branches (forking)if a 6xx or a CANCEL was
	  received - cancel branch fix: if a branch was canceled stop
	  possible dns failover   forking on it - stop retransmission timer
	  fix for cancel for non-invites

2006-10-11 11:30  greger

	* doc/stylesheets/ser.css: Improved ser.css handling of note class.

2006-10-10 21:29  greger

	* doc/stylesheets/ser.css: New ser.css for documentation. Example:
	  http://siprouter.onsip.org/doc/modules/usrloc.html

2006-10-10 21:21  andrei

	* Makefile.defs, NEWS, modules/tm/h_table.h, modules/tm/t_cancel.c,
	  modules/tm/t_cancel.h, modules/tm/t_fwd.c, modules/tm/t_reply.c,
	  modules/tm/timer.c:
	  - tm 6xx fixes: when a 6xx is received send a CANCEL on all the
	  branches for which a provisional response was received and then
	  wait for the branches to  finish (timeout, 487 from the CANCEL or
	  another final response which	 "raced" the CANCEL). Branches that
	  did not receive any response	  (in fact any response >=100) will
	  be "terminated" immediately  (fake 487).  - tm which_cancel()
	  0-the cancel bitmap fix - tm which_cancel(), should_cancel(),
	  cancel_branch() enhancements/changes - tm rpc_cancel fixes (it
	  works now)

2006-10-10 16:06  greger

	* Makefile.doc: Added html.stylesheet stringparam to xsltproc to
	  include ser.css as referenced stylesheet in html-generated docs.

2006-10-06 13:32  andrei

	* Makefile.defs, NEWS, modules/tm/t_reply.c, modules/tm/tm.c:
	  - tm	better final reply selection: 6xx is preferred over other
	  negative   replies; from several 4xx prefer 401, 407, 415, 420,
	  484 (in this order). For   all the other cases, return the lowest
	  code (as before).

2006-10-06 13:02  andrei

	* dns_cache.c:
	  - port fix (original port was overwritten with 5060 for non-srv
	  lookups)

2006-10-02 19:29  andrei

	* Makefile.defs, NEWS, pt.c, tcp_main.c,
	  modules/tm/doc/functions.xml:
	  - fork_process & fork_tcp_process fixes - reverted to the old
	  fork()-in-parallel behaviour	(uncomment FORK_DONT_WAIT for the
	  "serial" fork()).

2006-10-02 09:13  kubartv

	* lib/presence/pidf.c: removed few debug logs

2006-09-29 09:52  greger

	* Makefile, Makefile.rules: Added new target for makefile:
	  modules-doc. Can be used together with include_modules and
	  exclude_modules to create doc files in the supported format.
	  Added new option to make: doc_format=format, where formats can be
	  txt, html, xhtml, or pdf.  Default format is html.  Updated
	  proper and clean targets to also include module doc dirs.
	  Example: make exclude_modules="something" doc_format="txt"
	  modules-doc

2006-09-28 23:10  andrei

	* Makefile.defs, NEWS, modules/tm/h_table.h, modules/tm/t_reply.c,
	  modules/tm/timer.c, modules/tm/tm.c,
	  modules/tm/doc/functions.xml, parser/msg_parser.h:
	  - reverted to the old behaviour for the transaction timeout
	  reply:  now 408 is returned always; before 480 was returned on
	  invite timeout   after a provisional reply.  - added new script
	  functions: t_branch_timeout() and t_branch_replied(),   which can
	  be used to distinguish between a 408 received from the network
	  (if (!t_branch_timeout() && t_check_status("408")) ... ), a local
	  transaction timeout w/o any reply being received	  (if
	  (t_branch_timeout() && ! t_branch_replied()) ...) and a local
	  timeout    after some provsional reply    ( if
	  (t_branch_timeout() && t_branch_replied()) ...) - even more
	  script functions:	   - t_any_timeout() -- true if any of the
	  transaction branches did timeout	  - t_any_replied() -- true
	  if at least one branch received a reply
	  (when used from an on_reply route it will ignore
			the "current" reply)	    - t_is_canceled() --
	  true if the current transaction has been canceled (for more info
	  see NEWS or tm docs)

2006-09-25 13:44  janakj

	* modules/registrar/: common.h, lookup.c, reg_mod.c, reply.c,
	  reply.h, save.c, save.h: - AOR filter can be applied to contacts
	  in 200 OK too

2006-09-21 23:29  sobomax

	* modules/nathelper/nathelper.c: Add support for extended Secure
	  RTP Profile for RTCP.

	  Submitted by:   Atle Samuelsen

2006-09-21 16:56  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_data.sql, scripts/oracle/or_data.sql,
	  scripts/postgres/pg_data.sql: new attribute 'datetime_created'

2006-09-21 11:54  janakj

	* modules/uri_db/uridb_mod.c: - 2 parameter variant of lookup_user:
	  lookup_user("$f.uid", "@from.uri")

2006-09-20 19:15  andrei

	* Makefile, io_wait.h, modules/ctl/binrpc_run.c,
	  modules/db_ops/db_ops.c, modules/nathelper/nathelper.c,
	  modules/tm/dlg.c, modules/usrloc/reg_avps_db.c:
	  - fixed some of the warnings - fixed typo in db_ops/db_ops.c -
	  eval module excluded from the compiled-by-default-list (bec. it
	  doesn't  compile yet)

2006-09-20 12:28  andrei

	* Makefile.defs, pt.c, pt.h:

	  - added ser profiling patch from Hendrik Scholz
	  <hendrik.scholz@freenet-ag.de>,  adapted to the new fork
	  functions  (for more info see
	  http://lists.iptel.org/pipermail/serdev/2006-July/007627.html)

2006-09-20 11:39  hscholz

	* modules/ctl/io_listener.c: - do not try use use tcp_poll_method
	  when USE_TCP wasn't defined

2006-09-20 11:22  hscholz

	* pt.c, pt.h: - allow compilation without USE_TCP option

2006-09-20 11:01  andrei

	* pt.c: - added missing pt.c

2006-09-19 18:13  andrei

	* Makefile.defs, core_cmd.c, main.c, pt.h, sr_module.h, tcp_init.h,
	  tcp_main.c, doc/dns.txt, doc/dst_blacklist.txt,
	  modules/ctl/ctl.c, modules/ctl/ctl_defaults.h,
	  modules/ctl/io_listener.c, modules/fifo/fifo.c,
	  modules/fifo/fifo_server.c, modules/fifo/fifo_server.h,
	  modules/sl/sl_stats.c, modules/tls/tls_domain.c,
	  modules/tm/t_stats.c, modules/tm/tm.c,
	  modules/unixsock/unixsock.c, modules/unixsock/unixsock_server.c:
	  - applied patch from	Dragos Vingarzan
	  <vingarzan@fokus.fraunhofer.de> which  moves all the forking part
	  into 2 functions in pt.c (fork_process and   fork_tcp_process).
	  - added PROC_NOCHLDINIT rank value for Dragos's fork_process (if
	  this	value is used as child_id/rank_value the mod_child
	  functions will not be   called) - added
	  register_procs(processes_no), used from mod_init when a module
	  knows that it will fork some children (replaces the old
	  process_count++   / the patch's estimated_process_count++) -
	  added get_max_procs(): returns the maximum (estimated) number of
	  processes

2006-09-16 00:10  mma

	* modules/avp/avp.c: FPARAM_STR is the correct switch case, if
	  anybody needs FPARAM_STRING then use p->v.asciiz to get the value
	  too

2006-09-15 18:04  andrei

	* Makefile.defs, modules/tm/t_funcs.c, modules/tm/t_fwd.c,
	  modules/tm/tm_load.h:
	  - cancel relayed from failure route deadlock fix ported from
	  stable (e2e_cancel uses now t_reply_unsafe when called from the
	  failure_route)

2006-09-15 12:37  andrei

	* Makefile.defs, NEWS, action.c, cfg.lex, cfg.y, clist.h,
	  core_cmd.c, dns_cache.c, dns_cache.h, dns_wrappers.h,
	  dst_blacklist.c, dst_blacklist.h, error.h, forward.c, forward.h,
	  globals.h, main.c, msg_translator.h, resolve.c, resolve.h,
	  socket_info.c, socket_info.h, ut.h, version.h, doc/dns.txt,
	  doc/dst_blacklist.txt, modules/enum/enum.c, modules/tm/h_table.c,
	  modules/tm/h_table.h, modules/tm/t_funcs.c, modules/tm/t_fwd.c,
	  modules/tm/t_fwd.h, modules/tm/t_msgbuilder.c,
	  modules/tm/t_reply.c, modules/tm/timer.c, modules/tm/uac.c,
	  modules/tm/ut.h, utils/sercmd/sercmd.c:
	  - dns cache support (ser will cache both positive and negative
	  responses if	turned on, see doc/dns.txt for more details &
	  config options) - dns failover support: when a name resolves to
	  more then 1 ip (either   multiple A or AAAA records or multiple
	  SRVs) and sending to the first    ip fails, ser will retry with
	  the others. By default is off. See   doc/dns.txt for more
	  details/config options a.s.o.  - destination blacklist: when
	  sending to some destination (defined by   ip:port and protocol)
	  fails, ser will temporarily add this destination    in a
	  blacklist giving future sends the opportunity of immediately
	  failing. Destination are also added to the blacklist on tm invite
	     timeouts (when no response is received in the fr_timer
	  interval).	By default is off, see doc/dst_blacklist.txt form
	  more details/config	  options.  - small makefile fixes (in
	  mode=debug) - resolver get_record api changes (updated enum)

	  WARNING: there are a lot of changes in tm

2006-09-14 16:16  janakj

	* modules/domain/domain_rpc.c: - domain.reload does not return 400
	  when cache is disabled

2006-09-14 16:10  janakj

	* modules/domain/: domain.c, domain.h, domain_mod.c, domain_rpc.c:
	  - make lookup_domain work also without memory cache

2006-09-07 18:46  calrissian

	* modules/tm/t_reply.c: surpress error message (480 was not
	  expected as a localy generated response)

2006-09-06 00:49  tma0

	* select_core.c: - fixed bug in nameaddr.uri: <sip:abc@123>;param
	  is equal to sip:abc@123;param, i.e. remove params from uri when
	  no <

2006-09-05 16:55  kubartv

	* db/schema/contact_attrs.xml: table for separate contact AVPs
	  storage

2006-09-05 16:54  calrissian

	* modules/rr/loose.c: Fixed wrong removale of a Route header in
	  case of strict to loose route convertion if the routes are stored
	  in seperate Route HFs (same bug as on stable).

2006-09-05 16:53  kubartv

	* modules/usrloc/: reg_avps.c, reg_avps.h, reg_avps_db.c,
	  ucontact.c, ucontact.h, udomain.c, ul_mod.c, urecord.c: Added
	  "contact AVPs" - AVPs stored with contact during registration.

	  Before call to save() function you have to add a flag (given to
	  usrloc module as parameter) to AVP - AVPs with this flag are
	  saved with contact and may be restored later (for example within
	  onbranch_route) by call to read_reg_avps(...). If DB is used,
	  such AVPs can be stored within contact table (serialized) or into
	  separate table (contact_attrs).

	  Example:

	  ...  modparam("usrloc", "reg_avp_flag", "regavps") ...

	  avpflags regavps;

	  route {

		  ...

		  if (method=="REGISTER") {
			  $t.a = "whatever";
			  setavpflag("$t.a","regavps");

			  save("location"); # t.a will be stored here

			  break;
		  };

		  t_on_branch("1");

		  if (!lookup("location")) {
			  sl_send_reply("404", "Not Found");
			  break;
		  };
		  route(1);
	  }

	  route[1] {	  if (!t_relay()) {		  sl_reply_error();
		}; }

	  branch_route[1] {	  read_reg_avps("location", "$t.uid");
	  xlog("L_ERR", "loaded a = %$t.a"); }

2006-09-05 12:01  tirpi

	* modules/lcr/: README, lcr_mod.c: - fr_inv_timer can be
	  overwritten by AVP values - Q_FLAG definition has been changed --
	  custom flag is used now - DEF_FR_INV_TIMER_AVP is set to the
	  default value of tm module

2006-09-04 09:53  kubartv

	* modules/tm/dlg.c: corrected possible memory leak when there are
	  more routes within one Record-Route header field

2006-09-01 12:51  tma0

	* daemonize.c, dprint.c, dprint.h: - reverted LOG_NONE
	  syslog_facility enabling no-syslog feature

2006-09-01 10:53  kubartv

	* lib/cds/: ChangeLog, rr_serialize.c, serialize.c, serialize.h,
	  sstr.c, sstr.h:  - corrected memory leaks in route serialization
	   - better str_dup for debugging

2006-08-31 15:18  tirpi

	* usr_avp.c: get_avp_val() caused crash with int AVP name and
	  string type

2006-08-31 10:38  tma0

	* modules/textops/textops.c: - dynamic memory allocation for multi
	  value instaed of preallocated static buffer

2006-08-30 19:12  tma0

	* modules/timer/timer.c: - added missuing reset_static_buffer()
	  before run_actions

2006-08-30 15:31  tma0

	* modules/eval/: README, eval.c: - support for @select as parameter
	  of eval_xxxx() - get_static_buffer() used

2006-08-30 14:54  tma0

	* modules/textops/textops.c: - dynamic buffer allocation for string
	  evaluated by xl_print

2006-08-25 17:27  tma0

	* daemonize.c, dprint.c, dprint.h: -added support for fake LOG_NONE
	  syslog facility that disables syslogging completely

2006-08-25 16:04  andrei

	* msg_translator.c:  - fixed set_advertised_port

2006-08-24 00:36  tma0

	* modules/: eval/eval.c, textops/textops.c: - removed stripping of
	  quotes in find_next_value

2006-08-22 17:19  tirpi

	* modules/permissions/README: readme updated with the ipmatch
	  functions and with some new module parameters

2006-08-22 14:46  tirpi

	* scripts/dbtext/ser_db/ipmatch: missing file added

2006-08-22 14:44  tirpi

	* db/schema/ipmatch.xml, db/schema/ser.xml,
	  scripts/dbtext/ser_db/rls_subscription,
	  scripts/dbtext/ser_db/uri, scripts/dbtext/ser_db/uri_attrs,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: ipmatch table added to database
	  schema definition DB scripts are re-generated

2006-08-22 10:51  tirpi

	* modules/permissions/: im_db.c, im_db.h, im_hash.c, im_hash.h,
	  im_locks.c, im_locks.h, im_rpc.c, im_rpc.h, ipmatch.c, ipmatch.h,
	  permissions.c, permissions.h, permissions_rpc.h, trusted.c,
	  trusted.h, trusted_hash.c, trusted_hash.h, trusted_rpc.c,
	  trusted_rpc.h: ipmatch functions are implemented

	  The functions can be used to catch messages coming from or going
	  to specific SIP network elements, for example gateways, peering
	  partners, or load balancers. (Requests which are not permitted to
	  reach a gateway must be dropped before sending out -- it can
	  easily happen when a user registers the gateway's IP address, or
	  forwards the call to it.)

2006-08-14 16:41  tirpi

	* modules/permissions/: permissions.c, permissions.h, trusted.c,
	  trusted.h, trusted_rpc.c: child processes do not keep the
	  database connection open in case of cache mode

2006-08-14 14:40  tma0

	* modules/db_ops/db_ops.c: - fixed problem in mod_init when
	  mod_param's query has not been fixed properly

2006-08-11 15:48  tirpi

	* modules/permissions/: allow_files.c, allow_files.h: forgotten
	  files are added (functions related to file operations are moved
	  here)

2006-08-11 15:46  tirpi

	* modules/permissions/: parse_config.c, parse_config.h,
	  permissions.c, permissions.h: - memory is not allocated for the
	  file container array if none of the file operation functions are
	  used (set default_allow_file and default_deny_file parameters to
	  "") - module init failes if there is a missing file and
	  safe_file_load is 1 - module init failes in case of parsing error
	  - some fixup function cleanup

2006-08-10 14:21  kubartv

	* lib/cds/: ChangeLog, hash_table.c, rr_serialize.c,
	  rr_serialize.h: added functions for rr_t
	  serialization/deserialization (will be used from dialog module)

2006-08-10 12:49  mma

	* select_buf.c: static buffer realloc correction

2006-08-09 21:18  tma0

	* modules/nathelper/nathelper.c: - fix_nated_sdp(8) append
	  a=direction:passive to SDP body

2006-08-09 20:52  tma0

	* modules/nathelper/nathelper.c: - added support for
	  get_str_fparam() for force_rtp_proxy(), unforce_rtp_proxy()

2006-08-09 11:36  kubartv

	* modules/tm/h_table.c: corrected memory leak (uri AVPs were not
	  released)

2006-08-04 20:52  tma0

	* cfg.y: -fixed typo in drop command

2006-08-03 14:07  tirpi

	* modules/avp/avp.c: fixup function returns -1 if AVP parameter
	  does not start with $ sign fix_param does not create fparam_t
	  structure and SER crashes otherwise

2006-08-02 15:23  kubartv

	* db/schema/rls_subscription.xml, lib/xcap/ChangeLog,
	  lib/xcap/xcap_client.c, lib/xcap/xcap_client.h: corrected
	  inconsistence in RLS database and added xcap_query_params_t
	  serialization needed in RLS DB store/load functions

2006-08-02 14:56  rco

	* db/schema/: uri.xml, uri_attrs.xml: added scheme column. This
	  intended to store the URI scheme.

2006-08-02 11:20  janakj

	* modules/options/: mod_options.c, mod_options.h: - fixed bug
	  reported by Alexandr Dubovikov - additional cleanup/fixes applied

2006-08-01 16:24  mma

	* modules/rr/: record.c, rr_mod.c, rr_mod.h: module RR now accepts
	  add_username parameter as string FPARAM ("string", "$avp" or
	  "@select")

2006-07-30 20:47  mma

	* modules/db_ops/db_ops.c: Error message showed row_no instead of
	  field_no, so unexplainable error message was thrown, like:
	  6(12354) ERROR: db_ops: field (0) does not exist, num fields: 2
	  6(12354) ERROR: db_ops: field (1) does not exist, num fields: 2
	  6(12354) ERROR: db_ops: field (2) does not exist, num fields: 2

2006-07-27 10:27  kubartv

	* modules/xcap/xcap_mod.c: forgotten commit (needed after previous
	  changes in PA and libs)

2006-07-27 10:26  kubartv

	* modules/rls/rl_subscription.c: corrected memleak

2006-07-26 12:25  mma

	* modules/auth_db/authorize.c: Return result -1 (wrong credentials)
	  when function checking response tells that.

2006-07-26 12:10  kubartv

	* modules/pa/ChangeLog, modules/pa/extension_elements.c,
	  modules/pa/extension_elements.h, modules/pa/pa_mod.c,
	  modules/pa/pa_mod.h, modules/pa/pdomain.c,
	  modules/pa/pres_timer.c, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/publish.c, modules/pa/rpc.c,
	  modules/pa/status_query.c, modules/pa/tuple.c,
	  modules/pa/tuple_extensions.c, modules/pa/tuple_extensions.h,
	  lib/cds/dbid.c, lib/cds/dbid.h, lib/presence/ChangeLog,
	  lib/presence/lpidf.c, lib/presence/pidf.c,
	  lib/presence/pres_doc.c, lib/presence/pres_doc.h,
	  lib/presence/xpidf.c: first step in support of PIDF extensions
	  (database support not finished yet, not tested)

2006-07-25 18:45  tma0

	* modules/nathelper/nathelper.c: - fixed missing fixup_int_1 allign

2006-07-25 18:24  janakj

	* modules/: auth/auth_mod.c, auth_db/authorize.c,
	  registrar/reply.c, sanity/sanity.c: - warnings fixed

2006-07-25 18:11  janakj

	* modules/xmlrpc/xmlrpc.c: - parameters of xmlrpc_reply support
	  avps and selects

2006-07-25 17:52  janakj

	* modules/: tm/tm.c, sanity/sanity.c: - applied patch from Bogdan
	  Pintea

2006-07-25 17:46  janakj

	* modules/registrar/: lookup.c, reg_mod.c, reply.h, save.c: -
	  applied patch from Bogdan Pintea

2006-07-25 17:32  janakj

	* modules/exec/: exec.c, exec_mod.c: - warnings fixed

2006-07-25 17:30  janakj

	* modules/domain/domain_mod.c: - removed variables that are not
	  needed anymore

2006-07-25 17:29  janakj

	* modules/avp_db/avp_db.c: - removed variables that are not needed
	  (reported by Bogdan)

2006-07-25 17:27  janakj

	* modules/auth_db/authdb_mod.c: - removed unused variable (reported
	  by Bogdan)

2006-07-25 16:05  tma0

	* modules/nathelper/nathelper.c: - increased max. contact length
	  when rewriting contact

2006-07-25 15:43  janakj

	* modules/auth_db/authdb_mod.c, modules/auth_db/authdb_mod.h,
	  modules/auth_db/authorize.c, scripts/mysql/my_create.sql,
	  db/schema/credentials.xml, modules/auth/api.c,
	  modules/auth/api.h, modules/auth/auth_mod.c,
	  modules/auth/auth_mod.h, modules/auth/challenge.c,
	  modules/auth/challenge.h: - credentials table includes did column
	  - authentication and reply sending decoupled, the new   way to
	  perform digest authentication is:   if
	  (!www_authenticate("@to.uri.host", "credentials")) {
	  append_to_reply("%$digest_challenge");       sl_reply("401",
	  "Unauthorized");	 drop;	 } - www_challenge and
	  proxy_challenge deprecated (can be replaced	with
	  append_to_reply and sl_reply - qop can be configured using
	  modparam

2006-07-25 13:45  janakj

	* modules/registrar/reg_mod.c: - added support for registered with
	  2 parameters

2006-07-25 07:46  kubartv

	* lib/cds/dbid.c, lib/cds/dbid.h, lib/cds/sstr.h,
	  lib/presence/lpidf.c, lib/presence/pidf.c,
	  lib/presence/pres_doc.c, lib/presence/pres_doc.h,
	  lib/presence/xpidf.c, lib/xcap/xcap_client.c,
	  lib/xcap/xcap_client.h, modules/pa/ChangeLog, modules/pa/auth.c,
	  modules/pa/notify.c, modules/pa/offline_winfo.c,
	  modules/pa/pa_mod.c, modules/pa/pa_mod.h, modules/pa/pdomain.c,
	  modules/pa/pres_notes.c, modules/pa/pres_notes.h,
	  modules/pa/pres_timer.c, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/publish.c,
	  modules/pa/publish.h, modules/pa/qsa_interface.c,
	  modules/pa/qsa_interface.h, modules/pa/rpc.c,
	  modules/pa/status_query.c, modules/pa/subscribe.c,
	  modules/pa/subscribe.h, modules/pa/tuple.c, modules/pa/tuple.h,
	  modules/pa/tuple_notes.c, modules/pa/tuple_notes.h,
	  modules/pa/watcher.c, modules/pa/watcher.h,
	  modules/pa/winfo_doc.c: PA module data structures change (based
	  on structures from common libs now), PA code cleanup

2006-07-24 18:43  janakj

	* parser/digest/digest_parser.c: - empty param means QOP_UNSPEC

2006-07-24 17:55  janakj

	* parser/digest/: digest_parser.c, digest_parser.h: - make qop
	  parser available to the outside world

2006-07-24 16:35  kubartv

	* modules/presence_b2b/: ChangeLog, euac_funcs.c,
	  euac_state_machine.c, events_uac.c: fixed memory leak

2006-07-24 15:56  calrissian

	* modules/sanity/sanity.c: - fixed merge error in
	  check_ruri_sip_version - alligned returned codes of check_digest

2006-07-24 15:41  janakj

	* modules/sanity/doc/sanity.xml: - documentation updated

2006-07-24 15:39  janakj

	* modules/sanity/: mod_sanity.c, mod_sanity.h, sanity.c, sanity.h:
	  - SANITY_MAX_CHECKS written in a way that is easier to maintain -
	  return value of sanity_check function changed - added sanity
	  check of digest credentials (2048), it tests	 all digest
	  credentials in the message - fixed some memory leaks (pkg_malloc
	  not freed on an error) - some debugging statements enclosed in
	  EXTRA_DEBUG otherwise   they would produce too much output -
	  check SIP version length first before calling memcmp - "\r\n"
	  replaced with CRFL - struct sip_uri allocated on the stack, there
	  is no need   to allocate it using pkg_malloc

2006-07-24 15:21  calrissian

	* modules/sanity/: mod_sanity.c, mod_sanity.h, sanity.c: - added
	  Contact parsing to parse_uri check - changed log levels from
	  error to warning - failed checks return now 0, which means
	  processing the script   is stopped because the sanity module
	  itself replied already

2006-07-24 13:48  kubartv

	* modules/tm/dlg.c: corrected possible memory leak when refreshing
	  a dialog from response after refreshing it from non-initial
	  request

2006-07-24 12:08  janakj

	* scripts/postgres/pg_create.sql, db/schema/credentials.xml,
	  scripts/dbtext/ser_db/credentials, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql: - did column added

2006-07-24 12:07  janakj

	* modules/avp_db/avp_db.c: - function prototype is now in domain
	  module header

2006-07-24 11:40  janakj

	* modules/rr/loose.c: - spurious debugging messages removed

2006-07-24 11:36  janakj

	* modules/rr/: loose.c, record.c, rr_mod.c, rr_mod.h: - check for
	  domains also in domain module if present and used.

2006-07-24 11:36  janakj

	* modules/domain/domain.h: - get_did function typedef

2006-07-21 17:01  janakj

	* modules/registrar/: lookup.c, lookup.h: - added second parameter
	  to registered (the same as in lookup)

2006-07-21 16:01  mma

	* modules/registrar/save.c: - if save_noreply was called and error
	  occured, really do not send any message, just report error

2006-07-20 17:22  janakj

	* .cvsignore: - python stuff no more included

2006-07-20 17:12  janakj

	* pkg/: opensuse/ser.init.SuSE, opensuse/ser.spec, suse/ser.init,
	  suse/ser.spec: - opensuse/suse packaging stuff

2006-07-20 17:05  janakj

	* pkg/openbsd/: Makefile, pkg/DESCR, pkg/PLIST: - pkg list updated
	  - master ftp updated - Andrei's email address updated

2006-07-20 16:59  janakj

	* pkg/netbsd/: DESCR, Makefile, PLIST: - pkg list updated - master
	  ftp server updated - Andrei's email address updated

2006-07-20 16:51  janakj

	* pkg/freebsd/: Makefile, pkg-descr, pkg-plist: - pkg-list updated
	  to reflect the current state of modoules - Andrei's email address
	  updated - master FTP URL updated

2006-07-20 16:29  janakj

	* Makefile: - removed original packaging files - Makefile updated
	  to use new location of files

2006-07-20 16:17  janakj

	* pkg/: debian/changelog, debian/compat, debian/control,
	  debian/copyright, debian/cron.d.ex, debian/ex.package.doc-base,
	  debian/manpage.1.ex, debian/manpage.sgml.ex, debian/postinst,
	  debian/postrm, debian/preinst.ex, debian/prerm.ex, debian/rules,
	  debian/ser.examples, debian/ser.init, debian/shlibs.local,
	  debian/watch, freebsd/000.ser.sh, freebsd/Makefile,
	  freebsd/distinfo, freebsd/pkg-comment, freebsd/pkg-descr,
	  freebsd/pkg-plist, gentoo/ser-0.8.10.ebuild,
	  gentoo/ser-0.8.11.ebuild, gentoo/ser-0.8.12.ebuild,
	  gentoo/ser-0.8.14.ebuild, gentoo/ser-0.8.9.ebuild,
	  gentoo/ser.init, netbsd/COMMENT, netbsd/DESCR, netbsd/Makefile,
	  netbsd/PLIST, netbsd/distinfo, openbsd/Makefile,
	  openbsd/distinfo, openbsd/pkg/COMMENT, openbsd/pkg/DESCR,
	  openbsd/pkg/PLIST, rpm/ser.init, rpm/ser.spec-4.1,
	  rpm/ser.spec.fedora, solaris/pkginfo, solaris/prototype: - moved
	  all packaging stuff to pkg subdirectory

2006-07-20 15:02  kozlik

	* scripts/: mysql/my_create.sql, mysql/my_data.sql,
	  oracle/or_create.sql, oracle/or_data.sql, oracle/or_drop.sql,
	  postgres/pg_create.sql, postgres/pg_data.sql: recreated form XML
	  files

2006-07-20 14:59  kozlik

	* scripts/: mysql/ser_mysql.sh, postgres/ser_postgres.sh: fixed to
	  use also xx_data.sql scripts

2006-07-20 14:57  kozlik

	* db/schema/: attr_types.xml, global_attrs.xml: - re-formated -
	  'vendor-controlled' attributes added to rows

2006-07-20 14:56  kozlik

	* db/schema/i18n.xml: unique index added

2006-07-20 14:54  kozlik

	* doc/stylesheets/dbschema/: dtd/dbschema.dtd, xsl/common.xsl,
	  xsl/mysql.xsl, xsl/postgres.xsl, xsl/sql.xsl: added ability to
	  upgrade initial data in DB - xx_create.sql script is now
	  separated to two scripts: xx_create.sql and xx_data.sql
	  xx_create.sql contain tables definitions and xx_data.sql contain
	  all initial data (<row> elements from XML files) - each <row>
	  element have new optional attribute 'vendor-controlled'.    If
	  vendor-controled='1' for a row, SQL DELETE statement is generated
	  before INSERT statement for this row.    In this case is
	  necessary to define <row-identificator> element wich contain list
	  of <colref> elements.    This is a list of columns which will be
	  in DELETE WHERE clause.  - From now is also necessary to define
	  an unique index on all tables which contain an initial data.
	  Otherwise   data will be duplicated on each update.

2006-07-19 19:06  janakj

	* AUTHORS: - people added to AUTHORS file

2006-07-19 18:49  janakj

	* Makefile.defs: - unused defines removed - one duplicate removed

2006-07-19 18:43  janakj

	* Makefile: - group, mangler, and auth_diameter added to the list
	  of excluded modules

2006-07-19 18:33  janakj

	* etc/dictionary.ser: - Vendor iptelorg - Move proprietary
	  attributes into real VSAs

2006-07-19 18:10  janakj

	* modules/tm/tm.c: - aligned to new fixups

2006-07-19 17:42  janakj

	* modules/textops/textops.c: - aligned to new fixups

2006-07-19 17:17  janakj

	* modules/sl/: sl.c, sl_funcs.c: - aligned to new fixups

2006-07-19 16:35  mma

	* modules/db_ops/db_ops.c: warnings and type removed

2006-07-19 16:35  mma

	* modules/dispatcher/dispatch.c: fixup_int_12 result change
	  incorporated

2006-07-19 16:34  mma

	* modules/timer/timer.c: temporarilly fixup_int_12 result change
	  avoided, fixup uses atoi now; waiting for author's rewrite

2006-07-19 16:12  mma

	* modules/db_ops/db_ops.c: better fixup instead of fixup_int_12

2006-07-19 16:01  mma

	* modules/: db_ops/db_ops.c, eval/eval.c: eval - updated
	  (int)*param -> get_int_fparam(...) based on fixup_int_12 change
	  db_ops - temporarilly changed to atoi fixup instead of
	  fixup_int_12. waiting for author's rewrite

2006-07-19 14:49  janakj

	* config.h: - default radiusclient file added

2006-07-19 14:49  janakj

	* modules/registrar/reg_mod.c: - use default fixup

2006-07-19 14:48  janakj

	* modules/exec/exec.c: [no log message]

2006-07-19 13:37  janakj

	* modules/exec/: exec.c, exec.h, exec_mod.c: - support for attrs
	  and selects in parameters

2006-07-19 13:23  janakj

	* modules/enum/: enum.c, enum.h, enum_mod.c, enum_mod.h: -
	  is_from_user_e164 renamed to is_e164 which acceps one parameter,
	  it can be attr, select or string - small cleanup

2006-07-19 12:17  janakj

	* modules/domain/domain_mod.c: - use default fixups where possible

2006-07-19 11:44  janakj

	* modules/diversion/diversion.c: - support for avps and selects in
	  parameters

2006-07-19 11:44  janakj

	* modules/avp_db/avp_db.c: - use pre-defined fixup function

2006-07-18 20:06  calrissian

	* modules/registrar/save.c: fixed that the AOR was stored instead
	  of the Contact (on behalf of Jan + thanks to Bogdan)

2006-07-18 17:40  janakj

	* modules/avp/avp.c: - fixed problems from the last commit

2006-07-18 17:01  calrissian

	* modules/avp/avp.c: - fixed several wrong function calls from last
	  comit - fixed several compiler warnings - fixed several log
	  messages

2006-07-18 14:15  janakj

	* modules/sl/sl.c: - compiler warning fixed

2006-07-18 14:14  janakj

	* modules/domain/domain_mod.c: - internal function to map domain to
	  did

2006-07-18 14:12  janakj

	* modules/avp_db/avp_db.c: - Attribute loading from database hidden
	  behind single function load_attrs:

	    load_attrs("$fr", "@from.nameaddr.uri")  - Load From URI
	  attributes
	    load_attrs("$ft", "@ruri") - Load To URI attributes
	    load_attrs("$fu", "$f.uid") - Load user attributes based on
	  from UID
	    load_attrs("$tu", "$t.uid") - Load user attributes based on to
	  UID

	    First parameter is attribute group, second parameter can be any
	  AVP, select,
	    or string

2006-07-18 14:08  janakj

	* modules/avp/avp.c: - grand avp module cleanup:

	    * set_iattr, set_sattr, and set_sattr function can be used when
	  you need to
	      obtain attribute name from somewhere, for example:
	      $attr1 = "$foo";
	      set_attr("$attr1", "bar") will create attribute foo with
	  value bar.

	    * print_attr accepts attribute name as parameter

	    * del_attr accepts attribute name as parameter

	    * del_attrs can be used to delete the whole group of
	  attributes, for example:
	      del_attrs("$fu") will delete all From user attributes (works
	  with uri,
	      user, and domain attributes).

	    * flags2attr accepts attribute name as parameter

	    * dumps_attrs has two variants, without any parameter it will
	  dump all
	      attributes to the log, with parameter a single group of
	  attributes can
	      be specified just like in del_attrs.

	    * renamed avp -> attrs almost everywhere

	    * small bugfixes are included (and possibly new bugs
	  introduced)

2006-07-18 13:59  janakj

	* modules/: auth/auth_mod.c, auth/challenge.c, auth/challenge.h,
	  auth_db/authdb_mod.c, auth_db/authorize.c, auth_db/authorize.h,
	  auth_radius/authorize.c, auth_radius/authrad_mod.c: - use new
	  convenience functions to obtain parameter value

2006-07-18 13:58  janakj

	* modules/: acc_radius/acc_radius.c, acc_syslog/acc_syslog.c: -
	  aligned to functions in acc_db

2006-07-18 13:57  janakj

	* modules/acc_db/acc_db.c: - acc_db_log and acc_db_missed also
	  accept selects and avps as parameter,   that means you can do
	  acc_db_log("$reply")

2006-07-18 13:54  janakj

	* sr_module.c, sr_module.h: - clean-up of common fixup functions

2006-07-18 13:51  janakj

	* usr_avp.c, usr_avp.h: - reset_avp_list added

2006-07-18 01:02  calrissian

	* modules/avp_db/avp_db.c: fixed several bugs which were introduced
	  recently

2006-07-17 15:16  janakj

	* ut.c, ut.h: - conversion function to convert str to zero
	  terminated string

2006-07-13 20:30  andrei

	* Makefile.defs, resolve.c, resolve.h, test/dns_query.c:
	  - reduced dns structure sizes and re-ordered them to waste less
	  space - possible memory leak fixed (could appear only when
	  resolving  srv or naptr records and the dns response packet is
	  corrupted)

2006-07-12 13:08  kubartv

	* modules/: pa/ChangeLog, pa/notify.c, pa/watcher.c, pa/doc/pa.xml,
	  presence_b2b/ChangeLog, presence_b2b/euac_funcs.c,
	  presence_b2b/euac_state_machine.c, rls/ChangeLog,
	  rls/subscription_manager.c: improved dialog refreshing

2006-07-12 11:39  kubartv

	* modules/tm/: dlg.c, dlg.h: Added parameter to dlg_request_uas and
	  dlg_response_uac.

	  This parameter specifies if it is target refresh
	  request/response. This is needed because TM module is not able to
	  determine target refresh methods for all dialog types.  Only
	  INVITE method was used as target refresh, but this is error for
	  non-INVITE dialogs (SUBSCRIBE/NOTIFY, ...).

	  If you want to behave like previous versions use
	  TARGET_REFRESH_UNKNOWN as value but be aware of possible
	  problems.

2006-07-11 14:10  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: new column 'access' in table
	  attr_types

2006-07-11 07:55  kubartv

	* lib/cds/: ChangeLog, sip_utils.c, sip_utils.h: added function
	  has_to_tag into common libs

2006-07-11 07:49  kubartv

	* modules/presence_b2b/rpc.c: unused include thrown out

2006-07-11 07:47  kubartv

	* modules/rls/rls_handler.c: cosmetical change

2006-07-10 15:40  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/dbtext/ser_db/location, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql: new
	  attribute 'contact_email'

2006-07-10 14:39  kubartv

	* modules/pa/: ChangeLog, async_auth.c, async_auth.h, auth.c,
	  auth.h, mimetypes.c, mimetypes.h, notify.c, notify.h, pa_mod.c,
	  pdomain.c, presentity.c, presentity.h, publish.c,
	  qsa_interface.c, rpc.c, subscribe.c, watcher.c, watcher.h:  -
	  asynchronous download of authorization rules (can be switched
	  on/off; better
	     responses than synchronous)
	   - automatical refreshing of authorization rules by timer, not
	  only on
	     re-subscriptions
	   - bigger cosmetical changes in code

2006-07-07 20:40  mma

	* modules/rr/rr_mod.c: @rr.dialog_cookie  (the same as RR would put
	  into Record-Route header.  If put into Route header, the new
	  transaction would get some AVP set at loose_route call.

2006-07-04 18:24  janakj

	* modules/lcr/lcr_mod.c: - fixed conflicting macro (MAX_QUERY_SIZE)

2006-07-04 18:16  janakj

	* modules/registrar/: lookup.c, reg_mod.c: - 2nd parameter of
	  lookup can be avp, select, string

2006-07-04 18:03  janakj

	* modules/domain/domain_mod.c: - dropped support for
	  P-Preferred-Identity, it can be implemented in the script:   if
	  (@from.uri.host == "anonymous.invalid" &&
	  @msg.p_preferred_identity) {	     lookup_domain("$fd",
	  "@msg.p_preferred_identity.nameaddr.uri.host");   } else {
	  lookup_domain("$fd", "@from.uri.host");   }

	  - is_anonymous removed, can be implemented in the script (see the
	  snipped above)

2006-07-04 15:19  janakj

	* modules/avp_db/avp_db.c: - fixed return value of get_str_fparam

2006-07-04 15:11  janakj

	* modules/rr/avp_cookie.c: - uri attributes added

2006-07-04 15:10  janakj

	* db/schema/location.xml, scripts/mysql/my_create.sql: - aor column
	  added

2006-07-04 15:10  janakj

	* modules/avp/avp.c: - support for URI attributes

2006-07-04 15:09  janakj

	* modules/registrar/: lookup.c, lookup.h, reg_mod.c, reg_mod.h,
	  save.c: - Support for AOR column. If there is $t.aor attribute
	  then the value   of the attribute will be used, otherwise the
	  save function will   use the To URI.	- lookup_contacts now has
	  2nd optional parameter which is the desired	aor that contacts
	  must have in order to be used. Contacts with	 different aor will
	  be ignored. This allows arbitrary contact filtering.

2006-07-04 15:02  janakj

	* modules/usrloc/: urecord.h, ucontact.c, ucontact.h, udomain.c,
	  ul_mod.c, ul_mod.h, ul_rpc.c, urecord.c: - Support for AOR column
	  in location table. The value of AOR is taken	 from To header
	  field in REGISTER message

2006-07-04 14:58  janakj

	* modules/avp_db/avp_db.c: - New version of load_attrs, the
	  function can load uri and user level attributes   from database,
	  for example:

	    load_attrs("$fu", "$f.uid") Loads user attributes for the uid
	  of the caller
	    load_attrs("$fr", "@from.uri") Load uri attributes for the URI
	  in From

	    The first parameter can be:
	    $fr - From track, class URI
	    $fu - From track, class user
	    $tr - To track, class URI
	    $tu - To track, class user

	    Second parameter can be string, avp, or select. If you load
	  user class attributes
	    then the second parameter is used to obtain UID. If you load
	  URI class attributes
	    then the second parameter is used to obtain URI.

2006-07-04 14:51  janakj

	* modules/tm/: h_table.c, h_table.h, t_hooks.c, t_reply.c: -
	  support for uri attributes

2006-07-04 14:48  janakj

	* sr_module.c, sr_module.h: - Support for selects in fparam_t -
	  get_str_fparam function which will return the value of fparam
	  as string

2006-07-04 14:46  janakj

	* cfg.lex, cfg.y, usr_avp.c, usr_avp.h: - support for URI
	  attributes

2006-07-03 15:55  mma

	* modules/tm/: t_funcs.c, t_lookup.c, tm.c: ERROR message
	  transaction already exists moved to w_t_newtran, t_newtran logs
	  only with DEBUG level

2006-07-03 13:42  tma0

	* modules/eval/: README, eval.c: - new function strvalat function

2006-07-03 12:37  tma0

	* modules/textops/: textops.c, doc/functions.xml: - stripped < >
	  from multiuri

2006-06-30 23:11  mma

	* select_core.h: nameaddr.params corrected (when used from nested
	  selects)

2006-06-30 20:32  tma0

	* modules/textops/textops.c: - fixed compariosion @hf_value.NAME[#]

2006-06-30 19:31  tma0

	* modules/textops/: textops.c, doc/functions.xml: - support for
	  @hf_value.NAME[*], it combines all values from multiple headers

2006-06-30 17:03  mma

	* select_core.c, select_core.h: params retrieving extended to
	  @msg.<HEADER>.params.<PARAM_NAME> for header which's value allows
	  param like name=body @msg.<HEADER>.nameaddr.params[.<PARAM_NAME>]
	  parameter of the header which has nameadde as value
	  @msg.<HEADER>.nameaddr.uri.params[.<PARAM_NAME>] parameter of the
	  URI  which works for all selects returning uri

2006-06-30 15:04  kubartv

	* modules/tm/: tm_load.c, tm_load.h, uac.c, uac.h: Function t_uac
	  splitted into two parts - one which prepares the message and one
	  which sends it. Both are accessible for requests within dialogs
	  through tm_binds structure (prepare_request_within,
	  send_prepared_request).

	  This is needed to allow sending in-dialog messages outside of
	  critical section (VERY useful for TCP transport when used nonzero
	  TCP timeouts - in that case may be the critical section locked
	  for seconds!).

2006-06-30 13:55  tma0

	* modules/db_ops/: README, db_ops.c: - support for forcing of value
	  type when writing to db driver (eg. datetime)

2006-06-30 12:58  tma0

	* modules/eval/eval.c: - fixed add_value function (number of item
	  was missing)

2006-06-30 10:28  kubartv

	* modules/pa/: pa_mod.c, doc/pa.xml, doc/params.xml: added short
	  description of presence state aggregation

2006-06-29 15:27  calrissian

	* modules/options/: mod_options.c, doc/params.xml: module parameter
	  changed from support to supported like in the SIP messages

2006-06-29 12:34  mma

	* select_core.c, select_core.h, modules/tm/t_funcs.c: @method
	  returns METHOD string within request select_method

	  t_relay does not return error when the transaction was already
	  started by t_newtran so from now you can use in the script: if
	  (!t_newtran) drop; # avoid retransmission processing ...some time
	  consuming action t_relay();

2006-06-28 17:22  kubartv

	* lib/cds/: ChangeLog, dstring.c, dstring.h, memory.h, serialize.c,
	  sstr.c, sstr.h, doc/dstring_t.xml: optimalizations of string and
	  dstring functions

2006-06-28 00:16  tma0

	* modules/textops/: textops.c, doc/functions.xml: - support for
	  select_any_nameaddr nested select

2006-06-27 23:34  mma

	* select.c, select_core.c, select_core.h: uri.params.XXXX now
	  acceped and returns value of that parameter, or empty string flag
	  if param without value is present.  fixed param_offset and lvl
	  values at the time of FIXUP_CALL

2006-06-27 22:16  tma0

	* modules/db_ops/: README, db_ops.c: - added support for
	  select_any_uri and select_any_nameaddr

2006-06-27 21:50  tma0

	* modules/eval/: README, eval.c: - added support for
	  select_any_nameaddr

2006-06-27 21:07  mma

	* select.c, select_core.c, select_core.h: select core extension:
	  ....uri.params.XXXX  tries to find required parameter

	  allowed to combine NESTED | CONSUME_NEXT_STR (_INT) - resolve
	  checks for correct parameter type (and value if STR)

	  GCC warning avoided in select_authorize & auth_diameter

2006-06-27 19:56  tma0

	* modules/nathelper/: nathelper.c, doc/functions.xml: - added
	  support for select_any_nameaddr nested select

2006-06-27 18:12  janakj

	* modules/domain/domain_mod.c: - added missing else

2006-06-27 17:26  tma0

	* modules/eval/eval.c: -fixed uri nested select

2006-06-27 15:57  janakj

	* modules/auth/api.c: - find_credentials is now part of the digest
	  parser

2006-06-27 15:55  janakj

	* modules/domain/domain_mod.c: - Support for AVPs in lookup_domain,
	  such as lookup_domain("$domain");

2006-06-27 15:51  janakj

	* parser/digest/: digest.c, digest.h: - export find_credentials
	  function

2006-06-27 15:50  janakj

	* select_core.c, select_core.h: - support for digest credentials
	  selects, supported is:

	    @proxy_authorization["realm"] -- Returns entire digest
	  credentials as string
	    @proxy_authorization["realm"].username
	    @proxy_authorization["realm"].username.user
	    @proxy_authorization["realm"].username.domain
	    @proxy_authorization["realm"].realm
	    @proxy_authorization["realm"].nonce
	    @proxy_authorization["realm"].uri
	    @proxy_authorization["realm"].cnonce
	    @proxy_authorization["realm"].nc
	    @proxy_authorization["realm"].response
	    @proxy_authorization["realm"].opaque
	    @proxy_authorization["realm"].algorithm
	    @proxy_authorization["realm"].qop

2006-06-27 15:46  janakj

	* cfg.y: - support for string [] identifiers, such as
	  @proxy_authorize["iptel.org"]

2006-06-27 15:45  janakj

	* cfg.lex: - save the initial state before transiting to string,
	  this is necessary so that   we could parse quoted strings from
	  other states too, such as select.

2006-06-27 13:43  mma

	* select.c, select_core.c, select_core.h: nameaddr support in
	  select framework

	  if you want to use nameaddr parsing in your select function
	  define as foolows: { select_YOUR_FUNCTION_xxx, SEL_PARAM_STR,
	  STR_STATIC_INIT("nameaddr"), select_any_nameaddr, NESTED |
	  CONSUME_NEXT_STR }

2006-06-26 17:11  tma0

	* modules/timer/timer.c: - msg_no renamed to timer_msg_no

2006-06-26 16:59  kubartv

	* doc/presence/examples.xml, doc/presence/install.xml,
	  doc/presence/presence_book.xml, modules/xcap/ChangeLog,
	  modules/pa/pa_mod.c, modules/pa/doc/functions.xml,
	  modules/pa/doc/pa.xml, modules/pa/doc/params.xml,
	  modules/pa/doc/xcap.xml, modules/presence_b2b/events_mod.c,
	  modules/presence_b2b/doc/params.xml,
	  modules/presence_b2b/doc/presence_b2b.xml, modules/rls/rls_mod.c,
	  modules/rls/doc/params.xml, modules/xcap/xcap_mod.c,
	  modules/xcap/doc/functions.xml, modules/xcap/doc/params.xml,
	  modules/xcap/doc/xcap.xml: updated documentation for presence
	  modules

2006-06-26 11:40  kubartv

	* modules/presence_b2b/: euac_funcs.c, euac_funcs.h: removed
	  internal function is_terminating_notify, using the one from CDS

2006-06-26 09:27  kubartv

	* modules/pa/: notify.c, pa_mod.c: little cosmetical changes

2006-06-23 15:03  kubartv

	* modules/tm/sip_msg.c: forgotten file in previous commit

2006-06-23 13:15  calrissian

	* modules/options/mod_options.h: the right header name is Supported
	  not Support - thanks to Hendrik Scholz

2006-06-23 11:13  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: set flag 'required' for
	  attributes digest_realm

2006-06-23 10:51  kubartv

	* lib/cds/ChangeLog, lib/cds/sip_utils.c, lib/cds/sip_utils.h,
	  parser/hf.c, parser/hf.h, parser/msg_parser.c,
	  parser/msg_parser.h, parser/parse_hname2.c,
	  parser/parse_subscription_state.c: added parsing of Require
	  header field

2006-06-22 12:24  kubartv

	* lib/cds/: ChangeLog, sip_utils.c, sip_utils.h: added function
	  supports_extension for search within Supported headers

2006-06-22 10:17  kubartv

	* parser/: parse_subscription_state.c, parse_subscription_state.h:
	  internal function for parsing Subscription-State was hidden (was
	  accessible for to testing only)

2006-06-21 23:36  mma

	* select.c: Set lvl & param_offset[lvl] & param_offset[lvl+1]
	  before FIXUP call of resolved select function

2006-06-21 23:08  mma

	* select_buf.c, select_buf.h: Added select_buf.[ch]

2006-06-21 21:11  mma

	* receive.c, select.c, select.h, select_core.c, select_core.h:
	  select_buf:  - get_static_buffer (meant for select calls which
	  need extra space

	   - internal reset_static_buffer called before any request is
	  processed

	  select_core:	 select_uri_hostport returns host:port notation
	  (default port value based on uri type)

	  select:   select structure contains new array param_offset and
	  lvl - the nested level   number of params or particular nested
	  level could be obtained by
	  param_offset[lvl+1]-param_offset[lvl]

2006-06-21 15:59  kubartv

	* lib/cds/: ChangeLog, sip_utils.c: "hacked" version of
	  is_terminating_notify replaced by correct one

2006-06-21 15:42  kubartv

	* parser/hf.c: corrected faulty freeing of Subscription-State
	  header content

2006-06-21 15:33  kubartv

	* modules/tm/sip_msg.c, parser/case_subs.h, parser/hf.c,
	  parser/hf.h, parser/keys.h, parser/msg_parser.c,
	  parser/msg_parser.h, parser/parse_hname2.c,
	  parser/parse_subscription_state.c,
	  parser/parse_subscription_state.h: added Subscription-State
	  header field parsing (only needed parts)

2006-06-21 13:56  greger

	* modules/avp_radius/: README, avp_radius.c, doc/functions.xml:
	  Added new load function "caller_from_ruri". Useful for retrieving
	  callee's config values in a caller situation, ex. when callee
	  forwards call and thus for some purposes becomes caller.

2006-06-21 10:25  kubartv

	* lib/cds/: ChangeLog, sip_utils.c: corrected bug in
	  get_expiration_value

2006-06-21 10:18  tma0

	* modules/tm/sip_msg.c, parser/case_min.h, parser/hf.c,
	  parser/hf.h, parser/keys.h, parser/msg_parser.c,
	  parser/msg_parser.h, parser/parse_hname2.c: - added parsing of
	  Min-SE (related to Session-Expires) - added msg->session_expires,
	  msg->min_se fields

2006-06-19 11:11  greger

	* utils/sercmd/Makefile: Added dependency on ncurses to Makefile as
	  RedHat type distributions do not have auto-dependency on ncurses
	  as debian.

2006-06-19 01:15  tma0

	* parser/: case_acce.h, case_allo.h, case_cont.h, case_refe.h,
	  case_reje.h, case_requ.h, case_sess.h, hf.c, hf.h, keys.h,
	  msg_parser.c, parse_hname2.c: - adjusted compact headers. There
	  were missing compact equivalents for Subject, Refer-To and
	  completely missing Session-Expires, Accept-Contact, etc. support.
	   Currently I've implemented both compact header and case switches
	  to assign enumeration type. No next parsing is processed, but
	  probably will be done, good candidate e.g. Session-Expires.

	  Now e.g. textops hf_value correctly recognizes "Session-Expires"
	  and "x" as equal headers.

2006-06-17 13:38  tma0

	* modules/eval/: README, eval.c: - support for looping eval_while,
	  eval_while_stack - inc/dec operator - eval_add_value,
	  eval_insert_value for inserting values on stack - valconcat for
	  value concatanation

2006-06-17 11:43  tma0

	* modules/: db_ops/README, db_ops/db_ops.c, timer/timer.c: - test
	  of return value from called route routine. It enebles break look
	  using "return -1;" command

2006-06-17 11:40  tma0

	* action.c, action.h: - run_flags published in header file. It may
	  require any module command that calls run_actions, e.g. to absorb
	  return.

2006-06-17 02:21  sobomax

	* modules/nathelper/: nathelper.c, nathelper.h, natping.c: Remove
	  some coding style deviations.

2006-06-17 02:13  sobomax

	* modules/nathelper/natping.c: Rewert 1.6, it was a mistake on my
	  part.

2006-06-17 02:11  sobomax

	* modules/nathelper/natping.c: o Staticize natping_contact();

	  o make natping_contact() using unix-style error reporting (0 -
	  OK, != 0 error).

2006-06-16 18:56  tma0

	* modules/nathelper/: nathelper.c, nathelper.h, natping.c,
	  doc/functions.xml: - added natping_contact() enabling to process
	  pinging directly from script, e.g. using timer module -
	  @nathelper.rewrite_contact select returning contact with
	  rewritten IP:PORT

2006-06-16 16:15  tma0

	* action.c, receive.c: - bugfix SER-111 -When (drop/function
	  returning 0) appears in onreply route then post reply script
	  callbacks are skiped -Empty route block causes drop

2006-06-16 13:48  tma0

	* script_cb.c: - fixed copy&paste error, reply callbacks newer
	  installed

2006-06-14 10:36  tma0

	* modules/textops/: textops.c, doc/functions.xml: - added select
	  @hf_value.HFNAME[IDX].name returning name part ( "name"
	  <sip:host>;params )

2006-06-13 13:24  kubartv

	* lib/cds/: ChangeLog, hash_table.c, hash_table.h: added functions
	  for traversing hash table

2006-06-13 10:11  kubartv

	* modules/presence_b2b/ChangeLog,
	  modules/presence_b2b/euac_funcs.c,
	  modules/presence_b2b/euac_funcs.h, lib/cds/ChangeLog,
	  lib/cds/ser_profile.c, modules/presence_b2b/euac_state_machine.c,
	  lib/cds/sip_utils.c, lib/cds/sip_utils.h: few common SIP/SER
	  helper functions moved into CDS (needed elsewhere)

2006-06-13 09:11  kubartv

	* modules/dialog/dlg_mod.c: prepared dialog management functions
	  removed from this module

2006-06-12 23:14  mma

	* route.c: Fix test if select result is not empty for select
	  function returning empty string with result=0, res.len=0.

2006-06-12 13:40  mma

	* select.c: Free allocated structure if the parser returns error.

2006-06-12 11:10  kozlik

	* db/schema/attr_types.xml: bit for uri attrs in priority column
	  reserved

2006-06-12 11:03  kozlik

	* db/schema/ser.xml, db/schema/uri_attrs.xml,
	  scripts/dbtext/ser_db/uri_attrs, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  table uri_attrs introduced

2006-06-12 10:40  rco

	* modules/tm/t_cancel.c: added retransmission timer reset on
	  cancel.

2006-06-09 18:46  mma

	* select.c, select.h, doc/serdev/select_module.xml,
	  doc/serdev/serdev.xml, modules/xlog/xl_lib.c: Parsing of select
	  framework syntax moved to the select core; serdev doc showing how
	  to extend select framework within module.

2006-06-09 17:13  mma

	* doc/serdev/modiface.xml: & -> &amp; in code example

2006-06-09 10:48  kubartv

	* lib/cds/: ser_profile.c, ser_profile.h: clarified "simple
	  profiling"

2006-06-08 14:04  tma0

	* modules/eval/: README, eval.c: - added support for functions when
	  adding values to stack, currently we have time, uuid, stackno

2006-06-07 23:55  andrei

	* action.c, route.c, usr_avp.c, parser/parse_fline.h:
	  - numeric avp compared with string value fix: the value will be
	  converted  to int on-the-fly if possible (unfortunately we don't
	  have enough information    to do it on fixup).

	  - HTTP_VERSION_LEN macrodef. typo fix

2006-06-07 23:34  andrei

	* msg_translator.c, msg_translator.h:
	  - applied patch from Miklos Tirpak <miklos@iptel.org> (closes
	  SER-110)

2006-06-07 11:08  tma0

	* modules/timer/: Makefile, README, timer.c: - added timer module
	  files - the module supports calling specific dedicated route in
	  predefined interval and perfom a task - see README - docbook doc
	  come later

2006-06-07 10:59  tma0

	* modules/eval/: Makefile, README, eval.c: - added eval module
	  files - eval enables extression evaluating directly in ser.cfg
	  script using polish notation.  - AVP(int/str), select via xlib,
	  fast registers (may be fixuped alternative to using AVP as
	  temporary variables), etc.  - both int and str types - see README
	  - docbook doc come later

2006-06-07 10:38  tma0

	* modules/db_ops/: Makefile, README, db_ops.c: - db_ops module
	  files added.	- db_ops enables processing SQL commands directly
	  in ser.cfg script. See README for more information. Full docbook
	  doc come later.

2006-06-06 19:40  calrissian

	* modules/dispatcher/dispatch.c: new mode 2 was not evaluated
	  correctly

2006-06-06 13:54  kubartv

	* modules/presence_b2b/: ChangeLog, euac_funcs.c: corrected BUG
	  reported by Luis Silva - added missing parse_from_header call

2006-06-05 12:37  mma

	* Makefile.defs, action.c, modules/tm/ut.h: MADDR support (check-in
	  not to forget about)

	  If you need to support maddr parameter in uri (oh, poor you) set
	  the HONOR_MADDR define in the Makefile.defs and recompile.
	  Tested with Windows Messenger 5.1 on TCP connection.

2006-06-01 11:46  tma0

	* modules/rr/: rr_mod.c, rr_mod.h: - AVP_FLAG_DIALOG_COOKIE
	  constant published in header to be accesable by other modules
	  that are keen to use dialog cookies

2006-06-01 01:29  tma0

	* cfg.y: -optional $ in setavpflag,... identifier

2006-06-01 01:23  tma0

	* modules/rr/: avp_cookie.c, avp_cookie.h, rr_mod.c,
	  doc/functions.xml: - removed obsolete rr_add_avp_cookie,
	  rr_store. Use new core function setavpflag instead. rr will store
	  avp to record-route flaged "dialog_cookie"

2006-06-01 01:02  tma0

	* action.c, cfg.lex, cfg.y, route_struct.c, route_struct.h,
	  usr_avp.c, usr_avp.h, doc/serdev/routing_engine.xml,
	  doc/seruser/reference.xml: - added AVP flags feature.

	  Every AVP may by flaged from script via setavpflag(avpid, flag)
	  (it's similar like message flags setflags,resetflags,isflagset).
	  AVP flags must be declared using avpflags statement. Flags may be
	  tested via isavpflagset(avpid, flag). Both the setting and
	  testing may also be processed in a module. It's currently used in
	  the "rr" module for dialog_cookies. Such module should register
	  flag using register_avpflag(flag_id).

	  Example: avpflags myflag, dialog_cookie;

	  $a = 123; setavpflag($a, "myflag");

	  if (isavpflagset($a, "myflag")) { ....

	  $dlg_foo = "foo"; $dlg_bar = "bar"; setavpflag("$f./^dlg_",
	  "dialog_cookie");

2006-05-31 21:51  calrissian

	* modules/xmlrpc/xmlrpc.c: fixed a nice memory leak (memory was
	  allocated twice)

2006-05-31 19:03  hallik

	* select.c: Initialize nested function array

2006-05-31 10:37  tirpi

	* modules/rr/: fix_lumps.h, record.c, record.h, rr_mod.c:
	  remove_record_route function introduced which can be used to
	  remove the rr HF when it is in message lump memory

2006-05-30 23:24  calrissian

	* modules/dispatcher/doc/params.xml: added new flag 2

2006-05-30 23:21  calrissian

	* modules/dispatcher/: dispatch.c, dispatch.h: added flag value 2
	  which takes username first and falls back to hostname

2006-05-30 22:40  andrei

	* Makefile.defs, io_wait.c, io_wait.h:
	  - sigio 64 bits bug workarround enabled for linux kernels <2.6.5.

2006-05-30 21:20  andrei

	* io_wait.h, route.c, route.h:
	  - added route_lookup (like route_get(), but doesn't create a new
	  route  if not found) -- patch from  Miklos Tirpak
	  <miklos@iptel.org>

	  -fixed route_new_list() not init. realloc'ed chunk bug, found by
	   Bogdan Pintea <bogdan.pintea@iptel.org>

2006-05-30 14:00  tirpi

	* modules/mysql/dbase.c: bug currected: missing space in query
	  between 'where' and 'order by' keywords

2006-05-26 09:17  kubartv

	* modules/rls/: ChangeLog, rl_subscription.h, rls_mod.c, rls_mod.h:
	  removed unused xcap_root parameter (it is in xcap module instead)

2006-05-25 16:20  kubartv

	* modules/tm/ut.h: corrected BUG in uri2dst - t_uac was not working

2006-05-25 15:18  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: updated properties of attribute
	  asserted_id

2006-05-25 14:04  kubartv

	* modules/: dialog/dlg_request.c, xcap/xcap_mod.c:  - cosmetical
	  changes
	   - experimental trick in dialog module

2006-05-25 14:03  kubartv

	* modules/: pa/ChangeLog, pa/notify.c, presence_b2b/ChangeLog,
	  presence_b2b/events_uac.c, rls/ChangeLog, rls/rl_subscription.c:
	  corrected BUG - missing Max-Forwards header in outgoing requests

2006-05-25 11:37  kubartv

	* modules/presence_b2b/: ChangeLog, euac_funcs.c, euac_funcs.h,
	  euac_state_machine.c, events_mod.c, events_mod.h, rpc.c, trace.h:
	   - randomized sending of SUBSCRIBE requests (not directly in the
	  QSA subscription processing but initiated by timer; parameter
	  driven)
	   - removed unnecessary code from mod init function

2006-05-25 11:32  kubartv

	* modules/pa/: ChangeLog, notify.c, pa_mod.c, pa_mod.h,
	  presentity.c, watcher.c: added reaction on failed NOTIFY requests
	  (might be problematic with incorrect clients; may be disabled)

2006-05-25 11:12  kubartv

	* lib/: cds/sstr.h, presence/notifier_domain.c, xcap/xcap_client.c:
	  cosmetical changes

2006-05-23 11:57  calrissian

	* modules/sanity/: mod_sanity.c, mod_sanity.h, sanity.c, sanity.h,
	  doc/functions.xml, doc/params.xml, doc/sanity.xml: added new
	  check 'parse uris' which checks the presence and parseability of
	  Request, From and To URI.

2006-05-17 16:36  kubartv

	* modules/rls/: ChangeLog, db_rls.c, rl_subscription.c,
	  rl_subscription.h, rls_data.c, rls_handler.c, rls_mod.c,
	  rls_mod.h, rpc.c, subscription_manager.c, subscription_manager.h,
	  time_event_manager.c, trace.h, uri_ops.c, virtual_subscription.c:
	  - added some parameters for better control over performance
	  (controlling level   of nested lists, timer settings, ... see
	  ChangeLog) - handling responses on NOTIFY (destroying
	  subscriptions for non-OK responses)

2006-05-15 23:34  tma0

	* modules/rr/avp_cookie.c: - fixed critical precedence bug in
	  base64encode, *tgt_len-- -> (*tgt_len)--

2006-05-15 11:56  tma0

	* Makefile.defs, config.h, daemonize.c, globals.h, main.c,
	  version.h: - OS macro defined in Makefile.defs left unquoted and
	  added OS_QUOTED. OS macro maybe used by 3rd party header in
	  regular way, w/o quotes

	  - added dont_daemonize feature. When a process manager is
	  responsible for running processes then is not happy when spawned
	  process is terminated almost immediately. Manager will try
	  restart ser in infinite loop.  Cmd line params (ser.cfg)
	  (backward compatible):   -D ... don't fork (dont_fork=1)   -DD
	  ... don't daemonize creator process (dont_fork=2)   -DDD | or no
	  -D param ... normal daemonizetion (dont_fork>2 or 0)

	  Note there is problem when Ctrl-C in dont_daemonize mode, not all
	  processes are terminated

	  Creator_pid variable..pid of creator process, may be terminated

2006-05-12 10:31  calrissian

	* select_core.c: ruri select now returns the most recent version of
	  the ruri

2006-05-11 17:51  calrissian

	* modules/nathelper/nathelper.c: fixed length check for received
	  parameter in case of IPv6. Thanks to Klaus for pointing it out

2006-05-11 15:44  mma

	* modules/xlog/doc/xlog.xml: documentation updated

2006-05-11 15:26  calrissian

	* modules/domain/domain_mod.c: - added function is_from_anonym
	  which retruns ture if the From domain   is anonymous.invalid
	  (configurable as module parameter). Additionally   an AVP
	  is_anonymous with value 1 is added to the user From track.  -
	  added module parameter load_preferred_id which tells the
	  lookup_domain   function to take the domain from the
	  P-Preferred-Identity header if   present instead of the From
	  header.

2006-05-11 15:21  calrissian

	* modules/tm/tm.c: Added new function t_lookup_cancel. The function
	  returns true if tm knows about the transaction and the request is
	  canceable.  Note: the functions accepts only CANCEL requests.

2006-05-11 15:19  calrissian

	* modules/avp/avp.c: Extended attr2uri. The function now takes a
	  second optional argument which determines the sub part of the
	  ruri as target for the AVP content.  Currently supported values:
	  prefix,uri,username,usernamepasswd,domain,domainport,port

2006-05-11 15:15  calrissian

	* modules/avp/avp.c: let dump_avp dump all AVPs not only user from
	  track

2006-05-11 15:06  calrissian

	* modules/nathelper/nathelper.c: made received uri parameter IPv6
	  compliant

2006-05-11 13:29  tma0

	* main.c, globals.h: - added creator_pid variable to enable get pid
	  of ser main process that terminates when daemonizing.

2006-05-11 10:49  kozlik

	* db/schema/: attr_types.xml, domain_settings.xml: documentation
	  updated

2006-05-11 09:29  kubartv

	* lib/cds/ChangeLog, lib/cds/ser_profile.c, lib/cds/ser_profile.h,
	  lib/cds/simple_profile.c, lib/cds/simple_profile.h,
	  lib/xcap/ChangeLog, lib/xcap/pres_rules.c,
	  lib/xcap/resource_list.c, modules/pa/ChangeLog,
	  modules/pa/auth.h, modules/pa/notify.c, modules/pa/pa_mod.c,
	  modules/pa/pdomain.c, modules/pa/pres_notes.c,
	  modules/pa/presentity.c, modules/pa/presentity.h,
	  modules/pa/publish.c, modules/pa/reply.c, modules/pa/rpc.c,
	  modules/pa/subscribe.c, modules/pa/trace.h, modules/pa/watcher.c:
	   - corrected BUG in handling PUBLISH in PA module
	   - cosmetical changes in PA, libs
	   - added some trace logs for performance tests

2006-05-10 16:16  hallik

	* scripts/: dbtext/ser_db/attr_types, mysql/my_create.sql,
	  oracle/or_create.sql, postgres/pg_create.sql: Flags update -
	  recreate from xml-schema.

2006-05-10 16:13  kozlik

	* db/schema/attr_types.xml: changed values of flags in flag column

2006-05-10 16:12  kozlik

	* db/db.h: allocated flags for table attr_types and domain_settings

2006-05-04 20:51  mma

	* modules/avp/: avp.c, doc/functions.xml: - bug: xlset_attr did not
	  set AVP_VAL_STR - more documentation update

2006-05-04 14:20  mma

	* modules/avp/doc/: avp.xml, functions.xml, params.xml:
	  Documentation update

2006-05-03 16:01  kozlik

	* db/schema/attr_types.xml, db/schema/global_attrs.xml,
	  scripts/dbtext/ser_db/attr_types,
	  scripts/dbtext/ser_db/global_attrs, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  added global attributes uid_format and did_format

2006-04-28 15:28  kozlik

	* scripts/dbtext/ser_db/attr_types, db/schema/attr_types.xml,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: set flag 'required' for some
	  attributes

2006-04-26 18:00  kozlik

	* db/schema/domain_settings.xml, db/schema/ser.xml,
	  scripts/dbtext/ser_db/domain_settings,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: created table domain_settings

2006-04-24 20:16  janakj

	* modules/auth/api.c: - PRACK added to the list of methods that are
	  alway authenticated

2006-04-24 20:01  janakj

	* modules/uri_db/uridb_mod.c: - implemented check_uri function, the
	  function can be used to   verify whether user (represented by
	  uid) is allowed to use   the URI in  From/To/Request-URI

2006-04-21 16:28  andrei

	* Makefile.defs, action.c, config.h, forward.c, ip_addr.h,
	  msg_translator.c, msg_translator.h, version.h,
	  modules/sl/sl_funcs.c, modules/tm/sip_msg.c,
	  modules/tm/t_funcs.c, modules/tm/t_fwd.c, modules/tm/t_fwd.h,
	  modules/tm/t_lookup.c, modules/tm/t_msgbuilder.c,
	  modules/tm/t_msgbuilder.h, modules/tm/t_reply.c,
	  modules/tm/uac.c, modules/tm/ut.h, modules/xmlrpc/http.c,
	  parser/msg_parser.h, parser/parse_uri.c, parser/parse_via.c,
	  parser/parse_via.h:
	  - more struct dest_info conversions (via_builder, tm:
	  build_uac_req,   assemble_via a.s.o) - basic support for
	  comp=method (where mehtod=sigcomp|sergz) parsing  (via, various
	  uris) and adding (via, rr lumps). The code is compiled   only if
	  USE_COMP is defined. NOTE: for now the code is useless   (no
	  compression code yet and no compression hooks), so by default
	  it's	 not compiled.

	  WARNING: lots of changes and very lightly tested

2006-04-21 10:39  kubartv

	* modules/presence_b2b/: ChangeLog, euac_funcs.c, events_mod.c,
	  events_uac.c, events_uac.h, qsa_events.c, qsa_events.h, rpc.c:
	  added parameter presence_outbound_proxy (may be used instead of
	  presence_route)

2006-04-19 18:15  janakj

	* timer.c: - L_INFO turned into DBG (too noisy)

2006-04-19 18:11  janakj

	* action.c: - "null action list" warning turned into debugging
	  message (too noisy)

2006-04-19 16:48  janakj

	* modules/auth_db/authorize.c: - fixed bug introduced with
	  SUPPORT_EMPTY_USERNAMES

2006-04-19 14:49  janakj

	* scripts/dbtext/ser_dbtext.sh: - cmdline option support

2006-04-18 21:56  andrei

	* Makefile.defs, action.c, error.c, error.h, forward.c, forward.h,
	  ip_addr.h, proxy.h, resolve.c, resolve.h,
	  modules/mediaproxy/functions.h, modules/nathelper/natping.c,
	  modules/sl/sl_funcs.c, modules/tm/t_funcs.c, modules/tm/t_fwd.c,
	  modules/tm/t_reply.c, modules/tm/uac.c, modules/tm/ut.h:
	  - more dest_info conversions:     - forward_request takes now a
	  dest_info parameter	  - various something2dst conversions
	  functions	- got rid of the temprary mk_proxy when forwarding
	  after the uri     - updated all the affected modules

	  WARNING: not tested, use with care

2006-04-18 20:13  janakj

	* modules/usrloc/udomain.c: - more safety checks

2006-04-18 17:59  janakj

	* doc/stylesheets/dbschema/xsl/sql.xsl,
	  scripts/dbtext/ser_db/version, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql,
	  db/schema/version.xml: - generate version table entries in the
	  xsl script when processing   table definitions on XML

2006-04-18 15:51  andrei

	* forward.c:
	  - missing dst intialization fix

2006-04-18 12:53  janakj

	* scripts/mysql/ser_mysql.sh: - make drop user work with older
	  mysql releases

2006-04-18 12:31  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: changed name of attribute rpid

2006-04-18 11:27  janakj

	* Makefile: - reverted accidental changes

2006-04-18 11:12  kozlik

	* Makefile, db/schema/attr_types.xml,
	  scripts/dbtext/ser_db/attr_types, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  updated types of attributes

2006-04-18 10:47  janakj

	* scripts/mysql/ser_mysql.sh: - heavily improved version of the
	  mysql script:   - Use command line options instead of environment
	  variable   - allow to change the database name, usernames, and
	  passwords   - optionaly keep users when deleting database   -
	  generate dumps with/without schema definition   - up-to-date
	  documentation

2006-04-18 10:43  janakj

	* scripts/: dbtext/ser_db/version, mysql/my_create.sql,
	  mysql/my_drop.sql, oracle/or_create.sql, postgres/pg_create.sql,
	  postgres/pg_drop.sql: - updated from master files

2006-04-18 10:42  janakj

	* doc/stylesheets/dbschema/xsl/: mysql.xsl, sql.xsl: - do not
	  generate users, scripts will take care of it

2006-04-18 10:42  janakj

	* db/schema/ser.xml: - removed user definition

2006-04-18 10:41  janakj

	* db/schema/version.xml: - included version of cpl table

2006-04-18 10:41  janakj

	* db/schema/cpl.xml: - version added

2006-04-14 11:55  kozlik

	* scripts/dbtext/ser_db/attr_types, db/schema/attr_types.xml,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: attribute type 'acl' added

2006-04-14 10:55  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: names of attributes changed

2006-04-13 18:05  janakj

	* scripts/: dbtext/ser_db/cpl, dbtext/ser_db/domain,
	  mysql/my_create.sql, oracle/or_create.sql,
	  postgres/pg_create.sql: - updated from the master schema
	  definition

2006-04-13 18:04  janakj

	* db/schema/domain.xml: - remove useless columnt

2006-04-13 18:04  janakj

	* db/schema/ser.xml: - include cpl table

2006-04-13 18:03  janakj

	* db/schema/cpl.xml: - cpl table definition (uid version)

2006-04-13 14:21  kubartv

	* modules/rls/: ChangeLog, rls_data.c, rls_mod.c, rls_mod.h: added
	  parameter max_notifications_at_once

2006-04-13 14:20  kubartv

	* modules/pa/: ChangeLog, pa_mod.c, pa_mod.h, pdomain.c,
	  presentity.c, presentity.h, qsa_interface.c, qsa_interface.h,
	  subscribe.c: prepared for subscriptions to clients

2006-04-13 01:01  sobomax

	* modules/: nathelper/doc/nathelper.xml, registrar/reg_mod.c,
	  registrar/save.c, registrar/save.h: Update e-mail.

2006-04-12 20:04  andrei

	* Makefile.defs, action.c, forward.c, forward.h, ip_addr.h,
	  onsend.h, tcp_main.c, tcp_server.h, udp_server.c, udp_server.h,
	  modules/mediaproxy/functions.h, modules/nathelper/natping.c,
	  modules/sl/sl_funcs.c, modules/tm/t_funcs.c, modules/tm/t_fwd.c,
	  modules/tm/t_lookup.c, modules/tm/t_reply.c, modules/tm/uac.c,
	  utils/sercmd/sercmd.c:

	  - msg_send(), udp_send() and tcp_send() parameter list changed
	  (now they use a struct dest_info to pack several of the old
	  params)

2006-04-12 19:50  andrei

	* modules/msilo/msilo.c:
	   - warning fixes

2006-04-12 19:46  kubartv

	* modules/pa/: ChangeLog, message.c: corrected bug - added missing
	  from header parsing

2006-04-12 17:11  janakj

	* scripts/mysql/ser_mysql.sh: - write the format of tables into
	  dump

2006-04-11 18:34  kubartv

	* modules/pa/: ChangeLog, message.c, message.h: changed parameter
	  of "authorize_message" function (filename with im-rules instead
	  of XCAP root)

2006-04-11 17:48  kubartv

	* lib/presence/ChangeLog, lib/presence/notifier.h,
	  lib/presence/notifier_domain.c, lib/presence/notifier_domain.h,
	  lib/presence/qsa_params.c, lib/presence/qsa_params.h,
	  lib/presence/subscriber.h, modules/pa/ChangeLog,
	  modules/pa/auth.c, modules/pa/presentity.h,
	  modules/pa/qsa_interface.c, modules/pa/rpc.c,
	  modules/pa/winfo_doc.c, modules/presence_b2b/ChangeLog,
	  modules/presence_b2b/qsa_events.c, modules/rls/ChangeLog,
	  modules/rls/rl_subscription.h, modules/rls/rls_data.c,
	  modules/rls/rls_data.h, modules/rls/virtual_subscription.c:
	  changed QSA - prepared for internal subscription parameters and
	  reduced memory allocations

2006-04-11 15:35  janakj

	* modules/domain/domain.c: - check for DB_LOAD_SER flag to make
	  flag checking consistent   across modules.	Closes SER-100

2006-04-11 15:12  janakj

	* sr_module.c: - fix_param returns 1 when FPARAM_INT is used and
	  the parameter   is not a number   Closes SER-101

2006-04-11 15:02  janakj

	* modules/tm/tm.c, modules/sl/sl.c, sr_module.c, sr_module.h: -
	  cosmetic change, FPARAM_ASCIIZ renamed to FPARAM_STRING   Closes
	  SER-102

2006-04-11 14:33  janakj

	* modules/usrloc/ul_rpc.c: - changed result type of show_contacts
	  (should be array).	Closes SER-104

2006-04-11 10:13  kubartv

	* modules/presence_b2b/: ChangeLog, events_mod.c, qsa_events.c,
	  qsa_events.h: added parameter "additional_presence_headers"
	  containing SIP headers added into outgoing SUBSCRIBE requests for
	  presence

2006-04-10 18:59  kubartv

	* modules/pa/ChangeLog, modules/pa/offline_winfo.c,
	  modules/pa/qsa_interface.c, lib/presence/ChangeLog,
	  lib/presence/notifier.h, lib/presence/notifier_domain.c,
	  lib/presence/notifier_domain.h, lib/presence/pres_doc.h,
	  modules/presence_b2b/ChangeLog,
	  modules/presence_b2b/qsa_events.c, modules/rls/ChangeLog,
	  modules/rls/virtual_subscription.c: corrected content-type
	  propagation through QSA

2006-04-10 16:39  kozlik

	* db/schema/ser.xml, db/schema/version.xml,
	  scripts/dbtext/ser_db/version, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  removed tables for server monitoring - no more needed

2006-04-10 16:20  kozlik

	* db/schema/global_attrs.xml, scripts/dbtext/ser_db/global_attrs,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: added default values of global
	  attributes

2006-04-10 15:24  kozlik

	* db/schema/domain.xml, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  added default value to column 'last_modified' in table 'domain'
	  (this change is required by serweb)

2006-04-10 12:50  kubartv

	* modules/dispatcher/: dispatch.c, dispatch.h, dispatcher.c: added
	  function "ds_select_new" for setting new_uri instead of dst_uri
	  (usable for sending redirects instead of forwarding)

2006-04-10 09:32  kubartv

	* modules/: pa/ChangeLog, pa/auth.c, pa/pa_mod.c, pa/pa_mod.h,
	  xcap/ChangeLog, xcap/xcap_params.c:  - added PA module parameter
	  for pres-rules filename on XCAP server
	   - reduced trace logs from XCAP module

2006-04-07 16:55  andrei

	* Makefile.defs, NEWS, cfg.lex, cfg.y, dprint.h, globals.h, main.c,
	  mem/f_malloc.c, mem/mem.h, mem/memdbg.h, mem/q_malloc.c,
	  mem/shm_mem.c:
	  - separate memdbg log level which controls the memory/malloc
	  related   debug messages (to see them ser must be compiled with
	  malloc   debuging: -DDBG_QM_MALLOC or -DDBG_FM_MALLOC and
	  memdbg must be <= debug ). By default is set to L_DBG.    E.g.:
	  setting memdbg=100 in ser.cfg will make sure that you'll
	  never see a malloc debug message.    Note: memdbg is different
	  from memlog, memlog is the log level used    for malloc
	  statistics (printed on exit or on SIGUSR1).

	  - default log level switched to 0: this means that in the absence
	    of -d* commandline parameters or of the debug=no in ser.cfg,
	  only	 errors and other critical messages will be logged (no
	  warnings,    info, notice or dbg).

2006-04-07 15:46  kubartv

	* Makefile: xcap module excluded from build

2006-04-07 15:43  kubartv

	* doc/presence/examples.xml, lib/README, lib/xcap/Makefile.ser,
	  lib/xcap/msg_rules.c, lib/xcap/msg_rules.h,
	  lib/xcap/pres_rules.c, lib/xcap/pres_rules.h,
	  lib/xcap/resource_list.c, lib/xcap/resource_list.h,
	  lib/xcap/xcap_client.c, lib/xcap/xcap_client.h,
	  lib/xcap/doc/xcap.xml, modules/pa/ChangeLog, modules/pa/auth.c,
	  modules/pa/auth.h, modules/pa/message.c,
	  modules/pa/offline_winfo.c, modules/pa/offline_winfo.h,
	  modules/pa/pa_mod.c, modules/pa/pa_mod.h, modules/pa/subscribe.c,
	  modules/pa/watcher.c, modules/pa/watcher.h,
	  modules/pa/doc/functions.xml, modules/pa/doc/params.xml,
	  modules/presence_b2b/Makefile, modules/presence_b2b/events_mod.c,
	  modules/presence_b2b/doc/presence_b2b.xml, modules/rls/ChangeLog,
	  modules/rls/Makefile, modules/rls/db_rls.c,
	  modules/rls/rl_subscription.c, modules/rls/rl_subscription.h,
	  modules/rls/rls_handler.c, modules/rls/rls_mod.c,
	  modules/rls/rls_mod.h, modules/rls/virtual_subscription.c,
	  modules/xcap/ChangeLog, modules/xcap/Makefile,
	  modules/xcap/xcap_mod.c, modules/xcap/xcap_mod.h,
	  modules/xcap/xcap_params.c, modules/xcap/xcap_params.h:  - XCAP
	  queries moved into XCAP module, all other modules (and libs) are
	  now
	     independent on libcurl3
	   - parameter settings which was done via AVP (like xcap_root) and
	  output
	     variables (like subscription_status) changed to usage of
	  global variables -
	     due to problems with AVPs if functions called from script send
	  requests
	     (like NOTIFY from handle_subscripton - after sending it are
	  AVPs cleared)

2006-04-05 10:49  andrei

	* fastlock.h:
	  - ppc fixes (s/stw/stwx/, s/lwz/lwzx) - missing early clobbers
	  added for x86, sparc*, armv6, ppc*, alpha

2006-04-04 20:04  andrei

	* Makefile.defs, fastlock.h, lock_ops.h, doc/locking.txt:

	  - fastlock: optimizations (in general a "nicer" spin on the lock
	  for the other   cpus) and cleanups for sparc, sparc64, armv6
	  (nosmp for now), ppc*, mips* - fastlock: alpha: replace the cond.
	  jump backward with a	 cond. jump forward and then jump backward
	  (because a cond. jump with   a negative relative offset is always
	  predicted as taken and we want it   to be predicted as not taken)
	  - fastlock: sparc (32) smp support - lock_ops.h: introduced
	  lock_try and lock_set_try (non-blocking   lock_*_get versions,
	  returns -1 if it failed to get the lock and 0 if it	succeeds),
	  for all the supported locking methods (fast_lock, pthread_mutex,
	    posix_sem, sysv_sems) - updated locking doc.

2006-04-04 18:05  kubartv

	* doc/presence/examples.xml, etc/presence/full-no-failover.cfg,
	  etc/presence/no-db.cfg: cosmetical changes

2006-04-04 17:37  kubartv

	* etc/presence/: full-no-failover.cfg, no-db.cfg: Added sample
	  configuration files for presence. For more information see
	  "presence handbook"
	  (ftp://ftp.iptel.org/pub/ser/presence/presence-handbook/index.html)

2006-04-04 16:51  kubartv

	* doc/presence/examples.xml: added example of forwarding to
	  presence server

2006-04-04 16:16  kubartv

	* doc/presence/: examples.xml, intro.xml, presence_book.xml:
	  actualized documentation (config examples)

2006-04-04 16:14  kubartv

	* scripts/dbtext/ser_db/offline_winfo, scripts/mysql/my_create.sql,
	  db/schema/offline_winfo.xml, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: forgotten to previous commit -
	  changed DB schema

2006-04-04 14:00  kubartv

	* modules/pa/: ChangeLog, offline_winfo.c, offline_winfo.h,
	  subscribe.c, winfo_doc.c, doc/functions.xml: storing subscription
	  status into AVP and using it when storing offline watcherinfo

2006-04-04 13:08  andrei

	* atomic_ops.c:
	   - typo fixed

2006-04-04 11:45  kubartv

	* modules/msilo/ms_msg_list.c: corrected bug when walking through
	  list of sent messages

2006-04-04 11:25  kubartv

	* modules/: rls/ChangeLog, rls/rl_subscription.c, pa/ChangeLog,
	  pa/message.c, pa/notify.c, pa/doc/functions.xml,
	  presence_b2b/ChangeLog, presence_b2b/euac_funcs.c: NULL bodies
	  replaced with empty string due to TCP problems with requests sent
	  without Content-Length

2006-04-04 11:24  kubartv

	* lib/xcap/msg_rules.c: reduced logging

2006-04-03 21:03  andrei

	* fastlock.h, atomic/atomic_x86.h:
	  - membar_write on x86_64 is by default empty (since on amd64
	  stores are always ordered)

	  - x86/x86_64 lock optimizations:  spinning on a lock should be
	  friendlier now   for the other cpus caches (at the extra cost of
	  a cmp mem + jump) ; tried to	 arrange a little better the
	  instructions to allow for some parallel   execution.

	  - x86 unlocks with xchg by default (since some x86s reorder
	  stores, so a	simple mov is unsafe)

2006-04-03 19:24  kubartv

	* lib/presence/utils.c, lib/presence/utils.h,
	  lib/xcap/xcap_client.c, modules/pa/ChangeLog,
	  modules/pa/notify.c, modules/pa/reply.c, modules/pa/subscribe.c,
	  modules/rls/ChangeLog, modules/rls/rlmi_doc.c,
	  modules/rls/subscription_manager.c: corrected buggy contact sent
	  from RLS module, created function in common libs for server
	  contact extraction

2006-04-03 16:30  andrei

	* fastlock.h, test/lock_test.c:
	  - lock optimizations: use the lock specific membar only if the
	  lock_get  operation succeeded (this means don't use it while
	  spinning) => move   the membar call in get_lock or try_lock

	  - added try_lock: like get_lock but doesn't block (returns -1 on
	  failure  and 0 on success)

2006-04-03 15:32  andrei

	* atomic_ops.c, atomic/atomic_unknown.h, test/atomic_test2.c:
	  - s/atomic_ops_destroy/destroy_atomic_ops - fixed membar w/ locks
	  (should be unlock; lock) - added a separate lock for membar w/
	  locks (unkown arch).

2006-03-31 23:22  andrei

	* Makefile.defs, atomic_ops.h, fastlock.h, atomic/atomic_alpha.h,
	  atomic/atomic_arm.h:
	  - added atomic ops & mem. barriers support for:    - arm    - arm
	  v6 (untested, but it compiles ok)    - alpha	(untested. but it
	  compiles ok) - fastlock: minor fixes - Makefile.defs: support for
	  mip64 and armv6; various minor fixes

2006-03-31 15:59  kubartv

	* modules/: pa/doc/pa.xml, pa/doc/params.xml, rls/rls_mod.c,
	  rls/doc/functions.xml, rls/doc/params.xml, rls/doc/rls.xml,
	  rls/doc/xcap.xml, presence_b2b/events_mod.c,
	  presence_b2b/doc/params.xml: updated documentation

2006-03-30 21:56  andrei

	* Makefile.defs, atomic_ops.c, atomic_ops.h, atomic_ops_init.h,
	  main.c, atomic/atomic_mips2.h, atomic/atomic_ppc.h,
	  atomic/atomic_sparc.h, atomic/atomic_sparc64.h,
	  atomic/atomic_unknown.h, atomic/atomic_x86.h, test/atomic_test.c,
	  test/atomic_test2.c:
	  - makefile: - compile in 64bit mode by default on sparc64
	      - sparc <= v8 support		- -CC_GCC_LIKE_ASM is
	  defined when the compiler supports gcc style		     inline
	  asm (gcc and icc)

	  - atomic operations and memory barriers support for:	  - x86
	  - x86_64    - mips (only in NOSMP mode and if it supports ll and
	  sc)	 - mips2 (mips32, isa >= 2)    - mips64    - powerpc	-
	  powerpc64    - sparc <= v8 (only memory barriers, the atomic
	  operations are implemented	  using locks because there is no
	  hardware support for them)	- sparc64 - both 32 (v8plus) and 64
	  bit mode If there is no support for the compiler/arch.
	  combination, it falls back to  locks.

	   The code is tested (only basic tests: it runs and the results
	  are ok, but no
	    parallel tests) on x86, x86_64, mips2, powerpc, sparc64 (both
	  modes).
	   The sparc version runs ok on sparc64 (so it's most likely ok).
	   powerpc64 and mips64 not tested due to no access to the
	  corresponding
	   hardware, but they do compile ok.
	   For more details see the comments at the beginning of
	  atomic_ops.h.

2006-03-30 16:13  kubartv

	* doc/presence/biblio.xml, doc/presence/draft_iptel_im_rules.xml,
	  doc/presence/install.xml, doc/presence/intro.xml,
	  doc/presence/presence_book.xml, doc/presence/xcap.xml,
	  modules/pa/message.c, modules/pa/pa_mod.c, modules/pa/pa_mod.h,
	  modules/pa/doc/functions.xml, modules/pa/doc/pa.xml,
	  modules/pa/doc/params.xml, modules/pa/doc/xcap.xml,
	  modules/rls/ChangeLog, modules/rls/rls_mod.c,
	  modules/rls/rls_mod.h, modules/rls/doc/params.xml,
	  modules/rls/doc/rls.xml, modules/rls/doc/xcap.xml:  - updated
	  presence handbook and pa and rls documentation
	   - cosmetical changes in rls and pa (removed unused parameters)

2006-03-30 12:37  andrei

	* Makefile.defs, parser/parse_event.c: - removed unused code

2006-03-30 07:49  kubartv

	* lib/xcap/: ChangeLog, parse_pres_rules.c: corrected bug - library
	  was uncompilable

2006-03-29 17:35  kubartv

	* modules/pa/ChangeLog, modules/pa/message.c, lib/xcap/ChangeLog,
	  lib/xcap/common_policy.c, lib/xcap/common_policy.h,
	  lib/xcap/msg_rules.c, lib/xcap/msg_rules.h,
	  lib/xcap/parse_common_rules.c, lib/xcap/parse_common_rules.h,
	  lib/xcap/parse_msg_rules.c, lib/xcap/parse_msg_rules.h,
	  lib/xcap/parse_pres_rules.c, lib/xcap/parse_pres_rules.h,
	  lib/xcap/pres_rules.c, lib/xcap/pres_rules.h,
	  lib/xcap/xcap_client.c: added functions for MESSAGE authorization

2006-03-28 13:41  kubartv

	* modules/msilo/msilo.c: corrected bug in handling tm callback
	  parameter

2006-03-28 13:37  kubartv

	* modules/pa/: ChangeLog, pa_mod.c, pa_mod.h, publish.c: added
	  parameter max_publish_expiration

2006-03-27 14:53  kubartv

	* modules/pa/: ChangeLog, offline_winfo.c: corrected bug in offline
	  watcherinfo dump

2006-03-27 09:39  kubartv

	* modules/pa/: ChangeLog, message.c, message.h, notify.c,
	  offline_winfo.c, pa_mod.c, subscribe.c: added function for
	  message authorization (only template now)

2006-03-24 08:10  kubartv

	* lib/xcap/: ChangeLog, xcap_client.c: optimized XCAP document
	  access - each process has its own curl handle

2006-03-23 15:26  kubartv

	* modules/rls/: ChangeLog, db_rls.c, rl_subscription.c,
	  rl_subscription.h, rls_data.c, rls_data.h,
	  virtual_subscription.c: optimized count of sent NOTIFY requests

2006-03-23 13:24  kubartv

	* modules/rls/: ChangeLog, rl_subscription.c, rls_handler.c,
	  subscription_manager.c, virtual_subscription.c: cosmetical
	  changes (logging), corrected memory leak

2006-03-23 13:23  kubartv

	* lib/cds/logger.h, lib/xcap/xcap_client.c,
	  modules/pa/qsa_interface.c, modules/pa/subscribe.c,
	  modules/presence_b2b/euac_funcs.c,
	  modules/presence_b2b/events_uac.c,
	  modules/presence_b2b/qsa_events.c: cosmetical changes (logging)

2006-03-22 21:24  tma0

	* modules/textops/textops.c: - @select return non null pointer
	  event when res->len==0, it's required by @select =~ "foo"
	  comparision (at least)

2006-03-22 19:40  tma0

	* modules/textops/textops.c: - line terminator \r\n (instead simple
	  \n) when adding a header using append_hf_value, insert_hf_value.

2006-03-22 12:12  kubartv

	* modules/presence_b2b/: ChangeLog, euac_funcs.c, events_uac.c:
	  added "Content-Length: 0" into outgoing SUBSCRIBE requests (such
	  message is otherwise not parsed by SER when using TCP transport)

2006-03-22 10:43  kubartv

	* lib/presence/ChangeLog, lib/presence/notifier.h,
	  lib/presence/notifier_domain.c, modules/pa/ChangeLog,
	  modules/pa/publish.c, modules/pa/qsa_interface.c,
	  modules/pa/subscribe.c, modules/pa/trace.h, modules/pa/watcher.c,
	  modules/presence_b2b/ChangeLog,
	  modules/presence_b2b/euac_funcs.c,
	  modules/presence_b2b/euac_state_machine.c,
	  modules/presence_b2b/events_uac.h, modules/rls/ChangeLog,
	  modules/rls/rls_handler.c, modules/rls/trace.h,
	  modules/rls/virtual_subscription.c,
	  modules/presence_b2b/qsa_events.c, modules/presence_b2b/trace.h:
	  lib/presence: QSA carries subscription status pa: set
	  subscription status for internal subscriptions, using
	  get_content_length	 instead of strlen(body), corrected change
	  flag settings rls: accepts subscription status from QSA
	  presence_b2b: using get content length instead of strlen(body),
		      propagate subscription status through QSA

2006-03-21 01:54  mma

	* select_core.c, select_core.h: Core select R-URI splitting into
	  parts introduced: @ruri.(type|user|host|port)

2006-03-20 14:35  kubartv

	* modules/rls/: ChangeLog, virtual_subscription.c: reduced number
	  of NOTIFY messages sent to the subscriber (if presence document
	  doesn't change, notification is not propagated from virtual
	  subscription)

2006-03-20 14:05  kubartv

	* modules/pa/auth.c, modules/pa/qsa_interface.c, lib/cds/logger.h,
	  modules/presence_b2b/qsa_events.c, modules/rls/ChangeLog,
	  modules/rls/db_rls.c, modules/rls/rl_subscription.c,
	  modules/rls/rl_subscription.h, modules/rls/rls_auth.c,
	  modules/rls/rls_auth.h, modules/rls/rls_data.c,
	  modules/rls/rls_data.h, modules/rls/rls_mod.h, modules/rls/rpc.c,
	  modules/rls/virtual_subscription.c,
	  db/schema/rls_subscription.xml, lib/presence/ChangeLog,
	  lib/presence/notifier.h, lib/presence/notifier_domain.c,
	  lib/presence/notifier_domain.h, lib/presence/pres_doc.c,
	  lib/presence/pres_doc.h, scripts/dbtext/ser_db/rls_subscription,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: rls - multiple message queues
	  replaced with one shared     - xcap root stored into database
	  with subscription data pa, presence_b2b, lib: little changes in
	  API for internal status notification (QSA)

2006-03-19 00:40  mma

	* route.c: Comparing string results of @select or $avp expression
	  with numeric value.  Test like "123" > 100 is not allowed by
	  cfg.y rules, but $test > 10 is.

	  NOTE: the right operator MUST be number to do the numeric
	  comparison.

2006-03-18 17:46  mma

	* modules/rr/: loose.c, rr_mod.c, rr_mod.h, doc/params.xml: Module
	  param next_route_avp introduced.  If set and next route is found
	  within loose_route() call, the uri is stored in the AVP.

2006-03-17 20:22  calrissian

	* modules/auth_db/authorize.c: avoid database lookups on empty
	  authname.  compile with SUPPORT_EMPTY_AUTHNAME if you want to
	  have empty usernames.

2006-03-17 20:10  tma0

	* modules/textops/textops.c: - sorry, removed debug messages

2006-03-17 20:08  tma0

	* modules/textops/textops.c: - fixed insert_hf_value of index #1
	  when no header presented

2006-03-17 19:35  tma0

	* modules/textops/doc/functions.xml: - set_any_uri support notes

2006-03-17 19:31  tma0

	* modules/textops/textops.c: - support for @sel_any_uri nested

2006-03-17 10:45  kubartv

	* modules/presence_b2b/: ChangeLog, rpc.c: updated trace function

2006-03-17 10:43  kubartv

	* modules/pa/ChangeLog, modules/pa/auth.c, modules/rls/ChangeLog,
	  lib/xcap/pres_rules.c, lib/xcap/pres_rules.h,
	  lib/xcap/resource_list.c, lib/xcap/resource_list.h,
	  lib/xcap/xcap_client.c, lib/xcap/xcap_client.h,
	  modules/rls/db_rls.c, modules/rls/rl_subscription.c,
	  modules/rls/rl_subscription.h, modules/rls/rls_handler.c,
	  modules/rls/rls_mod.c, modules/rls/virtual_subscription.c:  -
	  changed parameters of XCAP queries in PA, RLS and libs
	   - changed processing of nested resource list (more efficient)

2006-03-16 13:17  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: created new attribute type for
	  sending missed calls

2006-03-16 13:13  janakj

	* cfg.y: - check command type only if cmd returned anything,
	  reported by	Tomas Mandys

2006-03-16 12:38  tma0

	* modules/tm/tm.c: - added support for new jjanak API (fix_param).
	  New function t_replicate_to, t_relay_to, t_forward_nonack have 2
	  param, 1st is protocol, 2nd ip:port. Both support fix_param.	It
	  enables set destination e.g. using an AVP

2006-03-16 11:47  janakj

	* modules/domain/domain_mod.c: - fixed wrong test for DB_DISABLED,
	  discovered by Michal Matyska

2006-03-15 20:16  andrei

	* atomic_ops.h, fastlock.h:
	  - added mb_atomic_* ops, equivalent to membar(); atomic_*, but
	  more	optimized (e.g. on x86 most atomic ops act also as memory
	  barriers   so  mb_atomic_*  will be equiv. to atomic_* )

	  - support for mips cpu which don't implement full mips isa2, but
	  do support  ll and sc

2006-03-15 17:13  andrei

	* Makefile, etc/ser.cfg, modules/ctl/ctl.cfg:
	  - Makefile: added nodeb: make tar nodeb=1 (the tar.gz won't
	  contain  the debian subdir anymore, needed for debian packaging)
	  - updated ser.cfg: removed old fifo and added it via ctl

2006-03-15 17:05  kubartv

	* modules/: pa/trace.h, presence_b2b/trace.h, rls/trace.h,
	  rls/uri_ops.c, rls/uri_ops.h: forgotten files from previous
	  commit (improved debugging and new RLS functions)

2006-03-15 17:03  kubartv

	* lib/cds/logger.h, lib/cds/sstr.c, lib/cds/sstr.h,
	  lib/presence/notifier_domain.c, lib/presence/pidf.c,
	  lib/presence/xml_utils.c, lib/xcap/parse_pres_rules.c,
	  lib/xcap/pres_rules.c, lib/xcap/pres_rules.h,
	  lib/xcap/resource_list.c, lib/xcap/resource_list.h,
	  lib/xcap/resource_lists_parser.c, lib/xcap/xml_utils.c,
	  lib/xcap/xml_utils.h, modules/rls/ChangeLog,
	  modules/rls/db_rls.c, modules/rls/rl_subscription.c,
	  modules/rls/rl_subscription.h, modules/rls/rls_handler.c,
	  modules/rls/rls_handler.h, modules/rls/rls_mod.c,
	  modules/rls/rpc.c, modules/rls/subscription_manager.c,
	  modules/rls/subscription_manager.h,
	  modules/rls/time_event_manager.c,
	  modules/rls/virtual_subscription.c, modules/pa/dlist.c,
	  modules/pa/offline_winfo.c, modules/pa/pa_mod.c,
	  modules/pa/pdomain.c, modules/pa/pres_notes.c,
	  modules/pa/presentity.c, modules/pa/presentity.h,
	  modules/pa/publish.c, modules/pa/reply.c, modules/pa/subscribe.c,
	  modules/pa/watcher.c, modules/presence_b2b/ChangeLog,
	  modules/presence_b2b/euac_funcs.c,
	  modules/presence_b2b/euac_funcs.h,
	  modules/presence_b2b/euac_internals.c,
	  modules/presence_b2b/euac_internals.h,
	  modules/presence_b2b/euac_state_machine.c,
	  modules/presence_b2b/euac_state_machine.h,
	  modules/presence_b2b/events_mod.c,
	  modules/presence_b2b/events_uac.c,
	  modules/presence_b2b/events_uac.h,
	  modules/presence_b2b/qsa_events.c,
	  modules/presence_b2b/qsa_events.h, modules/presence_b2b/rpc.c:
	  corrected some bugs in libraries and added some functions
	  modified RLS processing - separated XCAP query and subscription
	  handling, added some functions for that, improved debugging
	  improved PA and PRESENCE_B2B debugging

2006-03-13 21:20  andrei

	* Makefile.defs, atomic_ops.c, atomic_ops.h, timer.c,
	  test/atomic_test.c:  - timer: proper includes for no fast lock
	  case
	   - Makefile: mips gcc params fixes
	   - atomic_* updates [work in progress]

2006-03-13 16:43  andrei

	* modules/tm/h_table.h: - fixed conflicting flags

2006-03-13 11:47  janakj

	* modules/xmlrpc/xmlrpc.c: - fixed memory leak (discovered by
	  Vaclav Kubart)

2006-03-13 11:24  janakj

	* modules/: ctl/fifo_server.c, fifo/fifo_server.c: - fixed memory
	  leak (discovered by Vaclav Kubart)

2006-03-13 09:48  kubartv

	* modules/tm/: t_reply.h, tm.c, tm_load.c: added wrapper function
	  for C calls to w_t_reply (needed after changes done by TMa)

2006-03-09 21:44  andrei

	* atomic_ops.c, atomic_ops.h, test/atomic_test.c, test/lock_test.c,
	  test/mips_lock.c:
	  - advanced synchronization functions:  atomic operations (inc,
	  dec,	 inc_and_test, dec_and_test, or, and) and memory barriers.
	  [ work in progress, for now: x86, x86_64 and mips2 ]

2006-03-08 17:50  andrei

	* fastlock.h:
	  - mips inline asm gcc 3.x warnings fixed - mips2 NOSMP mode (skip
	  sync) - minor x86 & mips optimizations

2006-03-08 16:31  tma0

	* sr_module.h: - make gcc happy when compiling with a c++ module
	  (str str -> struct _str str)

2006-03-07 15:44  tma0

	* modules/tm/tm.c: - support for new fixup_param allowing using
	  t_reply as sl_reply (AVP may be used as parameters)

2006-03-07 14:12  andrei

	* modules/tm/t_reply.c:
	  - useless set_avp_list removed

2006-03-07 10:58  andrei

	* modules/tm/: lock.c, lock.h:
	  - timer lock cleanups (removed timer related lock stuff since
	  timers are now external, in-core)

2006-03-07 00:59  andrei

	* Makefile.defs, cfg.lex:
	  - removed the dependency on libfl

2006-03-06 15:42  kubartv

	* lib/: cds/dstring.c, cds/dstring.h, cds/serialize.c, cds/sstr.c,
	  presence/lpidf.c, presence/pidf.c, presence/pres_doc.c,
	  presence/xpidf.c: improved robustness

2006-03-03 19:23  janakj

	* modules/tls/: tls_rpc.c, tls_mod.c: - deallocate lock only if it
	  was really allocated - implemented tls.init (lists all existing
	  TLS connections)

2006-03-03 16:52  janakj

	* modules/tls/: tls_config.c, tls_config.h, tls_domain.c,
	  tls_domain.h, tls_init.c, tls_init.h, tls_mod.c, tls_mod.h,
	  tls_rpc.c, tls_rpc.h, tls_select.c, tls_select.h, tls_server.c,
	  tls_server.h, tls_util.c, tls_util.h, tls_verify.c, tls_verify.h:
	  - fixed file comments - added missing defines in header files -
	  added missing Id tags

2006-03-03 13:35  janakj

	* modules/tls/tls_select.c: - fixed get_ssl (TCP extra data
	  contains pointer to a different structure)

2006-03-03 13:26  janakj

	* modules/tls/tls_mod.c: - make sure tls modparams do not overview
	  defaults for the external   configuration file

2006-03-03 13:23  janakj

	* modules/tls/tls.cfg: - a couple of typos fixed

2006-03-03 13:22  janakj

	* modules/tls/tls.cfg: - minor beautification

2006-03-03 13:20  janakj

	* modules/tls/tls.cfg: - Example configuration file for tls module

2006-03-03 12:26  janakj

	* modules/tls/: tls_config.c, tls_config.h, tls_domain.c,
	  tls_domain.h, tls_init.c, tls_init.h, tls_mod.c, tls_mod.h,
	  tls_rpc.c, tls_rpc.h, tls_server.c, tls_server.h, tls_util.c,
	  tls_util.h: - Support for external TLS configuration file -
	  support for relative path names (CFG_DIR will be added
	  automaticaly) - Support for run-time configuration re-load -
	  tls.reload management command implemented

2006-03-03 11:46  kubartv

	* modules/tm/dlg.c: corrected potential memory leak sources (shown
	  under "heavy load")

2006-03-03 10:58  janakj

	* modules/registrar/reg_mod.h: - added missing extern keyword,
	  reported by Daniel Dodson

2006-03-02 18:22  kubartv

	* modules/pa/: ChangeLog, notify.c, pdomain.c, presentity.c,
	  qsa_interface.c, reply.c, subscribe.c, winfo_doc.c:  - improved
	  robustness
	   - cosmetical changes
	   - corrected BUG - contacts sent in all 2xx responses

2006-03-02 14:56  kubartv

	* modules/auth_db/authdb_mod.c: returned lost auth_dbf
	  initialization

2006-03-01 17:29  janakj

	* modules/tm/: h_table.c, h_table.h, t_hooks.c, t_reply.c,
	  tm_load.c: - recover all avps in failure and onreply routers -
	  fixed small nit in an error message

2006-03-01 17:05  janakj

	* modules/registrar/: reg_mod.c, reg_mod.h, reply.c, save.c: -
	  aligned to the new sl_api structure of sl module - new parameters
	  code_attr, reason_attr, and contact_attr - save_noreply will save
	  the reply code, reply reason text   and contacts in AVPs which
	  can be then accessed from the   script, so one can do:

	    save_noreply("location");
	    ... # Do something here
	    append_to_reply("$contact");
	    sl_reply("$code", "$reason");

	  - Support for retry-after removed, it can be done from the
	  script now (which is more flexible)

2006-03-01 17:01  janakj

	* modules/: auth_db/authdb_mod.c, auth_db/authdb_mod.h,
	  auth_db/authorize.c, cpl-c/cpl.c, cpl-c/cpl_env.h,
	  cpl-c/cpl_run.c, options/mod_options.c, sanity/sanity.c,
	  sanity/mod_sanity.c, sanity/mod_sanity.h, speeddial/sdlookup.c,
	  speeddial/speeddial.c, speeddial/speeddial.h, xmlrpc/xmlrpc.c: -
	  aligned to the new sl_api structure of sl module

2006-03-01 17:00  janakj

	* modules/auth/: auth_mod.c, auth_mod.h: - aligned to the new
	  sl_api_t structure

2006-03-01 16:59  janakj

	* modules/sl/: sl.c, sl.h, sl_funcs.c, sl_funcs.h: - expose
	  internal functions through a structure like other ser   modules,
	  - bind_sl added - module name changed to match the real library
	  name

2006-03-01 13:02  janakj

	* modules/sl/: sl.c, sl_funcs.c, sl_funcs.h: - support for
	  attributes in sl_reply parameters, for example:   $code = 200;
	  $reason = "OK";   sl_reply("$code", "$reason");

2006-03-01 13:00  janakj

	* sr_module.h, sr_module.c: - generic fix_param fixup function, the
	  function produces fparam_t structure,   which can contain parsed
	  integer, str string, AVP, regex, or asciiz character.    The
	  function gets the original string parameter as input

2006-03-01 10:16  tma0

	* modules/textops/: textops.c, doc/functions.xml: - support for
	  uris with or without LAQUOT/RAQUOT - select @hf_name.HDR[IDX].uri
	  will strip LAQUOT/RAQUOT

2006-03-01 08:45  kubartv

	* modules/pa/: ChangeLog, presentity.c, presentity.h, reply.c,
	  subscribe.c, watcher.c: little optimalization in handling
	  subscription

2006-03-01 08:42  kubartv

	* modules/rls/: ChangeLog, rls_mod.c: corrected bug in one shot
	  timer usage

2006-03-01 08:40  kubartv

	* route_struct.h, cfg.y: corrected problems reported by Warren
	  McCoubrey with compilation problems on Redhat 9 with gcc 3.2.2
	  and bison 1.35 (bison++)

2006-02-28 17:19  tma0

	* modules/textops/: textops.c, doc/functions.xml: - support for
	  headers using Authorization syntax, i.e. comma delimited list of
	  params (comma is not multi-value delimiter)

2006-02-28 12:50  mma

	* modules/xlog/xl_lib.c: Allowed digits inside of select's ID (same
	  way as ID in cfg.lex - start with letter, then letter/digit/'_')

2006-02-28 10:21  janakj

	* parser/digest/digest_parser.c: - fixed typo ('n' -> '\n'),
	  reported by Tomas Mandys

2006-02-27 21:50  tma0

	* select.c: - improved error message when select cannot be parsed

2006-02-27 15:28  tma0

	* modules/textops/: textops.c, doc/functions.xml: - support for
	  getting uris @hf_value.name.uri, e.g. @hf_value.route.uri, it
	  returns comma delimited list of uris "<sip:xxx>,<sip:yyy>" - if
	  used with index then returns uri part of particular header -
	  param called uri may be accesed using @hf_value.route.p.uri

2006-02-27 14:56  mma

	* modules/xlog/xl_lib.c: Bug corrected: allow negative numbers as
	  index in select parser

2006-02-27 12:43  kubartv

	* lib/cds/dstring.c, lib/presence/lpidf.c, lib/presence/pidf.c,
	  lib/presence/xpidf.c, modules/pa/ChangeLog, modules/pa/notify.c,
	  modules/pa/winfo_doc.c, modules/rls/ChangeLog,
	  modules/rls/rl_subscription.c, modules/rls/rlmi_doc.c: corrected
	  bugs: under heavy load vere allocated buffers with zero length,
	  but they were not freed

2006-02-26 21:26  mma

	* modules/xlog/xl_lib.c: Allowing underscore in select_ids and
	  don't overskip one char just behind the resolved select.

2006-02-26 17:32  mma

	* select.c: Bug corrected when parsing xlog's select, which uses
	  DIVERSION flag. It tried to free mem block which was inside
	  allocation block.

2006-02-24 21:24  andrei

	* utils/sercmd/Makefile: - basic readline autodetection (if
	  readline headers are present	sercmd is compiled with readline
	  support, if not no command completion  is available)

2006-02-24 20:16  andrei

	* cfg.y, main.c, signals.c: - solaris fixes

2006-02-24 19:35  andrei

	* route.h, tcp_main.c, ut.h, modules/tm/t_stats.c,
	  parser/parse_uri.c: - tcp accounting: connections_no decreased on
	  error - parse_uri: missing break for r2 - tm: enabled tm stats

2006-02-24 13:26  janakj

	* modules/textops/textops.c: - cosmetic fix

2006-02-24 13:24  janakj

	* core_cmd.c, modules/usrloc/ul_rpc.c: - fixed test of rpc->scan
	  return value

2006-02-24 13:09  janakj

	* modules/textops/textops.c: - the select structure must not be
	  static

2006-02-24 01:00  tma0

	* modules/textops/: textops.c, doc/functions.xml, doc/textops.xml:
	  New textops features ===============

	  xl_lib support for search_append, append_hf, replace,
	  replace_all, append_to_reply

	  New functions:

	  insert_hf_value() ----------- insert new header field before
	  existing header, if no index acquired the 0 is used.	No param
	  may be used. To insert value behing last value use
	  appenf_hf_value (exception #1 add event no header exists).

	    insert_hf_value("foo[2]", "gogo")
	    insert_hf_value("foo", "gogo")   # add new header at the top of
	  list
	    insert_hf_value("foo[1]", "gogo") # try add to the first header

	  append_hf_value() ----------- append new header after an existing
	  header, if no index acquired append at the end of list. No param
	  may be used.

	    append_hf_value("foo", "gogo")  = foo[-1]
	    append_hf_value("foo", "gogo")   # add new header
	    append_hf_value("foo[-1]", "gogo") # try add to the last
	  header, if not exists add new header

	  remove_hf_value() ----------- remove hf or parameters
	  remove_hf_value("foo") = foo[1]   remove_hf_value("foo[*]")  =
	  all foo's   remove_hf_value("foo[-1]")  last foo

	    remove_hf_value("foo.bar")	delete parameter
	    remove_hf_value("foo[*].bar")  for each foo delete bar
	  parameters, eventually remove also foo's

	  assign_hf_value() -----------

	    assign_hf_value("foo", "gogo")  # foo[1]
	    assign_hf_value("foo[-1]", "gogo")	# foo[last_foo]

	    assign_hf_value("foo.bar")	# remove all foo's
	    assign_hf_value("foo.bar", "")  dtto
	    assign_hf_value("foo[3].bar", "")
	    assign_hf_value("foo[*]", "")  # remove all foo's = remove_hf
	    assign_hf_value("foo[*].bar", "")  # set empty value (ex. lr)

	  Multi value set manipulation

2006-02-24 00:36  andrei

	* modules/ctl/io_listener.c, utils/sercmd/parse_listen_id.c,
	  utils/sercmd/sercmd.c:
	  - *bsd & mac os x fixes - use alternative to
	  rl_attempted_completion_over which is not present in	 some
	  readline emulations (e.g. libedit readline emulation on mac os x)

2006-02-23 22:14  andrei

	* modules/ctl/ctl.cfg, modules/ctl/ctrl_socks.c,
	  utils/sercmd/parse_listen_id.c:
	   - more minor fixes (sync. socket parsing between ctl and sercmd)

2006-02-23 21:46  andrei

	* modules/ctl/: binrpc_run.c, ctl.cfg: - minor fix: close the
	  connection only on major erros (e.g. corrupted packet)

2006-02-23 21:07  andrei

	* NEWS, utils/sercmd/EXAMPLES, utils/sercmd/Makefile,
	  utils/sercmd/TODO, utils/sercmd/license.h,
	  utils/sercmd/parse_listen_id.c, utils/sercmd/parse_listen_id.h,
	  utils/sercmd/sercmd.c:
	  - new command line tool which communicates with the ctl module
	  (using the new binary protocol)   - supports various connection
	  methods: udp, tcp, unix sockets (datagram	and stream)   - can
	  do basic reply formatting (see -f )	- supports both command
	  line and interactive modes   - if compiled with libreadline
	  supports command completion in the	 interactive mode   -
	  depends only on libreadline/libedit if compiled with command
	  completion	 support  Example:     sercmd -s
	  unixd:/tmp/unix_dgram -f 'pid:%v desc:"%v"\n' core.ps     sercmd
	  # enters interactive mode, uses default unix:/tmp/ser_ctl socket
	  sercmd ps	   sercmd who  (see also sercmd -h and
	  utils/sercmd/EXAMPLES)

2006-02-23 21:00  andrei

	* scripts/sc_tcp:  - example serctl fifo over tcp script. It uses
	  nc (netcat) to communicate
	   over tcp with the fifo part of the ctl module.
	   Use SER_FIFO="hostname port" sc_tcp	for different hosts/ports.

2006-02-23 20:57  andrei

	* modules/ctl/: Makefile, binrpc.c, binrpc.h, binrpc_run.c,
	  binrpc_run.h, ctl.c, ctl.cfg, ctl_defaults.h, ctrl_socks.c,
	  ctrl_socks.h, fifo_server.c, fifo_server.h, init_socks.c,
	  init_socks.h, io_listener.c, io_listener.h:
	  - new fifo/unixsock/xmlrpc like module (implements the rpc api):
	  - supports multiple simultaneous connections over tcp, udp  and
	  unix	   datagram or stream sockets	- uses a space efficient
	  binary encoding (for details see the top     comments in
	  modules/ctl/binrpc.h)   - fast   - forks only one extra process
	  - supports also the old fifo protocol, extended to work also on
	  tcp, udp and unix sockets (you could use fifo over telnet for
	  example)   - it doesn't depend on any external library  see
	  modules/ctl/ctl.cfg for an example config and possible module
	  parameters.

2006-02-23 13:06  kubartv

	* lib/xcap/pres_rules.c: corrected memory leak

2006-02-23 00:41  janakj

	* modules/tls/tls_config.c: - fixed wrong comment

2006-02-23 00:37  janakj

	* modules/tls/: tls_config.h, tls_mod.c, tls_mod.h, tls_config.c: -
	  TLS configuration file parser (not yet integrated   with rest of
	  tls module)

2006-02-22 19:45  mma

	* modules/avp/avp.c: Corrected bug when adding AVP[] to multiple
	  headers. Sometimes it generated core dumps for single value AVP
	  too.

2006-02-22 14:43  kubartv

	* db/schema/offline_winfo.xml, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  updated schema for offline winfoo subscriptions - domain size set
	  to &domain_len;

2006-02-22 14:34  andrei

	* modules/tls/tls_domain.c: - by default don't require a
	  certificate

2006-02-22 14:10  andrei

	* modules/tls/tls_domain.c: - by default don't verify any certs
	  (server or client)

2006-02-22 14:00  andrei

	* modules/tls/: tls_domain.c, tls_mod.c, tls_server.c:

	  - applied Klaus Darilion patches (closes SER-98):	- updated
	  tls-core.patch     - allow configuration of the default
	  TLS-client-domain	- more TLS logging during TLS initalisation
	  and when TLS verification fails     - use TLSv1 as default method
	      - debian build: libradius-ng-dev as another alternative to
	  the various	     libradius*

2006-02-22 13:45  andrei

	* tcp_main.c:
	   - tcp_send fix: return <0 on send error.
	   This is a modified version of Klaus Darilion patch/openser port
	   (extra tcpconn_put on release error)

2006-02-21 22:02  andrei

	* core_cmd.c:
	  - system_methodHelp sends now an error reply if the command was
	  not found (previously it wouldn't send any reply at all)

2006-02-21 12:37  kubartv

	* modules/pa/: paerrno.h, reply.c, subscribe.c: corrected renewal
	  SUBSCRIBE handling

2006-02-21 00:31  andrei

	* modules/tls/tls_server.c: - log message fix for tls_connect
	  (s/dst/src)

2006-02-21 00:30  andrei

	* timer.c:
	  -  "adjusting timer ticks" is printed less often

2006-02-20 19:59  mma

	* select.c, select.h: Void data ptr introduced as select parameter
	  type, to be used e.g. by fixup call

2006-02-20 17:19  janakj

	* modules/rr/rr_mod.c: - added rr_store alias

2006-02-20 17:19  janakj

	* modules/registrar/: lookup.c, reg_mod.c, reg_mod.h, save.c: -
	  nat_flag split into save_nat_flag and load_nat_flag, this way
	  we can use different nat flags for UAC and UAS which makes it
	  possible to implement better nat detection algorithm

2006-02-20 17:17  janakj

	* modules/nathelper/nathelper.c: - nathelper/usrloc do not use avp
	  to communicate received str

2006-02-17 23:32  mma

	* select.c, select_core.c, modules/xlog/xl_lib.c: - avoid compiler
	  warning - don't free str in fixup call to select_anyheader - xlog
	  knows how to parse and call select, just use %@select[1]

2006-02-17 19:16  andrei

	* modules/fifo/fifo.c:
	  - fifo fork fix

2006-02-17 18:03  andrei

	* core_cmd.c:
	  - core_uptime returns the uptime as an int (previosuly it used a
	  float)   If someone is really concerned that his ser uptime will
	  wrap arround after   136 years I might be persuaded to change it
	  back :-)

2006-02-17 17:20  kubartv

	* modules/presence_b2b/: euac_funcs.c, euac_state_machine.c,
	  qsa_events.c: corrected memory leak

2006-02-17 13:50  mma

	* select.c, select.h, select_core.c, select_core.h: Select
	  framework extended to "fixup call" if demanded using flag
	  FIXUP_CALL.

	  When this flag is included in the flags column, then during the
	  select resolution, the "fixup" call to the resolved function is
	  done.

	  During this call the res & msg parameters set to NULL.  The
	  function can change the parsed select structure, e.g. param.type
	  from SEL_PARAM_STR into SEL_PARAM_DIV, etc.

	  Currently used for select_anyheader: - changes _ into - to
	  support headers including dashes (use e.g. @msg.max_forwards) -
	  calls parse_hname2 to speed-up headers lookup for known headers

2006-02-17 11:22  kubartv

	* modules/pa/: ChangeLog, auth.c, pa_mod.c, pa_mod.h,
	  qsa_interface.c, qsa_interface.h, rpc.c, subscribe.c,
	  winfo_doc.c, doc/params.xml:	- added parameters
	  max_subscription_expiration, accept_internal_subscriptions
	   - XCAP URIs for authorization documents use UID instead of
	  username
	   - RPC function pa.publish uses UID instead of URI

2006-02-17 11:19  kubartv

	* modules/rls/: ChangeLog, rl_subscription.c, rl_subscription.h,
	  rls_handler.c, rls_mod.c, rpc.c, rpc.h, subscription_manager.c,
	  virtual_subscription.c, doc/rls.xml:	- cosmetical changes
	   - UID instead of username in XCAP queries for "simple" operation
	  mode
	   - added changelog

2006-02-17 11:16  kubartv

	* doc/presence/presence_book.xml: presence_b2b documentation added
	  to "presence handbook"

2006-02-17 11:14  kubartv

	* lib/: cds/hash_table.c, cds/hash_table.h, cds/sstr.c, cds/sstr.h,
	  presence/pidf.c, presence/pres_doc.h, presence/qsa.h: little
	  changes (needed by presence_b2b module)

2006-02-17 11:10  kubartv

	* modules/dialog/: dlg_mod.c, dlg_mod.h, dlg_mod_internal.h,
	  dlg_request.c, dlg_request.h, dlg_utils.c, dlg_utils.h: added
	  first step for some dialog manipulating functions (not working
	  now) added changes needed by presence_b2b and RLS modules

2006-02-17 11:04  kubartv

	* Makefile, modules/presence_b2b/ChangeLog,
	  modules/presence_b2b/Makefile, modules/presence_b2b/euac_funcs.c,
	  modules/presence_b2b/euac_funcs.h,
	  modules/presence_b2b/euac_internals.c,
	  modules/presence_b2b/euac_internals.h,
	  modules/presence_b2b/euac_state_machine.c,
	  modules/presence_b2b/euac_state_machine.h,
	  modules/presence_b2b/events_mod.c,
	  modules/presence_b2b/events_mod.h,
	  modules/presence_b2b/events_uac.c,
	  modules/presence_b2b/events_uac.h,
	  modules/presence_b2b/qsa_events.c,
	  modules/presence_b2b/qsa_events.h, modules/presence_b2b/rpc.c,
	  modules/presence_b2b/rpc.h, modules/presence_b2b/doc/Makefile,
	  modules/presence_b2b/doc/functions.xml,
	  modules/presence_b2b/doc/params.xml,
	  modules/presence_b2b/doc/presence_b2b.xml: Added presence B2BUA.
	  It may be used for doing SIP subscriptions for RLS module.

2006-02-17 00:53  tma0

	* modules/rr/avp_cookie.c: - trimmed trailing equal chars in avp
	  cookie

2006-02-17 00:40  andrei

	* core_cmd.c:
	  - system.methodHelp works now also for core methods (btw: why
	  this ugly mixed case names?)

	  - core.prints fixed: should check if rpc_scan finished
	  succesfully, before trying to rpc_add

2006-02-16 16:57  tma0

	* modules/rr/: avp_cookie.c, avp_cookie.h, loose.c, rr_mod.c,
	  doc/functions.xml, doc/params.xml: - cookie_secret param added -
	  fixed error in state machine for evaluating (avp=) - fixup
	  rr_add_avp_cookie fixup bugfix

2006-02-16 16:51  tma0

	* crc.c, crc.h: - added crcitt_string_ex to enable computing for
	  multiple strings

2006-02-16 15:49  janakj

	* db/db.c: - display proper error message when a database driver is
	  not found

2006-02-16 15:30  janakj

	* modules/uri_db/uridb_mod.c: - skip disabled database records

2006-02-16 15:29  janakj

	* modules/postgres/db_mod.c: - remove test function

2006-02-16 15:27  janakj

	* modules/cpl-c/cpl_sig.c: - aligned to the recent changes in
	  routing structures

2006-02-16 15:27  janakj

	* modules/avp_db/avp_db.c: - load_attrs now supports t.uid and
	  f.uid as parameter value   (was to.uid and from.uid)

2006-02-16 15:26  janakj

	* modules/auth_radius/authrad_mod.c: - radius_www_authenticate and
	  radius_proxy_authenticate aliases

2006-02-16 15:25  janakj

	* modules/auth_db/: authdb_mod.c, authorize.c: - fixed bug in
	  parameter of 1-param variants www_authenticate   and
	  proxy_authenticate - skip disabled credentials in the database

2006-02-16 15:24  janakj

	* modules/acc_syslog/acc_syslog.c: - fixed typo in modparam fixup -
	  added acc_syslog_log (can be used to generate acc entry from
	  script   without having transaction context) - added
	  acc_syslog_missed (can be used to generate acc entry from scrit
	  without having transaction context, useful when lookup_contacts
	  yields no contacts (temporarily unavailable)

2006-02-16 15:23  janakj

	* modules/acc_radius/acc_radius.c: - fixed typo in modparam fixup -
	  added acc_rad_log (can be used to generate acc entry from script
	  without having transaction context) - added acc_rad_missed (can
	  be used to generate acc entry from scrit   without having
	  transaction context, useful when lookup_contacts   yields no
	  contacts (temporarily unavailable)

2006-02-16 15:22  janakj

	* modules/acc_db/acc_db.c: - fixed typo in modparam fixup - added
	  acc_db_log (can be used to generate acc entry from script
	  without having transaction context) - added acc_db_missed (can be
	  used to generate acc entry from scrit   without having
	  transaction context, useful when lookup_contacts   yields no
	  contacts (temporarily unavailable)

2006-02-16 15:19  janakj

	* select_core.c, select_core.h: - support for @event - support for
	  @cseq (@cseq, @cseq.number, @cseq.method) - support for
	  @record_route (@record_route.uri, @record_route.params, ...)

2006-02-16 13:57  tma0

	* modules/rr/rr_mod.c: -rr_add_avp_cookie fixup bugfix

2006-02-16 13:35  tma0

	* modules/rr/: avp_cookie.c, avp_cookie.h, loose.c, rr_mod.c,
	  doc/functions.xml: - rr_add_avp_cookie uses avp_parser and
	  supports comma delimited list - ftag != from.tag comparision in
	  loose_route for cookie flipping

2006-02-15 18:29  mma

	* cfg.lex, cfg.y, route.c, usr_avp.c: AVP track searching
	  resolution ------------------------------ new AVP prefixes
	  registered fu - FROM USER and tu - TO USER $avp and $f.avp now
	  searches in from track $t.avp searches in to track

	  specify fu, tu, fd, td, g if you want to search in one list only

2006-02-14 19:04  andrei

	* timer_funcs.h:
	  - more timer DBG cleanups

2006-02-14 18:48  andrei

	* timer.c:
	  - silenced noisy timer debug message

2006-02-14 18:41  andrei

	* Makefile, Makefile.rules:
	  - better utils handling: make utils  will compile them, make
	  install-utils  will install them, as well as make install. They
	  also also properly cleaned  on make proper.

2006-02-13 20:57  hscholz

	* modules/ratelimit/ratelimit.c:
	  - add GPL license - remove parser/parse_methods.[ch] includes

	  suggested by andrei@

2006-02-13 14:12  janakj

	* modules/cpl-c/cpl_sig.c: - aligned to the latest changes in the
	  structure of routing lists

2006-02-12 19:10  calrissian

	* modules/sanity/: mod_sanity.h, sanity.c, doc/params.xml,
	  doc/sanity.xml: enabled ruri scheme check

2006-02-11 11:34  andrei

	* COPYING: - small fix/clarification

2006-02-11 11:13  andrei

	* Makefile:
	  - unixsock not compiled by default (work in progress)

2006-02-11 11:07  andrei

	* Makefile.defs, mem/shm_mem.c:
	  darwin/mac os x fixes:  - no sigwaitinfo => use sigwait (in libc)
	  - warning fix

2006-02-10 22:01  andrei

	* Makefile.defs, timer.c:
	  - openbsd fixes from	Hendrik Scholz <hscholz@raisdorf.net>:	 -
	  sigwaitinfo is not available on openbsd => s/sigwaitinfo/sigwait/
	  - sigwait requires linking with libpthread (on openbsd)   -
	  openbsd requires netinet/in_systm.h

2006-02-10 20:39  hscholz

	* cfg.y:
	  - fix missing semicolon leading to compilation error on FreeBSD
	  and OpenBSD	(introducted in 1.113)

2006-02-10 19:21  andrei

	* core_cmd.c, tcp_info.h, tcp_main.c:
	  - removed some exported information: inactive_connection and
	  number of requests (it was bogus anyway)

2006-02-08 22:11  tma0

	* modparam.c: -changed strdup to pkg_malloc, valgrind disliked
	  strlen(strdup'ed memory)

2006-02-08 17:44  andrei

	* flags.c: - fixed flag hash bug, reported by Tomas Mandys - fixed
	  MAX_FLAG usage (flags no = MAX_FLAG+1 and not MAX_FLAG)

2006-02-08 13:20  tma0

	* modules/registrar/: lookup.c, reg_mod.c, reg_mod.h: - merged
	  registrar.received_to_uri from svn

2006-02-08 11:57  mma

	* action.c: [Closes SER-95] Corrected AVP assignment producing
	  wrong name. Thanks to Miklos.

2006-02-07 22:51  tma0

	* modules/avp/avp.c: - new function avp_delete() added, supports
	  regex

2006-02-07 20:52  andrei

	* Makefile, Makefile.defs, cfg.y, modules/flatstore/flatstore.c,
	  modules/sanity/mod_sanity.c, modules/sanity/sanity.c,
	  modules/tm/t_reply.c, modules/tm/t_stats.c:  - various warning
	  fixes

2006-02-07 20:17  andrei

	* config.h, flags.c, sr_module.c, sr_module.h,
	  modules/acc_db/acc_db.c, modules/acc_radius/acc_radius.c,
	  modules/acc_syslog/acc_syslog.c, modules/registrar/reg_mod.c:
	  - modules named flag support in modparams (registrar, acc_*)
	  E.g.:

	  flags foo, bar, nat; modparam("registrar", "nat_flag", "nat")

	  or modparam("registrar", "nat_flag", "f:9") # uses flag 9 and
	  "names" it f

2006-02-07 02:14  andrei

	* action.c, cfg.y, hashes.h, main.c, onsend.h, receive.c, route.c,
	  route.h, ut.h, modules/tm/t_fwd.c, modules/tm/t_reply.c,
	  modules/tm/tm.c:
	  - named routes support in core and tm (t_on_*).  e.g.: route{
	  route(bar);	  t_on_reply("reply_route");	  route(1); # ==
	  route("1")	   ...	}   route[foo]{     ...   }   route["bar"]{
	      ...   }	route[1]{   ...  }   onreply_route[reply_route]{
	  ...	}

	   route(bar);

2006-02-06 17:47  andrei

	* core_cmd.c, tcp_info.h, tcp_main.c:  - fixed some tcp connections
	  accounting bugs
	   - tcp info available via fifo/rpc

2006-02-06 17:20  ramona

	* modules/uac/from.c: applied patch provided by Phil D'Amore

2006-02-05 21:01  calrissian

	* modules/sanity/doc/: functions.xml, params.xml, sanity.xml: added
	  some important details to the documentation

2006-02-05 20:00  calrissian

	* modules/sanity/: Makefile, mod_sanity.c, mod_sanity.h, sanity.c,
	  sanity.h, doc/Makefile, doc/functions.xml, doc/params.xml: Intial
	  checkin of the new sanity check module.  This module aims to
	  implement several sanity checks which are currently not done or
	  available from SER. Currently this module implements the
	  following checks:  - R-URI SIP version  - Proxy-Require header  -
	  minimum required headers  - Content-Length  - CSeq validity  -
	  Expires validity

2006-02-05 17:27  tma0

	* modules/xlog/xl_lib.c: - improved parsing of %$avp when
	  terminating with non space.e.g "cxx %$avp2%$avp3 blabla" - new
	  parameter "% " or "%|" enabling spaceless concatanating avp and
	  "text", e.g. "aaa%$avp%|xxx" printed as  "aaaavp_valuexxx"

2006-02-03 22:56  andrei

	* tcp_main.c, tcp_read.c, tsend.c:
	  - tcp children number is not anymore limited (was limited to 100)
	  - tcp connection are	passed to the tcp reader processes after
	  some data is received on them and not immediately after accept().
	  This speeds up accepting lots of new connections. Old behaviour
	  can be select by undef-ing TCP_PASS_NEW_CONNECTION_ON_DATA in
	  tcp_main.c - lots of cleanups and small fixes - tsend_stream now
	  support waiting forever (timeout==-1)

	  Orientative test results:  - 50k connections to ser opened, 1
	  packet sent of them and then closed in 9.5s  - 50-65Mb data rate
	  on 50k connections (with 20 ser tcp processes)  - 200-240Mb data
	  rate on 1 connection

2006-02-03 22:06  andrei

	* mem/: f_malloc.c, q_malloc.c: - *_realloc bug fix: on grow, when
	  out of memory, realloc would free the   original pointer (instead
	  of leaving it alone and just returning null)

2006-02-03 17:25  kubartv

	* modules/pa/auth.c, modules/pa/pa_mod.c, lib/cds/cds.c,
	  lib/cds/logger.h, lib/cds/memory.c, lib/presence/qsa.c,
	  lib/presence/xpidf.c, lib/xcap/pres_rules.c,
	  lib/xcap/resource_list.c, lib/xcap/resource_lists_parser.c,
	  modules/pa/pdomain.c, modules/pa/presentity.c,
	  modules/pa/qsa_interface.c, modules/pa/subscribe.c: cosmetical
	  changes (logging)

2006-02-03 17:15  andrei

	* pass_fd.c, tcp_conn.h, tcp_main.c, test/gcc_versions.txt:  - tcp
	  children control fds are now non-blocking
	   - send fd queue is used when a childs queue is full

2006-02-03 16:34  andrei

	* tcp_main.c: - tcp connection timeouts are checked at most one
	  time per second - ticks comparisons are uint overflow safe

2006-02-03 16:33  andrei

	* usr_avp.c: - minor fix

2006-02-03 09:45  kubartv

	* doc/presence/xcap.xml: added short list of disadvantages of XCAP
	  simulation into presence handbook

2006-02-02 20:29  andrei

	* cfg.lex, cfg.y, clist.h, flags.c, flags.h, hashes.h, main.c:
	  - more generic hash functions  - named flags support: the flags
	  can now have names  Example:	flags a, b:6, test_flag; # b is set
	  to the 6 flag, the rest are				# allocated
	  automatically  route{       setflag(test_flag);      ...   }

2006-02-02 19:50  kubartv

	* modules/pa/: ChangeLog, pa_mod.c, doc/functions.xml, doc/pa.xml,
	  doc/params.xml: improved documentation (storing/dumping offline
	  winfo, parameters)

2006-02-02 18:05  kubartv

	* lib/presence/pidf.c, lib/presence/pres_doc.c,
	  lib/presence/pres_doc.h, modules/pa/pa_mod.c,
	  modules/pa/pa_mod.h, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/publish.c,
	  modules/pa/qsa_interface.c, modules/pa/rpc.c, db/schema/ser.xml,
	  scripts/dbtext/ser_db/presentity_persons,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: added simple handling of <person>
	  elements (RPID)

2006-02-02 13:05  tma0

	* etc/: rules.m4, ser.cfg.m4: - new "declare" m4 macro helper to
	  define all numbers. Just add rules.m4 and pass to m4 processor.

	  Usage:

	  declare(flags, FLAG_1, FLAG_2) declare(route, ...)

	  setflag(FLAG_1); if (isflagset(FLAG_2))

	  etc.

2006-02-02 10:10  kubartv

	* db/schema/offline_winfo.xml, db/schema/ser.xml,
	  modules/pa/ChangeLog, modules/pa/notify.c,
	  modules/pa/offline_winfo.c, modules/pa/offline_winfo.h,
	  modules/pa/pa_mod.c, modules/pa/pa_mod.h,
	  modules/pa/status_query.c, modules/pa/winfo_doc.c,
	  modules/pa/winfo_doc.h, scripts/dbtext/ser_db/offline_winfo,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: added functions for storing and
	  dumping offline authorization info via watcherinfo NOTIFY
	  (documentation will be added soon)

2006-02-02 09:09  kubartv

	* lib/: cds/hash_table.h, cds/logger.h, cds/sstr.c, cds/sstr.h,
	  xcap/Makefile: added some hash function implementations
	  (collection from more sources)

2006-02-01 17:08  calrissian

	* parser/: parse_expires.c, parse_expires.h: - parsed expires value
	  is unsinged as negative values are not allowed - more then 10
	  characters cant be a valid expires value - set the value length
	  before checking it to avoid incorrect length for invalid values

2006-02-01 16:53  janakj

	* modules/usrloc/ul_rpc.c: - fixed return value type - aling
	  function name to similar functions in other modules

2006-02-01 16:42  janakj

	* modules/xmlrpc/xmlrpc.c: - libxml2 would return null when
	  processing empty string element, so we   need to create fake
	  empty string

2006-01-31 22:43  janakj

	* modules/auth/challenge.c: - fixed a bug in code generating digest
	  realm

2006-01-31 00:16  tma0

	* modules/rr/: avp_cookie.c, loose.c, doc/functions.xml: - Cpp
	  comments changed to C ones - AVP_FLAG_DIALOG support for cookies
	  (uncommented) - avp_add_cookie only marks AVP (no copy)

2006-01-30 20:24  andrei

	* tcp_main.c:
	   - high connection number deadlock fix (tested with 50k open tcp
	  connections)
	   - experimental queue send fd ops code
	   WARNING: lightly tested

2006-01-30 17:56  kubartv

	* modules/msilo/: README, msilo.c, doc/functions.xml,
	  doc/msilo.cfg: added parameter to store/dump functions for
	  sending messages through an outgoing proxy

2006-01-30 17:49  janakj

	* modules/mysql/my_con.c: - enable reconnection explicitly
	  Closes: SER-80

2006-01-30 17:34  kubartv

	* modules/pa/status_query.c: removed debug note in target_online
	  function

2006-01-30 17:26  kubartv

	* modules/pa/: status_query.c, status_query.h: forgotten files for
	  previous commit (implementation of target_online function)

2006-01-30 17:25  kubartv

	* modules/pa/: ChangeLog, pa_mod.c, pa_mod.h, pdomain.c,
	  presentity.c, publish.c, rpc.c, rpc.h: added features:  -
	  function target_online returning 1 if user is online	- added
	  parameter use_callbacks for control if use callbacks to usrloc or
	  not corrected bugs:  - handle_publish returns 4xx in the case of
	  unsupported event package

2006-01-30 17:20  janakj

	* modules/rr/: avp_cookie.c, avp_cookie.h, rr_mod.c: - fixed crash
	  in regcomp   Closes: SER-92

2006-01-30 17:05  janakj

	* modules/tls/tls_select.c: - fixed @tls.cipher.bits - noisy error
	  turned into debugging message

2006-01-30 16:59  kubartv

	* modules/: jabber/xjab_worker.c, nathelper/natping.c,
	  sms/sms_funcs.c: added parameter next_hop of t_request calls

2006-01-30 16:56  kubartv

	* modules/tm/: dlg.c, tm.c, tm_load.c, tm_load.h, uac.c, uac.h:
	  added features:  - possibility of automatical tag generation when
	  creating dialog  - exported uac_t function (will be used from
	  dialog module)  - added parameter next_hop to t_request for
	  sending request through "proxy"

2006-01-30 14:09  andrei

	* route.c: - eval_expr too many expressions bug (reported by
	  Michal), fixed by removing the expr. recursions checks (they were
	  a parser debugging remainder, you can't  have expr. loops without
	  having actions loops and the actions loops are   already
	  handled).  Closes SER-91.

2006-01-30 13:59  kubartv

	* modules/msilo/msilo.c: corrected storage of time values (was
	  stored as int, but the column in DB was DATETIME, what didn't
	  work)

2006-01-30 11:34  kubartv

	* modules/msilo/msilo.c: corrected table version test (was used
	  direct number 3 instead of defined constant S_TABLE_VERSION)

2006-01-30 10:44  ullstar

	* modules/rr/avp_cookie.c: hopefully fixed the right thing here. RR
	  module did not compile, it used some avp_value, but the only
	  int_str defined was a avp_val. Please review.

2006-01-30 09:54  andrei

	* error.c:  - E_CANCELED again (it seems I keep forgetting all the
	  files I've changed :-))

2006-01-30 09:51  andrei

	* error.h:  - added missing E_CANCELED def

2006-01-29 13:31  tma0

	* modules/flatstore/flatstore_mod.c: - "strlen(flat_escape) > 1"
	  fix

2006-01-28 15:34  mma

	* modules/rr/avp_cookie.c: uninitialized variable used

2006-01-28 14:37  janakj

	* modules/cpl-c/: cpl_rpc.c, cpl_loader.h: - fixed gcc warning

2006-01-28 14:12  janakj

	* Makefile: - excluded tls module from compilation by default

2006-01-28 14:11  janakj

	* modules/fifo/: fifo.c, fifo_server.c: - removed unused variables
	  and fixed compiler warnings - added missing mod_destroy

2006-01-28 14:11  janakj

	* modules/usrloc/ul_rpc.c: - removed unused variables

2006-01-28 14:11  janakj

	* modules/pike/pike.c: - removed unused label

2006-01-28 14:10  janakj

	* modules/ratelimit/ratelimit.c: - fixed function definition
	  conflict

2006-01-28 13:34  janakj

	* modules/tls/: Makefile, README.TLS, fixed_c_zlib.h, tls_domain.c,
	  tls_domain.h, tls_init.c, tls_init.h, tls_mod.c, tls_mod.h,
	  tls_select.c, tls_select.h, tls_server.c, tls_server.h,
	  tls_util.h, tls_verify.c, tls_verify.h: Preliminary TLS module
	  (requires core patch which is attached), the module contains: -
	  Many bugfixes and better implementation of tls_write and tls_read
	  by Andrei - openssl compression fix by Andrei - extended tls
	  multi-domain support (most parameters can be configured   to
	  different values in different domains) - support for outgoing
	  domains (not complete) - support for certificate based
	  authentication through selects   ( if @tls.peer == "Bob") ...  -
	  the tls code is merge of experimental/tls and Andrei's tls to get
	  best of both

2006-01-27 20:24  janakj

	* modules/: acc_db/acc_db.c, acc_radius/acc_radius.c,
	  acc_syslog/acc_syslog.c, acc_syslog/attrs.h: - added missing
	  attribute handling

2006-01-27 19:47  andrei

	* Makefile.defs, modules/tm/h_table.h, modules/tm/t_fwd.c,
	  modules/tm/t_lookup.c, modules/tm/t_lookup.h:
	  - cancel before invite fix attempt (experimental, treat with
	  care)  This fix should handle delayed INVITEs (due to network or
	  script), that arrive	 after the CANCEL. The INV transaction will
	  be created (it's needed for the    reply) but immediately
	  canceled.

2006-01-27 19:33  andrei

	* route.c:  - fixed comp_avp returning values != 0 , 1 or -1
	  (error)

2006-01-27 19:18  mma

	* modules/avp/avp.c: avp_subst introduced  - usage:
	  avp_subst("avpname", "/match/replace/flags");  - uses subst_str
	  from the core (re.c)

2006-01-27 14:09  janakj

	* modules/auth/: auth_mod.c, challenge.c, challenge.h: -
	  www_challenge and proxy_challenge with only one parameter (qop)
	  realm is taken either from an avp or sip message

2006-01-27 10:53  janakj

	* modules/xmlrpc/xmlrpc.c: - support for @xmlrpc.method

2006-01-27 10:52  janakj

	* globals.h, main.c, tcp_main.c: - child_rank variable introduced
	  to make parameter value to init_child more   predictable (needed
	  especially in no fork mode)

2006-01-25 19:08  andrei

	* Makefile:  - ser_mysql.sh path fixed

2006-01-25 10:46  hscholz

	* modules/ratelimit/: Makefile, README, ratelimit.c, doc/Makefile,
	  doc/fifo.xml, doc/functions.xml, doc/params.xml,
	  doc/ratelimit.xml: initial import of the ratelimit module

	  The ratelimit module implements rate limiting for SIP requests.
	  In contrast to the PIKE module this limits the flow based on a
	  per SIP request type basis and not per source IP. The XML-RPC
	  interface can be used to change tunables while running SER.
	  Currently supported requests are INVITE, REGISTER and SUBSCRIBE.

2006-01-24 19:28  andrei

	* modules/nathelper/nathelper.c: - crash fix for rtp proxy goes
	  down during rtpp_test  VF query

2006-01-20 19:27  sobomax

	* modules/usrloc/ucontact.c: When inserting/updating contacts in
	  the DB make sure to not overflow column limit for user_agent,
	  contact and callid columns. Otherwise the UA can cause DoS by
	  sending (intentionally or not) value exceeding column limit in
	  any of the corresponding header fields. It is also probably an
	  issue with error-handling (or lack of thereof) in particular DB
	  backends, but on 0.9.3 with postgresql backend such unchecked
	  insert causes segfault.

2006-01-20 16:24  janakj

	* cfg.y: - accidental commit of local unfinished changes reverted

2006-01-20 12:19  janakj

	* parser/: msg_parser.h, parse_fline.c, parse_fline.h: - support
	  for REGISTER,SUBSCRIBE, and NOTIFY - removed code not being used
	  (cvs history should be enough)

2006-01-20 11:44  janakj

	* modules/auth_db/authdb_mod.c: - keep www_authorize and
	  proxy_authorize for backward compatibility

2006-01-20 11:42  janakj

	* cfg.y: - Added missing ;, reported by Hendrik Scholz

2006-01-19 20:44  mma

	* cfg.y, select.c, select.h, select_core.c, select_core.h: -
	  multiple nested calls allowed - default MAX_NESTED_CALLS set to 4
	  (select was supposed to be fast :-) - IS_ALIAS renamed to NESTED
	  flag - DIVERSION flag is processed at resolve_select

2006-01-19 11:29  tma0

	* route_struct.h: -changed "str str" declaration to "struct _str
	  str" to make gcc happy when compiling with "-x c++" options
	  (required when a module uses c++ .h files)

2006-01-19 07:56  kubartv

	* lib/presence/pidf.c: Corrected BUG in PIDF document parsing - now
	  it allows documents without <basic> status element. Such
	  documents will be parsed as if the basic status is closed.
	  (reported by Yi Zheng)

2006-01-18 15:00  janakj

	* modules/xmlrpc/xmlrpc.c: - xmlrpc_reply script command

2006-01-13 00:05  janakj

	* modules/cpl-c/cpl.c: - missing parameter added

2006-01-11 16:09  janakj

	* doc/stylesheets/dbschema/xsl/postgres.xsl,
	  scripts/postgres/pg_create.sql, scripts/postgres/ser_postgres.sh:
	  - fixed missing parts in ser_postgres.sh

2006-01-11 16:07  janakj

	* modules/domain/domain_rpc.c: - fixed bug in management functions
	  in db_mode 0 (reported by Karel Kozlik)

2006-01-11 13:53  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: added attribute "sw_require_conf"

2006-01-11 12:54  janakj

	* parser/hf.h: - comment fixed

2006-01-11 12:53  janakj

	* modules/: fifo/fifo.c, sl/sl.c, tm/tm.c: - use process no. 1
	  instead of PROC_MAIN

2006-01-11 00:17  janakj

	* modules/tm/sip_msg.c: - fixed problem with diversion cloning
	  reported by Adrian Georgescu and   Dan Pascu - added support for
	  HDR_SIPIFMATCH_T - enumerated all header field types and removed
	  default case, this will   force the compiler to generate warning
	  for new header field types not   added to tm module message
	  cloner

2006-01-10 23:25  janakj

	* modules/usrloc/: ucontact.c, ul_mod.c, ul_mod.h, urecord.c,
	  doc/params.xml: - added READONLY mode support by   Hendrik Scholz
	  <hendrik.scholz@freenet-ag.de>

2006-01-10 23:16  janakj

	* doc/stylesheets/dbschema/xsl/postgres.xsl: - support for grant
	  statement

2006-01-10 23:16  janakj

	* modules/dbtext/dbt_api.c, modules/dbtext/dbt_file.c,
	  modules/dbtext/dbt_res.c, modules/dbtext/dbt_tb.c,
	  modules/dbtext/dbtex/dbtex.c, modules/flatstore/flatstore.c,
	  modules/mysql/res.c, modules/mysql/val.c,
	  modules/postgres/db_mod.c, modules/postgres/dbase.c,
	  modules/postgres/res.c, modules/usrloc/ucontact.c, db/db_val.h: -
	  DB_FLOAT support - fixed error in params_add in postgres module

2006-01-10 23:14  janakj

	* scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql, scripts/postgres/pg_drop.sql,
	  scripts/postgres/ser_postgres.sh, db/schema/acc.xml,
	  db/schema/credentials.xml, db/schema/missed_calls.xml,
	  db/schema/sd_attrs.xml: - make index name unique - added missing
	  index name

2006-01-10 16:41  tma0

	* core_cmd.c: - core.shmmem command added

2006-01-10 16:27  janakj

	* modules/sl/: sl.c, sl_stats.c, sl_stats.h: - make sl_stat
	  initialization code aware of possible changes in   process_count
	  value during the mod_init stage

2006-01-10 15:59  janakj

	* modules/tm/: t_stats.c, t_stats.h, tm.c: - make tm_stat
	  initialization code aware of possible changes in   process_count
	  value during the mod_init stage

2006-01-10 01:28  tma0

	* main.c: - command line options have higher priority than
	  configuration script (-m -f ,etc.) - -h options recognized even
	  in "-f -h" construction

2006-01-09 20:42  tma0

	* action.c, cfg.y, modparam.c, route.c, route_struct.c,
	  route_struct.h, sr_module.c, sr_module.h,
	  modules/avpops/avpops_impl.c, modules/cpl-c/cpl_sig.c,
	  modules/exec/exec.c, modules/lcr/lcr_mod.c, modules/pdt/pdt.c,
	  modules/permissions/trusted.c, modules/print/print.c,
	  modules/textops/textops.c, modules/tm/tm.c: - rewritten module
	  function parsing and call processing (mk_action, struct action,
	  action_u_t) - API to get other fixup params from fixup - full
	  function overloading - optional NUMBER/STRING param in config for
	  module functions - added oveloaded functions to print_stdout
	  (demostrates overloading)

2006-01-09 11:24  ullstar

	* modules/nathelper/nathelper.c: fixed: wrong fixup functions were
	  used (str instead of int param).  caused unpredictable results.

2006-01-09 11:23  ullstar

	* modules/uri_db/uridb_mod.c: uri_db now set's
	  ('ruri_canonical','1') avp when loolup_user is called for
	  Request-URI and the current uri is the canonical URI.

2006-01-09 11:20  ullstar

	* modules/uri_db/uridb_mod.c: fixed memory leak, make sure db
	  result is freed

2006-01-09 10:56  janakj

	* modparam.c: - removed // comments, minor estetical changes

2006-01-09 10:25  rco

	* modparam.c: fixed parameter type expression in the call to
	  find_param_export.  it fixes the use of integer parameters.

2006-01-09 00:53  mma

	* modules/rr/: loose.c, rr_mod.c, rr_mod.h, doc/params.xml:
	  /tmp/cvsQUKKab

2006-01-09 00:51  tma0

	* cfg.y, modparam.c, modules/rr/rr_mod.c: - set_mod_param uses
	  set_mod_param_regex - set_mod_param_regex str/string type casting
	  - rr_mod ignore_user removed, i_user as str param

2006-01-08 23:43  tma0

	* Makefile, Makefile.modules, cfg.lex, usr_avp.h,
	  modules/acc_db/acc_db.c, modules/acc_radius/acc_radius.c,
	  modules/acc_syslog/acc_syslog.c, modules/auth/auth_mod.c,
	  modules/auth_db/authdb_mod.c, modules/auth_radius/authrad_mod.c,
	  modules/avp/avp.c, modules/avp_db/avp_db.c,
	  modules/avp_radius/avp_radius.c, modules/avpops/avpops.c,
	  modules/cpl-c/cpl.c, modules/dialog/dlg_mod.c,
	  modules/dispatcher/dispatcher.c, modules/diversion/diversion.c,
	  modules/domain/domain_mod.c, modules/enum/enum_mod.c,
	  modules/exec/exec_mod.c, modules/fifo/fifo.c,
	  modules/flatstore/flatstore_mod.c, modules/gflags/gflags.c,
	  modules/jabber/jabber.c, modules/lcr/lcr_mod.c,
	  modules/maxfwd/maxfwd.c, modules/mediaproxy/mediaproxy.c,
	  modules/msilo/msilo.c, modules/mysql/db_mod.c,
	  modules/nathelper/nathelper.c, modules/options/mod_options.c,
	  modules/osp/osp_mod.c, modules/pa/pa_mod.c, modules/pdt/pdt.c,
	  modules/permissions/permissions.c, modules/permissions/trusted.h,
	  modules/pike/pike.c, modules/postgres/db_mod.c,
	  modules/print/print.c, modules/registrar/reg_mod.c,
	  modules/rls/rls_mod.c, modules/rr/avp_cookie.c,
	  modules/rr/rr_mod.c, modules/sms/sms.c,
	  modules/speeddial/speeddial.c, modules/tm/tm.c,
	  modules/uac/uac.c, modules/unixsock/unixsock.c,
	  modules/uri_db/uridb_mod.c, modules/uri_radius/urirad_mod.c,
	  modules/usrloc/ul_mod.c, modules/xlog/xlog.c,
	  modules/xmlrpc/xmlrpc.c: - export param types adjusted to
	  PARAM_STR/STRING & PARAM_INT - removed corresponding obsolete
	  strlen(str_param) in init

2006-01-08 19:54  mma

	* modules/avp/avp.c: non-obsolete functions updated to expect AVP
	  identifier instead of AVP name as their parameter

2006-01-08 19:52  mma

	* modules/rr/avp_cookie.c: Conflicting avp_flags_t definition
	  removed

2006-01-08 19:52  mma

	* usr_avp.c, usr_avp.h: AVPs' types purification usr_avp declares
	  type for each part (avp_flags_t, avp_name_t, avp_value_t,
	  avp_index_t) and one compund type avp_ident_t.

	  Rest of the source code needs to be updated to new types usage
	  before we would be able to smoothly change internal structure
	  without breaking anything else. (e.g. flags  unsigned short ->
	  unsigned long)

2006-01-08 15:12  greger

	* doc/stylesheets/README: Updated with stylesheet description for
	  xhtml.chunked.xsl and html.chunked.xsl

2006-01-08 13:54  tma0

	* Makefile.defs, Makefile.modules, Makefile.rules: - support for
	  apart modules taken from svn, fixed bug for dependency files *.d
	  - new config param INCLUDES (all includes -I goes here, CFLAGS
	  was not good for MAKDEP)

2006-01-08 10:51  tma0

	* modules/rr/: avp_cookie.c, avp_cookie.h, loose.c, rr_mod.c: -
	  adjusted to new AVP aip - global cookie_filter to filter AVPs
	  restored in loose_route()

2006-01-08 00:24  tma0

	* cfg.y, modparam.c, sr_module.c, sr_module.h,
	  doc/serdev/modiface.xml, doc/serdev/module_exports.xml,
	  doc/serdev/startup.xml: - support for str param type
	  (xxx_PARAM->PARAM_xxx, PARAM_STRING)

2006-01-07 22:58  mma

	* usr_avp.c, modules/xlog/xl_lib.c: Log level of two debug messages
	  was changed from ERR to DBG.

2006-01-07 22:28  mma

	* action.c, cfg.lex, cfg.y, route.c, usr_avp.c, usr_avp.h, ut.h,
	  modules/avp/avp.c, modules/tm/t_fifo.c, modules/tm/t_funcs.c,
	  modules/xlog/xl_lib.c, modules/xlog/xl_lib.h,
	  modules/xlog/xlog.c: =AVP core extended to be aware of multiple
	  AVPs with the same name exist in the list. There are three
	  possibilities of correct script syntax...

	  $prefix.name - it MUST be only one AVP with that name to match
	  binary operators or on the right side of assignment

	  $prefix.name[] - allowed on both sides of assignment on left side
	  means - enable more AVPS with the same name on the right side -
	  all AVPs with the name are added (correctly ordered)

	  $prefix.name[index] - allowed on right side of assignment and as
	  binary operand, corresponds to value of index-th AVP in the list
	  (if such exists)

	  1 means the AVP, which was added FIRST to the list (this
	  unfortunatelly means, that the AVP name is scanned through the
	  whole list) -1 means the AVP, which was added LAST to the list

	  prefix is one of following f - FROM USER t - TO USER fd- FROM
	  DOMAIN td- TO DOMAIN g - GLOBAL

	  and if ommited, the default FROM USER is used

	  =new function parse_avp_name, needs to be enhanced (does not
	  accept whitespace as the script parser does)

	  =new function search_avp_by_index, usable even for variant
	  without the brackets (then it checks the name exclusivity)

	  =xlog module uses new avp parse and search_by_index function
	  format string is %avp_syntax, e.g. %$MyAVP[1]

	  =avp module merged functions from another branch, not updated to
	  new AVP syntax fully

	  =script parser updated to new syntax

2006-01-07 17:29  mma

	* cfg.y, select.c, select.h, select_core.c, select_core.h:
	  PARAM_xxx changed into SEL_PARAM_xxx to avoid conflict with
	  global definitions

2006-01-07 00:55  tma0

	* modules/flatstore/: flat_con.c, flatstore.c, flatstore_mod.c,
	  flatstore_mod.h: - added record delimiter and escape char params
	  - escaping of delimiters in text - zero delimiter supported via
	  empty string delimiter param

2006-01-06 14:29  janakj

	* modules/unixsock/: Makefile, unixsock.c, unixsock_server.c,
	  unixsock_server.h: - unixsock module skeleton

2006-01-06 14:21  janakj

	* modules/postgres/: db_con.c, db_mod.c, dbase.c, dbase.h,
	  pg_con.c, pg_con.h, res.c, res.h: - safer public function names -
	  short test code added - fixed module name in comments - support
	  for NULL values in where clause - LOG(L_ERR, -> ERR -
	  PQserverVersion compiled conditionaly

2006-01-06 12:49  janakj

	* modules/auth_db/authorize.c: - fixed bug in realm paramter

2006-01-05 20:53  calrissian

	* Makefile: added osp module to exclude list as it required
	  additional software

2006-01-05 20:49  calrissian

	* CREDITS: added Hendrik Scholz

2006-01-05 20:48  calrissian

	* modules/maxfwd/maxfwd.c: applied patch by Hendrik Scholz which
	  adds the mf_lowlimit function

2006-01-05 16:59  kubartv

	* modules/pa/: reply.c, subscribe.c: corrected a new BUG found
	  during testing BUG-89:    supported package with unsupported
	  document format returned OK, but subscription was not established

	  solution:    returns 415 now

2006-01-05 15:56  kubartv

	* modules/domain/domain_mod.c: added parsing To header field into
	  get_to_host function called by lookup_domain

2006-01-05 15:31  kubartv

	* modules/pa/: presentity.c, publish.c, publish.h, rpc.c: added
	  presence status publication using XML RPC

2006-01-05 14:05  kubartv

	* db/schema/rls_vs.xml, scripts/dbtext/ser_db/rls_vs,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: modified key parameters (removed
	  null) for rls_vs table

2006-01-05 12:01  mma

	* AUTHORS: self-signed :-)

2006-01-05 11:59  mma

	* cfg.lex, cfg.y: AVP CLASS & TRACK specification in the script
	  changed to following options:

	  -f. (or none) FROM USER -t.  TO USER -fd. FROM DOMAIN -td. TO
	  DOMAIN -g.  GLOBAL (FROM by default)

2006-01-05 11:52  janakj

	* modules/mysql/dbase.c: - support for null values in where
	  statements

2006-01-05 10:36  kubartv

	* lib/cds/Makefile.ser, lib/presence/Makefile.ser,
	  lib/xcap/Makefile.ser, modules/dialog/Makefile,
	  modules/pa/Makefile, modules/rls/Makefile: modified names of
	  shared libraries if compiled with ser (useful for those who use
	  them without ser too)

2006-01-05 10:36  janakj

	* parser/parse_from.h: - comment fixed

2006-01-05 10:36  janakj

	* modules/xmlrpc/xmlrpc.c: - removed XML_PARSE_COMPACT flag (not
	  present in older libxml versions)

2006-01-04 14:35  kubartv

	* db/schema/presentity.xml, lib/presence/xpidf.c,
	  modules/pa/notify.c, modules/pa/pa_mod.c, modules/pa/pdomain.c,
	  modules/pa/pdomain.h, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/publish.c,
	  modules/pa/qsa_interface.c, modules/pa/rpc.c,
	  modules/pa/subscribe.c, modules/rls/virtual_subscription.c,
	  scripts/dbtext/ser_db/presentity, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  corrected work with UIDs in PA module

2006-01-04 11:40  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: Changed type of attribute "lang"
	  from "string" to "lang"

2006-01-04 04:11  isakdim

	* modules/osp/sipheader.c: o Fixed getFromUserpart, getToUserpart
	  and getCallid to parse   their respective headers if they have
	  not already been parsed.  o Based on the new parse_header api,
	  changed HDR_EOH_T to HDR_EOH_F o Implemented append_hf function o
	  Fixed signed / unsigned type warning o Switched from LOG(L_ERR to
	  ERR

2006-01-04 04:04  isakdim

	* modules/osp/destination.c: o Updated calls to add_avp,
	  search_first_avp and search_next_avp to   use the new interface.
	  o Changed initialization of str structures to use
	  STR_STATIC_INIT.  o Switched from LOG(L_ERR to ERR

2006-01-04 03:58  isakdim

	* modules/osp/orig_transaction.c: o Fixed signed / unsigned type
	  warning o Downgraded info messages to debug o Switched from
	  LOG(L_ERR to ERR

2006-01-04 03:56  isakdim

	* modules/osp/osp_mod.c: o Stopped exporting append_hf from the
	  textops module.  The function is now implemented in sipheader.c o
	  Added function name aliases where words are separated by
	  underscores. The original function names are preserved.  o
	  Switched from LOG(L_INFO|WARN to INFO and WARN

2006-01-04 03:49  isakdim

	* modules/osp/osp_mod.h: Removed function pointer for append_hf.
	  The function is now implemented in sipheader.c instead of being
	  exported from the textops module.

2006-01-04 03:46  isakdim

	* modules/osp/osptoolkit.c: o Downgraded info messages to debug o
	  Switched from LOG(L_ERR to ERR o Fixed signed / unsigned type
	  warning

2006-01-04 03:42  isakdim

	* modules/osp/provider.c: o Downgraded info messages to debug o
	  Switched from LOG(L_ERR to ERR o Fixed signed / unsigned type
	  warning

2006-01-04 03:40  isakdim

	* modules/osp/usage.h: Fixed a typo

2006-01-04 03:37  isakdim

	* modules/osp/usage.c: o Updated to the new interface for
	  search_first_avp and search_next_avp o Downgraded info messages
	  to debug o Switched from LOG(L_Type to ERR, WARN and DBG o Typos

2006-01-04 03:28  isakdim

	* modules/osp/tm.c: o Switched from LOG(L_INFO|L_ERR to INFO and
	  ERR o Replaced // comments

2006-01-04 03:23  isakdim

	* modules/osp/term_transaction.c: o Downgraded info log messages to
	  debug o Fixed signed/unsigned type warnings o Switched from
	  LOG(L_ERR to ERR

2006-01-03 16:14  kubartv

	* lib/cds/logger.h, lib/presence/lpidf.c, lib/presence/lpidf.h,
	  lib/presence/pidf.c, lib/presence/xpidf.c, lib/presence/xpidf.h,
	  lib/xcap/xcap_client.c, modules/pa/dlist.c, modules/pa/dlist.h,
	  modules/pa/notify.c, modules/pa/pa_mod.c, modules/pa/pdomain.c,
	  modules/pa/pdomain.h, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/publish.c, modules/pa/rpc.c,
	  modules/pa/subscribe.c, modules/pa/subscribe.h,
	  modules/pa/watcher.c, modules/pa/watcher.h,
	  modules/pa/winfo_doc.c, modules/pa/winfo_doc.h: PA clarification:
	  - removed unused print_xxx (presentity, ...) functions  -
	  statical buffers for presence documents and headers changed to
	  dynamical  - FIFO pa.trace command working with new FIFO
	  interface (fifo module)  - XCAP queries automaticaly process
	  redirect (libcurl feature) - useful for usage of Apache2 with
	  mod_speling as XCAP server  - corrected bug in parsing PIDF
	  (contact is not required now as PUBLISHed by gaim)  - other
	  cosmetical changes

2005-12-28 11:53  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: removed duplicated entry for
	  digest_realm

2005-12-28 11:50  kozlik

	* db/schema/attr_types.xml, scripts/dbtext/ser_db/attr_types,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: - internationalized description
	  of attributes - maked index unique

2005-12-27 16:03  kozlik

	* db/schema/customers.xml, db/schema/ser.xml,
	  db/schema/version.xml, scripts/dbtext/ser_db/customers,
	  scripts/dbtext/ser_db/version, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  Added table 'customers'

2005-12-27 15:37  kozlik

	* scripts/: dbtext/ser_db/attr_types, dbtext/ser_db/version,
	  mysql/my_create.sql, oracle/or_create.sql,
	  postgres/pg_create.sql: updated table attr_types

2005-12-25 19:47  janakj

	* modules/acc_radius/acc_radius.c: - swap_dir parameter support
	  (when enabled acc_radius will keep   Calling-Station-ID and
	  Called-Station-ID attributes same regardless	 of the direction
	  of BYE)

2005-12-25 19:43  janakj

	* parser/: parse_param.c, parse_param.h: - ftag parameter support

2005-12-24 00:46  sobomax

	* modules/nathelper/nathelper.c: Add support for selecting
	  particular RTP proxy node has been added.  In force_rtp_proxy()
	  it can be done via new N modifier, followed by the index
	  (starting at 0) of the node in the rtpproxy_sock parameter. For
	  example, in the example above force_rtp_proxy("N1") will will
	  select node udp:1.2.3.4:3456. In unforce_rtp_proxy(), the same
	  can be done by specifying index as an argument directly, i.e.
	  unforce_rtp_proxy(1).

	  Since nathelper is not transaction or call stateful, care should
	  be taken to ensure that force_rtp_proxy() in request path matches
	  force_rtp_proxy() in reply path, that is the same node is
	  selected.

	  Also allow spaces between force_rtp_proxy() modifiers while I am
	  here.

	  Sponsored by:   Ricardo Villa, Telesip Networks

2005-12-22 16:06  kozlik

	* db/schema/attr_types.xml: - added new columns for serweb - added
	  rows with attributes used by serweb

2005-12-22 02:13  isakdim

	* modules/osp/destination.c: Bug EXP-2: Changed the length of AVP
	  keys to be a multiple of 8.

2005-12-21 19:20  janakj

	* AUTHORS: - Added Jan Halla, new maintainer of serctl tools.

2005-12-21 19:20  janakj

	* .cvsignore: - ignore *.pyc and *.pyo files

2005-12-21 18:27  janakj

	* ser.8: - remove fifo and unixsock related description

2005-12-21 18:27  janakj

	* main.c, cfg.lex, cfg.y, config.h, globals.h: - removed
	  implementation of fifo and unixsocket servers from core   (it
	  will be implemented in modules instead)

2005-12-21 18:25  janakj

	* modules/tm/: tm.c, h_table.c, h_table.h, t_cancel.c, t_cancel.h,
	  t_reply.c, t_reply.h, t_stats.c, t_stats.h: - updated to the new
	  management interface (not complete yet)

2005-12-20 22:47  janakj

	* sr_module.h: - PROC_MIN macro

2005-12-20 22:46  janakj

	* db/schema/pdt.xml, db/schema/ser.xml, db/schema/version.xml,
	  scripts/dbtext/ser_db/pdt, scripts/dbtext/ser_db/tuple_notes,
	  scripts/dbtext/ser_db/version, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql: -
	  pdt table added

2005-12-20 22:43  janakj

	* modules/: sl/sl.c, sl/sl_funcs.c, sl/sl_stats.c, sl/sl_stats.h,
	  usrloc/ul_mod.c, usrloc/ul_rpc.c, usrloc/ul_rpc.h: - new
	  management interface

2005-12-20 22:42  janakj

	* modules/: pike/pike.c, rls/rls_mod.c: - removed dependency on
	  core fifo

2005-12-20 22:41  janakj

	* modules/permissions/: permissions.c, trusted.c, trusted_rpc.c,
	  trusted_rpc.h: - updated to the new namagement interface

2005-12-20 22:40  janakj

	* modules/pdt/pdt.c: - updated to the new namagement interface -
	  fixed minor bug in mod_destroy

2005-12-20 13:11  janakj

	* modules/pa/: pa_mod.c, publish.c, publish.h, rpc.c, rpc.h: -
	  converted to the new management interface

2005-12-20 12:41  janakj

	* db/schema/gw.xml: - table version corrected

2005-12-20 12:39  janakj

	* db/schema/version.xml: - removed duplicate gw line

2005-12-20 12:39  janakj

	* rpc.h: - struct_printf added

2005-12-20 12:36  janakj

	* modules/: cpl-c/cpl.c, cpl-c/cpl_loader.c, cpl-c/cpl_loader.h,
	  cpl-c/cpl_rpc.c, cpl-c/cpl_rpc.h, domain/domain_rpc.c,
	  flatstore/flat_rpc.c, flatstore/flat_rpc.h,
	  flatstore/flatstore_mod.c, gflags/gflags.c, lcr/lcr_mod.c,
	  lcr/lcr_mod.h, lcr/lcr_rpc.c, lcr/lcr_rpc.h: - converted to the
	  new management interface

2005-12-20 12:34  janakj

	* modules/fifo/: Makefile, fifo.c, fifo.h, fifo_server.c,
	  fifo_server.h: - FIFO server reimplemented as module -
	  Implementes all functions of the new management interface

2005-12-20 12:33  janakj

	* modules/xmlrpc/xmlrpc.c: - changed the meaning of rpc_scan*
	  functions, they return the number of	 parameters found, in case
	  of an error they return the number of parameters   successfuly
	  converted as negative number - rpc_fault accepts printf-like
	  formatted strings

2005-12-20 12:32  janakj

	* core_cmd.c: - changed the meaning of rpc_scan* functions, they
	  return the number of	 parameters found, in case of an error they
	  return the number of parameters   successfuly converted as
	  negative number

2005-12-20 02:52  mma

	* action.c, cfg.lex, cfg.y, route.c, route_struct.c,
	  route_struct.h, select.c, select.h, select_core.c, select_core.h:
	  History rewritten, new files GPLized

2005-12-20 02:00  mma

	* select_core.c, select_core.h: Message core select functions
	  implemented:

	  (from|f) (from|f).(uri|name|tag) (from|f).params.<name>

	  (to|t) (to|t).(uri|name|tag) (to|t).params.<name>

	  (contact|m)
	  (contact|m).(uri|name|q|expires|method|received|instance)
	  (contact|m).params.<name>  - temporarily only the first contact
	  is used

	  (from|f|to|t|contact|m).uri.(type|user|pwd|host|port|params)

	  (via|v|via[index]|v[index])
	  (via|v|via[index]|v[index]).(name|version|transport|host|port|comment|branch|received|rport|i|alias)
	  (via|v|via[index]|v[index]).params.<name>

	  msg.(<header_name>|<header_name>[index])  - index value -1
	  denotes the last header with such name  - header aliases are not
	  supported, e.g. msg.t and msg.to will return	  different results

2005-12-20 01:49  mma

	* action.c, cfg.lex, cfg.y, route.c, route_struct.c,
	  route_struct.h, select.c, select.h, select_core.c, select_core.h:
	  New script element, Jan's select function framework (@xxx),
	  extended for modular use. In the script it can be used as value
	  assigned to AVP and in the string comparision, RE matching, like:
	  $my_avp=@my.function[1]; if (@via.protocol=="UDP")...

	  The name to called function conversion is implemented as tree in
	  a table, modules can register their own tables in module
	  initialization function.

	  Description of the construction of the table expected to follow
	  soon in the documentation files...

2005-12-19 16:22  greger

	* Makefile.doc, doc/stylesheets/html.chunked.xsl: Added support for
	  target html for documentation build system.

2005-12-19 15:10  greger

	* Makefile.doc: Fixed a type preventing proper build of pdf with
	  xep.

2005-12-19 13:58  andrei

	* Makefile.defs:  - added a SER_VER define which contains the
	  numerical ser version
	   (0.10.99 = 0*1000000 + 10*1000 +99 = 10099). It can be used to
	  compile code
	   conditionally (#if SER_VER > x...). If SER_VER is not defined =>
	  older ser
	    version (0.9.x).

2005-12-19 09:26  kubartv

	* lib/presence/notifier_domain.c: corrected bug in internal status
	  notification mechanism

2005-12-16 14:09  andrei

	* Makefile.defs, modules/tm/uac.c: - fixed t_uac 0 fr_timer
	  (reported by Stefan Sayer) : all the fifo created  transaction
	  will have the default tm timer (fr_inv_timer, fr_timer). They
	  will	 not be affected by t_set_fr or the fr_timer avps.

2005-12-16 01:40  janakj

	* modules/domain/: domain.c, domain.h, domain_mod.c, domain_rpc.c,
	  domain_rpc.h: - bug in shm_realloc fixed - converted to the new
	  rpc interface

2005-12-16 00:37  janakj

	* receive.c: - skip via test for HTTP requests

2005-12-16 00:36  janakj

	* msg_translator.c: - take protocol version from the request, as
	  opposed to hardcoded	 value

2005-12-16 00:31  janakj

	* modules/xmlrpc/xmlrpc.c: - removed unused variables - compiler
	  warnings fixed

2005-12-16 00:31  janakj

	* modules/avpops/avpops.c: - added rpc initialization to exports
	  structure

2005-12-16 00:31  janakj

	* core_cmd.c: - removed unused variables

2005-12-16 00:30  janakj

	* Makefile: - do not compile xmlrpc module by default (requires
	  libxml2)

2005-12-16 00:19  janakj

	* modules/avpops/: avpops.c, avpops_db.c, avpops_db.h,
	  avpops_impl.c, avpops_parse.c, doc/functions.xml, doc/params.xml:
	  - updated to the latest core APIs

2005-12-16 00:19  janakj

	* modules/mysql/utils.c: - _timegm removed

2005-12-16 00:17  janakj

	* ut.c, ut.h: - _timegm added to utils

2005-12-16 00:16  janakj

	* core_cmd.c: - core rpc commands

2005-12-16 00:16  janakj

	* rpc.h: - slightly change function prototypes

2005-12-16 00:15  janakj

	* modules/xmlrpc/: Makefile, http.c, http.h, xmlrpc.c, xmlrpc.h: -
	  libxml2 base implementation of XML-RPC protocol server

2005-12-15 15:39  kubartv

	* id.c: corrected get_to_uid - added call to
	  parse_headers(HDR_TO_F)

2005-12-15 15:21  kubartv

	* db/schema/ser.xml, db/schema/tuple_notes.xml,
	  lib/presence/pidf.c, modules/pa/notify.c, modules/pa/pa_mod.c,
	  modules/pa/pa_mod.h, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/publish.c,
	  modules/pa/reply.c, modules/pa/tuple_notes.c,
	  modules/rls/doc/rls.xml, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  handling notes for tuples:  - they are processed in PUBLISH
	  handling - not tested  - they are stored in DB  - they are added
	  to generated PIDF documents

2005-12-15 09:46  tma0

	* modules/tm/t_hooks.h: added position constants of TMCB_xxxx

2005-12-14 17:24  andrei

	* mem/f_malloc.c: - DBG_F_MALLOC warning fixes

2005-12-14 17:12  andrei

	* mem/f_malloc.c: - fixed DBG_F_MALLOC typo

2005-12-13 13:10  janakj

	* modules/avp/avp.c: - forgot to add the rpc methods to exports
	  structure

2005-12-13 13:10  janakj

	* modules/tm/t_stats.c, core_cmd.c, main.c, pt.h, tcp_main.c,
	  modules/sl/sl_stats.c: - Modules can properly register processes
	  in SER process table	 - process_count function has been replaced
	  by process_count variable   - modules can increase the value of
	  process_count in mod_init,	 this will be used to allocate
	  process table that will be big enough   - modules can create
	  processes in child_init with rank PROC_MAIN	  - the index into
	  process table is in last_process, this is where	information
	  about the new process should be recorded   - do not forget to
	  reset is_main in the new process otherwise it     will not be
	  terminated properly	- modules should increate last_process
	  before fork	- the new child should set process_no =
	  last_process

2005-12-13 07:48  kubartv

	* parser/parse_content.h: forgotten file for previous commit
	  (thanks Jan)

2005-12-13 02:38  janakj

	* modules/sl/sl.c: - aligned to latest changes in module interface

2005-12-13 02:18  janakj

	* doc/stylesheets/fo.xsl: - initial FO stylesheet for documentation

2005-12-13 02:12  janakj

	* core_cmd.c, main.c: - user2uid and group2gid moved to ut.c - typo
	  fixed in core_cmd.c

2005-12-13 02:05  janakj

	* ut.h, ut.c: - user2uid and group2gid made available to modules

2005-12-13 01:51  janakj

	* scripts/: dbtext/ser_db/missed_calls,
	  dbtext/ser_db/presentity_notes, mysql/my_create.sql,
	  oracle/or_create.sql, postgres/pg_create.sql: - updated from
	  latest schema description

2005-12-13 01:50  janakj

	* db/schema/uri.xml: - indexes should not be unique

2005-12-13 01:49  janakj

	* db/schema/: phonebook.xml, acc.xml, aliases.xml, attr_types.xml,
	  credentials.xml, domain.xml, domain_attrs.xml, global_attrs.xml,
	  location.xml, missed_calls.xml: - Schema documentation (not yet
	  complete)

2005-12-13 01:46  janakj

	* Makefile.doc: - support for PDF target

2005-12-13 01:41  janakj

	* parser/parse_fline.h: - HTTP version macro

2005-12-13 01:40  janakj

	* parser/msg_parser.h: - HTTP test macro

2005-12-13 01:21  janakj

	* modules/uri_db/uridb_mod.c: - module interface exended with list
	  of management functions - missing flag added

2005-12-13 01:21  janakj

	* modules/uri_radius/: checks.c, urirad_mod.c: - module interface
	  exended with list of management functions - fixed badly
	  initialized parameters

2005-12-13 01:19  janakj

	* modules/: xlog/xlog.c, tm/tm.c, uac/uac.c, uri/uri_mod.c,
	  usrloc/ul_mod.c, speeddial/sdlookup.c, speeddial/speeddial.c,
	  textops/textops.c, rr/rr_mod.c, sms/sms.c, pdt/pdt.c,
	  permissions/permissions.c, pike/pike.c, postgres/db_mod.c,
	  print/print.c, registrar/reg_mod.c, rls/rls_mod.c,
	  nathelper/nathelper.c, options/mod_options.c, pa/pa_mod.c,
	  jabber/jabber.c, lcr/lcr_mod.c, maxfwd/maxfwd.c,
	  mediaproxy/mediaproxy.c, msilo/msilo.c, mysql/db_mod.c,
	  domain/domain_mod.c, enum/enum_mod.c, exec/exec_mod.c,
	  flatstore/flatstore_mod.c, gflags/gflags.c, avp_db/avp_db.c,
	  avp_radius/avp_radius.c, cpl-c/cpl.c, dbtext/dbtext.c,
	  dialog/dlg_mod.c, dispatcher/dispatcher.c, diversion/diversion.c,
	  acc_radius/acc_radius.c, acc_syslog/acc_syslog.c,
	  auth/auth_mod.c, auth_db/authdb_mod.c, auth_radius/authrad_mod.c,
	  acc_db/acc_db.c: - module interface exended with list of
	  management functions

2005-12-13 01:02  janakj

	* sr_module.c, sr_module.h: - Module interface extended, each
	  module can specify list   of management functions in a common
	  fashion - added rpc lookup function

2005-12-13 00:48  andrei

	* Makefile.defs: - ver. no ++

2005-12-13 00:47  andrei

	* NEWS, action.c, action.h, cfg.lex, cfg.y, route.c,
	  route_struct.h:
	  - return [val] support (returns from the current route with value
	  val, by  default 1) - exit [val] support (exits the script with
	  code val, where 0 means drop,  >0 means do default actions and <0
	  means error) - drop is now equivalent to exit 0 - drop should be
	  faster when used to exit deep routes - break is now equivalent
	  with return 1 - the return code can be checked with $?, e.g.:
	  if ($?==1) {...} else if ($?==-1){...} else {...}.

2005-12-13 00:41  janakj

	* core_cmd.c, core_cmd.h: - core commands reimplemented

2005-12-13 00:40  janakj

	* rpc.h: - new management interface

2005-12-13 00:18  tma0

	* modules/rr/: avp_cookie.c, avp_cookie.h, loose.c, record.c,
	  rr_mod.c, doc/functions.xml: - rocord_route/loose_route cookie
	  support (for AVP_CLASS_DIALOG) - rr_add_avp_cookie

2005-12-13 00:00  sobomax

	* modules/avpops/: avpops.c, avpops_impl.c, avpops_parse.c: Backout
	  previous change, Jan has a more complete patch waiting for
	  review.

2005-12-12 23:39  sobomax

	* modules/avpops/: avpops.c, avpops_impl.c, avpops_parse.c: Patch
	  severe breakage caused by the recent changes in the union
	  int_str. The module is still broken due to some disappeared APIs,
	  though.

2005-12-12 21:27  andrei

	* timer.c, timer.h, doc/timers.txt, modules/tm/timer.c:  -
	  shoot-yourself-in-the-foot bug reporting and workarround
	  (time_del(self) in a timer handle)
	   - added timer_allow_del() - use with care
	   - updated timer docs
	   - tm: uses timer_allow_del() in fr (as a safeguard)

2005-12-12 17:10  andrei

	* modules/tm/timer.c:  - fr timer marked as inactive before
	  executing final_reponse handler, should
	   fix slow_timer infinite loop bug, reported by Michal.
	   (code in the fr handler might want to send a reply and fail due
	  to low mem.
	   condition => it will try to clear all timers and put the
	  transaction on wait
	   => it will try to self delete the running fr timer, which has an
	  infinite loop
	   side effect)

2005-12-12 15:33  kubartv

	* lib/presence/pidf.c, modules/pa/qsa_interface.c,
	  modules/pa/subscribe.c, modules/pa/watcher.h,
	  modules/rls/rls_handler.c, modules/rls/rls_handler.h,
	  modules/rls/rls_mod.c, modules/rls/rls_mod.h,
	  modules/rls/doc/functions.xml, doc/presence/examples.xml,
	  modules/rls/doc/params.xml:  - changed handle_rls_subscription
	  parameters !!! (only one XCAP server for lists supported now)
	   - improved work with Accept headers in RLS
	   - cosmetic changes in PA

2005-12-12 13:26  andrei

	* onsend.h: - added missing onsend.h

2005-12-12 13:18  andrei

	* mem/: f_malloc.c, q_malloc.c: - fixed real_used *realloc
	  accounting - fixed initial size (didn't include overhead => fifo
	  meminfo free was sometime  negative)

2005-12-11 23:46  andrei

	* Makefile.defs, NEWS, action.c, cfg.lex, cfg.y, config.h,
	  forward.c, route.c, route.h, route_struct.h, sr_module.h,
	  modules/textops/textops.c, modules/tm/t_funcs.c,
	  modules/tm/t_fwd.c:
	  - tm: t_relay will not stop script execution anymore in case of
	  send error - added onsend_route: special route executed before
	  forwarding a message, when  the final destination is known. Only
	  a limited number of commands are allowed  ( if (expr) {}else{},
	  drop, flags manipulations, send(), log()).   Usefull to catch
	  more easily unauthorized attempts to relay/bounce message to
	  protected destinations (e.g PSTN gateways)  - new onsend checks:
	  to_{ip,port}, snd_{ip,port,proto,af}. to= to whom the   message
	  will be sent to. snd=how ser will send it (socket
	  ip/port,proto,af).  - msg:len in onsend_route will containg the
	  "new" message len - textops: search() onsend_route support (it
	  will use the new, freshly   constructed message and not the
	  original one)

	  Example: onsend_route{     # allow messages from 10.0.0.0/8 to
	  1.2.3.4 only if flag 10 was set     # from the script     if
	  (to_ip==1.2.3.4 && src_ip==10.0.0.0/8 && !isflagset(10)){
	  log("msg dropped\n");        drop;	 }    # drop all messages
	  that contain banned_user in from     if (search("From|f[
	  ]*:.*banned_user")) drop; }

2005-12-11 00:44  andrei

	* Makefile.defs, NEWS, tsend.c, modules/tm/t_fifo.c,
	  modules/tm/doc/params.xml:
	   - tsend_* functions changed to obey the timeout more accurately
	  and in all
	     cases
	   - unix_tx_timeout changed to milliseconds and its default value
	  to 500 ms.

2005-12-10 18:06  andrei

	* Makefile, modules/msilo/msilo.c, modules/speeddial/sdlookup.c,
	  modules/uri_db/uridb_mod.c:  - warning fixes
	   - s/DEBUG/EXTRA_DEBUG/ in some modules
	   - excluded more modules from compile by default (depend on
	  external libs or
	   are obsolete)

2005-12-10 17:04  andrei

	* Makefile.defs, NEWS, modules/tm/config.h, modules/tm/h_table.c,
	  modules/tm/h_table.h, modules/tm/lock.c, modules/tm/lock.h,
	  modules/tm/t_cancel.c, modules/tm/t_funcs.c,
	  modules/tm/t_funcs.h, modules/tm/t_fwd.c, modules/tm/t_lookup.c,
	  modules/tm/t_lookup.h, modules/tm/t_reply.c, modules/tm/timer.c,
	  modules/tm/timer.h, modules/tm/tm.c, modules/tm/uac.c,
	  modules/tm/doc/functions.xml, modules/tm/doc/params.xml:

	  - tm migrated to the new timers (tm timers completely
	  re-written).	- tm structures re-ordered & cleaned up for better
	  "packing" on 64 bit	machines => size reduction (~800 bytes less
	  per transaction on a 64 bit	machine)  - params: -
	  retr_timer1p1, retr_timer1p2, retr_timer1p3 removed and replaced
	    by retr_timer1 and retr_timer2	      - all timer values
	  are now expressed in milliseconds (they were in
	  seconds before).  Affected params: fr_timer, fr_inv_timer,
		wt_timer, delete_timer, retr_timer1, retr_timer2
	  - retr_timer1 (first retransmission) changed to 500 ms
	  - delete_timer changed to 200 ms - functions: - new
	  t_set_fr(timeout_fr_inv, timeout_fr) -- allows changing the
	  transaction timer from script, even if the transaction was
	  already created   (see tm docs for more).  -
	  fr_inv_timer/fr_timer can be changed now without any performance
	  penalty - more precise retransmissions timing - overall improved
	  tm speed an memory footprint (e.g. on a 64 bit 2*Xeon 2.8Ghz	 +
	  HT, optimized ser, NO_DEBUG => ~ 6370 cps new version, ~6000 cps
	  old	version + rel_0_9_0 tm inser_timer fix; memory usage @
	  6000cps: 490Mb new   version, 616Mb old version).  - NEWS updated

2005-12-10 16:48  andrei

	* timer.c, ut.h:  - warning message fixed (integer overflow)
	   - added set_msg_id_val

2005-12-09 23:38  andrei

	* modules/tm/doc/functions.xml:  -fixed t_on_failure docs
	  - added t_on_reply, t_on_branch

2005-12-09 19:33  mma

	* route_struct.h, modules/tm/tm.c: Let tm module be relatively
	  independent on the route action internal structure (resp. its
	  data size).  When accessing param #1 while fixing param #2 in the
	  fixup_hostport2proxy function use correct type for pointer
	  arithemtics.

2005-12-09 19:29  andrei

	* ut.h: - added struct msgid_var and get_msgid_val() macro -
	  usefull to link some	value to a msg id

2005-12-08 16:39  kubartv

	* lib/presence/pidf.c, lib/presence/pidf.h, modules/pa/notify.c,
	  modules/pa/pa_mod.c, modules/pa/publish.c,
	  modules/pa/subscribe.c, modules/pa/watcher.c,
	  modules/pa/watcher.h, parser/parse_content.c,
	  parser/parse_content.h: improved handling presence documents in
	  PA  - added generating of cpim-pidf+xml (draft version 07)  -
	  improved parsing Accept header fields  - clarified work with
	  document types

2005-12-07 18:53  kubartv

	* lib/presence/pidf.c, lib/presence/pidf.h, modules/pa/pa_mod.c,
	  modules/pa/presentity.c, modules/pa/presentity.h,
	  modules/pa/publish.c, modules/pa/reply.c, parser/parse_content.c,
	  parser/parse_content.h:  - added parsing mimetype
	  application/cpim-pidf+xml
	   - added parsing cpim-pidf+xml document (draft version 07 - the
	  same as PIDF, but other namespace)
	   - corrected a little bug in parsing mimetypes
	   - using default_expires for PUBLISH handling

2005-12-07 10:22  kubartv

	* db/schema/presentity_contact.xml, db/schema/presentity_notes.xml,
	  db/schema/ser.xml, modules/pa/pa_mod.c, modules/pa/pa_mod.h,
	  modules/pa/pdomain.c, modules/pa/pres_notes.c,
	  modules/pa/presentity.c, modules/pa/presentity.h,
	  modules/pa/publish.c, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql:
	  correct work with notes published for presentities (with
	  persistence)

2005-12-06 16:57  janakj

	* db/db.h: - acc and missed_call table flags

2005-12-06 16:57  janakj

	* modules/cpl-c/: cpl_log.h, cpl_parser.c: - fixed conflict with
	  new macros in dprint.h

2005-12-06 16:27  janakj

	* modules/avp_radius/avp_radius.c: - removed variables that are not
	  needed - fixed gcc warning

2005-12-06 16:25  janakj

	* modules/auth_radius/sterman.c: - removed variables which are not
	  needed

2005-12-06 16:24  janakj

	* modules/auth_db/authorize.c: - fixed gcc warning

2005-12-06 16:14  janakj

	* cfg.lex, cfg.y: - reverted previous accidental commit

2005-12-06 16:09  janakj

	* cfg.lex, cfg.y: - fixed gcc warning

2005-12-06 15:57  janakj

	* scripts/: dbtext/ser_db/presentity_contact, mysql/my_create.sql,
	  oracle/or_create.sql, postgres/pg_create.sql,
	  dbtext/ser_db/rls_subscription, dbtext/ser_db/rls_vs,
	  dbtext/ser_db/rls_vs_names: - added missing presence tables

2005-12-06 15:54  janakj

	* db/schema/ser.xml: - support for 3rd party extension tables

2005-12-06 14:15  andrei

	* cfg.lex, cfg.y: - bsd fixes (ADD already defined)

2005-12-05 19:33  andrei

	* timer_ticks.h:
	  - forgot it during last commit

2005-12-05 19:29  andrei

	* Makefile.defs, clist.h, config.h, error.c, globals.h, main.c,
	  pt.h, signals.c, signals.h, timer.c, timer.h, timer_funcs.h,
	  version.h, doc/timers.txt:
	  New timer interface:	 - allows adding timers dynamically   -
	  supports one shot and periodic timers   - precise   - allows
	  timeouts < 0.5 s (depends on the config., by default min. timeout
	  = 62.5 ms)   - based on a 3 level hierarchical timing wheel
	  - very fast	- low overhead for timer functions (most of the
	  time, the excetion is     timer_del which  take can take quite a
	  long time in special situations)   - supports "slow" timers
	  (compile option, by default on), "slow" timer = a	timer
	  handler which is declared as possible taking a long timer to
	  execute.    - backward compatible: old timer functions are
	  preserverd => no changes	needed for the existing code
	  (although migration to the new interface is	   recommended)
	  For more information read doc/timers.txt.  tm timer update will
	  follow shortly (this week).

2005-12-05 18:43  kubartv

	* db/schema/presentity_contact.xml, lib/Makefile.ser,
	  lib/Makefile.ser.defs, lib/cds/logger.h, lib/cds/ref_cntr.c,
	  lib/presence/Makefile, lib/presence/Makefile.ser,
	  lib/presence/pidf.c, lib/presence/pidf.h,
	  lib/presence/pres_doc.c, lib/presence/pres_doc.h,
	  lib/presence/xml_utils.c, lib/presence/xml_utils.h,
	  lib/xcap/Makefile.ser, lib/xcap/resource_list.c,
	  modules/pa/notify.c, modules/pa/pa_mod.c,
	  modules/pa/presentity.c, modules/pa/presentity.h,
	  modules/pa/publish.c, modules/pa/qsa_interface.c,
	  modules/pa/qsa_interface.h: - improved PIDF document publishing
	  (DB data storage not fully finished yet)   partialy solves BUGS:
	  SER-86, SER-49 - unified PIDF documents creation

2005-12-05 18:32  andrei

	* action.c, route.c, usr_avp.c, usr_avp.h, modules/tm/t_lookup.c:
	  - fixed some warnings
	   - fixed typo in action.c
	   - fixed dynamic regex not regfreed and backup char not restored
	  on error in
	    route.c

2005-12-05 18:14  janakj

	* modules/tm/t_hooks.c: - fixed misplaced set_avp list, courtesy of
	  cesc.santa@gmail.com

2005-12-05 18:01  andrei

	* Makefile, Makefile.defs, cfg.lex, cfg.y, dprint.h,
	  test/gcc_versions.txt: - rls excluded from the compile by default
	  list (depends on external libs) - added DEBUG(), ERR(), WARN(),
	  INFO(), BUG() which can be used instead of  LOG(L_*, ). The new
	  macros will add "DEBUG:", "ERROR:" a.s.o in front of the  message
	  and also the filename and line number from where they were called
	  ( DEBUG("x")  in foo.c:23 is equiv. with DBG("DEBUG: foo.c:23:
	  x"))

2005-12-05 13:11  janakj

	* doc/doc_root.xml: - Processing instructions to generate output in
	  subdirs - acc removed

2005-12-05 13:10  janakj

	* Makefile.doc, doc/Makefile: - Configurable output directory,
	  filename, and extension - New variable OUTPUT_DIR which can be
	  overriden from doc Makefiles - Separate stylesheet for plain-text
	  documentation

2005-12-05 13:08  janakj

	* doc/stylesheets/: dep.xsl, txt.xsl: - Separate stylesheet to
	  generate plaintext documentation from docbook

2005-12-05 13:08  janakj

	* doc/stylesheets/: xhtml.xsl, xhtml.chunked.xsl, xhtml.common.xsl:
	  - Added stylesheet to generate chunked XHTML output - Added
	  stylesheet to generate single file XHTML output - XHTML
	  stylesheets generate strict and clean XHTML code

2005-12-05 13:06  janakj

	* doc/stylesheets/ser.css: - CSS file renamed

2005-12-05 13:05  janakj

	* doc/stylesheets/README: - Description of various stylesheets in
	  sip_router/doc/stylesheet directory

2005-12-05 11:05  danp

	* modules/mediaproxy/functions.h: allow fixing of contacts
	  independent of protocol

2005-12-04 12:51  janakj

	* modules/msilo/msilo.c: - support for uid - aligned to latest
	  database schema

2005-12-03 19:57  janakj

	* cfg.lex: - removed comments to make the file work with older flex
	  versions,   reported by Jan Ruzicka <janru@cesnet.cz>

2005-12-02 14:57  kubartv

	* db/schema/: rls_subscription.xml, rls_vs.xml, rls_vs_names.xml,
	  ser.xml: added DB tables for RLS module

2005-12-01 23:58  janakj

	* modules/: avp_radius/avp_radius.c, uri_radius/urirad_mod.c,
	  acc_radius/acc_radius.c: - fixed bug in radius initialization,
	  credits go to   Hendrik Scholz   closes SER-85

2005-12-01 16:54  kubartv

	* modules/rls/rl_subscription.c: added "expires" parameter to
	  Subscription-State for pending and active resource list
	  subscriptions

2005-12-01 16:37  kubartv

	* modules/pa/qsa_interface.c: corrected watcherinfo notifications
	  for internal subscriptions

2005-12-01 16:22  kubartv

	* modules/pa/: notify.c, pa_mod.c, pdomain.c, presentity.h,
	  qsa_interface.c, subscribe.c: corrected PA BUGs (thanks Meera -
	  meera.balu@wipro.com):  - NOTIFY sent "immediately" after
	  SUBSCRIBE request processed  - "expires" parameter of
	  Subscription-State set for pending subscriptions too	- corrected
	  processing of internal subscriptions (from RLS)

2005-12-01 12:25  janakj

	* modules/speeddial/: sdlookup.c, speeddial.c, speeddial.h: -
	  support for uid and did - updated to the latest db schema

2005-12-01 11:56  janakj

	* modules/tm/: h_table.c, t_fifo.c, t_funcs.c, t_funcs.h,
	  t_hooks.c, t_lookup.c, t_reply.c, uac.c: - updated to latest avp
	  api

2005-12-01 11:20  janakj

	* scripts/postgres/pg_create.sql, scripts/dbtext/ser_db/silo,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  db/schema/silo.xml: - fixed conflicting column names

2005-12-01 11:19  janakj

	* modules/uri_db/uridb_mod.c: - Added support for To header field
	  in lookup_user

2005-12-01 11:18  janakj

	* modules/avp_db/avp_db.c: - fixed wrong return value

2005-12-01 11:18  janakj

	* route.c: - typo fixed

2005-12-01 11:18  janakj

	* id.c: - fixed incorrectly set attribute name

2005-11-30 18:31  janakj

	* config.h: - reverted the default value of shared memory buffer

2005-11-30 18:05  janakj

	* modules/avp_db/: avp_db.c, avp_db.h: - load_attr: functio to load
	  user preferences - removed unused fifo and unixsocket interface

2005-11-30 18:03  janakj

	* modules/domain/: domain.c, domain_mod.c: - lookup_domain
	  function, the function can be used to lookup domain id   based on
	  SIP URI

2005-11-30 18:01  janakj

	* modules/options/mod_options.c: - missing include added

2005-11-30 18:01  janakj

	* modules/uri_db/: checks.c, uridb_mod.c, uridb_mod.h: - format of
	  uri table changed - new function lookup_user to lookup uid based
	  on SIP URI

2005-11-30 17:59  janakj

	* modules/sl/sl.c: - sl_reply function alias

2005-11-30 17:59  janakj

	* modules/registrar/: reg_mod.c, save.c: - save_contact and
	  lookup_contact function name aliases

2005-11-30 17:58  janakj

	* modules/maxfwd/maxfwd.c: - shorter function name

2005-11-30 17:56  janakj

	* modules/gflags/gflags.c: - fixed wrong avp list reset

2005-11-30 17:55  janakj

	* modules/: auth_db/authorize.c, auth_radius/sterman.c,
	  avp_radius/avp_radius.c, cpl-c/cpl.c, cpl-c/cpl_proxy.h,
	  lcr/lcr_mod.c, nathelper/nathelper.c, uri_radius/checks.c: -
	  change in int_str defintion

2005-11-30 17:45  janakj

	* db/schema/entities.xml, db/schema/grp.xml, db/schema/i18n.xml,
	  db/schema/silo.xml, scripts/dbtext/ser_db/grp,
	  scripts/dbtext/ser_db/silo, scripts/dbtext/ser_db/version,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: - Size of avp value increased to
	  255 - uid-based grp table - explicit string lengths in i18n table
	  - silo table format updated

2005-11-30 17:26  janakj

	* action.c, cfg.y, config.h, dprint.h, main.c, route.c,
	  route_struct.c, route_struct.h: - AVPs can be used in place of
	  strings and integers in expressions	(if (method == %method)) -
	  Support for AVP assign statements ( %var1 = "value"; %var1 +=
	  "value2"; ) - Support for binary operators & and | in expressions
	  - AVPs can be tested in expressions (if (%var1 == 4)) - fixed a
	  bug in string comparisons in expressions - extended parameters of
	  expression evaluation functions - fixed possible buffer overflow
	  vulnerability in log("dfd") script function - default memory
	  buffers enlarged - length of string is calculated in expression
	  fixup - fixed bug in function printing route statements
	  (traversed the list	recursively several times)

2005-11-30 17:14  janakj

	* cfg.lex: - Support for AVP identifiers - Support for binary
	  operators & and | - Support for binary number notation: 0100b -
	  Support for negative numbers - Support for assign statements

2005-11-30 17:10  janakj

	* receive.c: - aligned to avp api

2005-11-30 17:10  janakj

	* id.c: - When retrieving from uid - try digest username first,
	  then proceed to from

2005-11-30 17:09  janakj

	* usr_avp.c, usr_avp.h: - small change in avp lists

2005-11-30 16:43  kubartv

	* modules/pa/: pdomain.c, presentity.c, presentity.h, publish.c,
	  qsa_interface.c, subscribe.c, watcher.c: more uuid-zation of PA
	  module

2005-11-30 16:42  kubartv

	* modules/rls/: rl_subscription.c, rlmi_doc.c,
	  subscription_manager.c, virtual_subscription.c: corrected BUG in
	  document format for nested resource lists

2005-11-29 20:28  andrei

	* config.h, forward.c, ut.h, modules/tm/t_lookup.c: -
	  reverse_hex2int/int2reverse_hex switched to unsigned int
	  (int2reverse_hex returned error for large integers)

2005-11-29 16:48  kubartv

	* lib/cds/logger.h, lib/cds/msg_queue.c, lib/presence/pres_doc.c,
	  lib/xcap/resource_list.c, lib/xcap/resource_lists_parser.c,
	  lib/xcap/rls_services_parser.c, modules/rls/db_rls.c,
	  modules/rls/rl_subscription.c, modules/rls/rls_handler.c,
	  modules/rls/rls_mod.c, modules/rls/virtual_subscription.c,
	  modules/pa/pa_mod.c, modules/pa/pdomain.c,
	  modules/pa/presentity.c, modules/pa/subscribe.c,
	  modules/pa/watcher.c: corrected BUG in callback (to usrloc)
	  unregistration

2005-11-29 15:48  rco

	* modules/tm/: t_hooks.h, t_reply.c, tm.c, uac.c, uac.h: added
	  support for provisional responses while using t_uac_dlg.  added
	  transaction relevant information on locally generated replies.

2005-11-28 15:53  kubartv

	* lib/xcap/pres_rules.c: corrected BUG in XCAP authorization rules
	  processing

2005-11-28 13:09  kubartv

	* lib/cds/list.h, lib/presence/notifier.h,
	  lib/presence/notifier_domain.c, lib/presence/pidf.c,
	  lib/presence/pres_doc.c, lib/presence/pres_doc.h,
	  modules/pa/qsa_interface.c, modules/rls/db_rls.c,
	  modules/rls/rl_subscription.c, modules/rls/rl_subscription.h,
	  modules/rls/rlmi_doc.c, modules/rls/rls_handler.c,
	  modules/rls/rls_mod.c, modules/rls/subscription_manager.c,
	  modules/rls/virtual_subscription.c: first attempt about resource
	  lists nested in other resource lists

2005-11-25 17:54  ullstar

	* modules/dispatcher/dispatcher.c: fixed dispatcher fixup function.
	  It used str fixup where int should be used.

2005-11-24 16:34  kubartv

	* lib/Makefile, lib/cds/cds.c, lib/cds/cds.h, lib/cds/logger.h,
	  lib/cds/msg_queue.c, lib/cds/msg_queue.h, lib/cds/ref_cntr.c,
	  lib/cds/ref_cntr.h, lib/presence/domain_maintainer.c,
	  lib/presence/notifier.h, lib/presence/notifier_domain.c,
	  lib/presence/notifier_domain.h, lib/presence/qsa.c,
	  modules/pa/auth.c, modules/pa/pa_mod.c,
	  modules/pa/qsa_interface.c, modules/pa/subscribe.c,
	  modules/rls/rl_subscription.c, modules/rls/rls_mod.c,
	  modules/rls/virtual_subscription.c:  - improved cleanup of pa,
	  rls and libs
	   - corrected error in watcherinfo authorization

2005-11-24 16:23  janakj

	* modules/avp/: Makefile, avp.c: - aligned to the latest changes in
	  usr_avp - print_sattr prints all avp values

2005-11-24 16:11  janakj

	* modules/domain/: domain.c, domain.h, domain_mod.c: - changed name
	  of avp flags - type avp_list_t* added - aligned to the latest
	  changes in usr_avp

2005-11-24 16:10  janakj

	* modules/gflags/gflags.c: - changed name of avp flags

2005-11-24 16:09  janakj

	* db/db.h: - pending and deleted flags added

2005-11-24 16:09  janakj

	* db/schema/ser.xml, db/schema/version.xml,
	  scripts/dbtext/ser_db/grp, scripts/dbtext/ser_db/version,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql,
	  scripts/postgres/pg_create.sql: - added missing grp table

2005-11-24 16:04  janakj

	* id.c, id.h: - support for from and to attributes

2005-11-24 16:03  janakj

	* usr_avp.c, usr_avp.h: - exported structure avp_spec - Support for
	  AVP tracks (tracks identify who owns the attributes,	 it can be
	  either FROM (caller) or TO (CALLEE) - Better support for AVP
	  classes - function delete_avp added - str* in int_str changed to
	  str (there is no need to create   temporary str variables)

2005-11-22 14:18  kubartv

	* doc/presence/xcap.xml, lib/xcap/resource_list.c,
	  modules/pa/pdomain.c, modules/pa/presentity.c,
	  modules/pa/presentity.h, modules/pa/subscribe.c,
	  modules/pa/watcher.c, modules/rls/rl_subscription.c,
	  modules/rls/rls_mod.c, modules/rls/rls_mod.h,
	  modules/rls/virtual_subscription.c, modules/rls/doc/params.xml:
	  - presence partialy modified for uuid-zed usrloc callback
	   - modified documentation about XCAP server simulation
	   - added RLS module parameter for better work with XCAP
	  simulation

2005-11-21 17:53  janakj

	* db/schema/i18n-cs.xml, db/schema/i18n-en.xml, db/schema/i18n.xml,
	  db/schema/ser.xml, db/schema/version.xml,
	  scripts/dbtext/ser_db/attr_types, scripts/dbtext/ser_db/i18n,
	  scripts/dbtext/ser_db/version, scripts/mysql/my_create.sql,
	  scripts/oracle/or_create.sql, scripts/postgres/pg_create.sql: -
	  database tables for i18n

2005-11-21 17:49  janakj

	* db/schema/attr_types.xml: - gflags (saved value of global flags)
	  attribute added

2005-11-21 17:43  janakj

	* modules/domain/: domain.c, domain.h, domain_mod.c, domain_mod.h,
	  hash.c, hash.h: - Support for domain IDs - Support for domain
	  aliases - Support for domain AVPs - The commit includes fix for
	  bug reported by   Axel Böger <Axel.Boeger@freenet-ag.de> - new
	  script commands

2005-11-21 17:41  janakj

	* modules/gflags/gflags.c: - typo fixed

2005-11-21 17:40  janakj

	* usr_avp.h, modules/gflags/gflags.c: - support for global flags
	  persistence - support for fifo dump_gflags command - support for
	  fifo flush_gflags command - flush_gflags script command added

2005-11-21 16:54  kubartv

	* doc/presence/xcap.xml, lib/xcap/resource_list.c,
	  lib/xcap/resource_list.h, lib/xcap/resource_lists_parser.c,
	  lib/xcap/resource_lists_parser.h, lib/xcap/rls_services_parser.c,
	  modules/rls/rl_subscription.c, modules/rls/doc/params.xml: RLS
	  modified to be usable not only with XCAP server, but with
	  standard web server too, with short description in presence
	  handbook about how to simulate XCAP server with web server

2005-11-21 01:10  janakj

	* modules/registrar/: common.c, common.h, lookup.c, reg_mod.c,
	  reg_mod.h, save.c: - Aligned to recent usrloc changes - Support
	  for uid instead of username,domain - case_sensitive parameter
	  dropped (not needed anymore) - realm_prefix parameter dropped
	  (not needed anymore) - use_domain parameter dropped (not needed
	  anymore)

2005-11-21 01:06  janakj

	* modules/auth_radius/authorize.c: - Aligned to changes in auth
	  module

2005-11-21 01:04  janakj

	* modules/auth_db/: authdb_mod.c, authdb_mod.h, authorize.c,
	  authorize.h: - Aligned to the new database schema - Support for
	  multiple credentials instances - Support for uid (internal user
	  identity) - Support for credentials flags - always use username
	  and realm when selecting credentials - support for distinct
	  digest and serweb credentials

2005-11-21 01:00  janakj

	* modules/auth/: nonce.c, nonce.h, challenge.h, challenge.c,
	  auth_mod.h, api.c, api.h, auth_mod.c, aaa_avps.h: - Support for
	  "digest_realm" domain attribute - Minor code cleanup - Rpid
	  support dropped, it will be implemented using AVPs.  -
	  protect_contacts parameter added -

2005-11-21 00:56  janakj

	* modules/: acc_db/acc_db.c, acc_radius/acc_radius.c,
	  acc_syslog/acc_syslog.c: - get to/from uid and save it

2005-11-21 00:55  janakj

	* id.c, id.h: - extract uid from message when not available.

2005-11-21 00:53  janakj

	* scripts/postgres/pg_create.sql, db/schema/credentials.xml,
	  db/schema/location.xml, scripts/dbtext/ser_db/location,
	  scripts/mysql/my_create.sql, scripts/oracle/or_create.sql: -
	  added missing instance column to locatio table - credentials
	  table index relaxed (not unique, there   can be several instances
	  of credentials with different   flags).

2005-11-21 00:44  janakj

	* modules/tm/: tm.c, tm_load.c, tm_load.h: - make sure SER does not
	  crash when modules are not loaded in correct	 order

2005-11-19 20:10  janakj

	* scripts/: oracle/or_create.sql, postgres/pg_create.sql,
	  postgres/ser_postgres.sh: - oracle db schema (not functional yet)
	  - postgres db schema - ser_postgres.sh (not functional yet)

2005-11-19 20:08  janakj

	* scripts/mysql/my_create.sql, db/schema/attr_types.xml,
	  scripts/dbtext/ser_db/attr_types: - well known attribute names

2005-11-19 20:05  janakj

	* modules/usrloc/: urecord.c, urecord.h, usrloc.c, usrloc.h,
	  notify.c, notify.h, ucontact.c, ucontact.h, udomain.c, udomain.h,
	  ul_mod.c, ul_mod.h: - uid-zation completed - use_domain dropped,
	  contacts are per uid, not per username and domain

2005-11-19 19:52  janakj

	* modules/gflags/gflags.c: - support for global attributes

2005-11-19 18:05  janakj

	* id.h, id.c: - uid/did manipulation

2005-11-19 17:57  janakj

	* receive.c: - reset domain avps

2005-11-19 17:55  janakj

	* db/db.h: - common flags in database

2005-11-19 17:51  janakj

	* usr_avp.c, usr_avp.h: - add_avp_list and reset_domain_avps added

2005-11-18 15:58  kubartv

	* lib/xcap/resource_list.c, lib/xcap/resource_list.h,
	  modules/rls/rl_subscription.c, modules/rls/rls_handler.c,
	  modules/rls/rls_mod.c, modules/rls/rls_mod.h,
	  modules/rls/doc/params.xml, modules/rls/doc/rls.xml: added
	  parametr "mode" to RLS module for control over resource list
	  handling (see doc):  value of "full" -> behaviour according to
	  xcap draft (lists read through rls-services document)  value of
	  "simple" -> read resource-list documents directly (stored under
	  specific XCAP uri)

2005-11-18 15:19  andrei

	* mem/f_malloc.c:  - log compile-time params at init/startup

2005-11-17 21:47  janakj

	* usr_avp.c: - fixed wrong condition

2005-11-17 14:21  janakj

	* modules/avpops/avpops_impl.c: - Aligned to new prototypes of
	  functions in usr_avp.h

2005-11-17 14:20  janakj

	* modules/tm/: t_fifo.c, t_funcs.c, t_hooks.c, t_reply.c, uac.c,
	  h_table.c, sip_msg.c: - Aligned to new prototypes of functions in
	  usr_avp.h - clone missing attributes in to_body

2005-11-17 13:38  janakj

	* modules/lcr/lcr_mod.c: - Aligned to new prototypes of functions
	  in usr_avp.h

2005-11-17 13:37  janakj

	* modules/avp_radius/avp_radius.c: - Update of radius attributes (I
	  forgot to commit changes in this module   while updating RADIUS
	  dictionary) - Aligned to new prototypes of functions in usr_avp.h

2005-11-17 13:34  janakj

	* modules/: avp/avp.c, avp_db/avp_db.c: - Aligned to new prototypes
	  of functions in usr_avp.h

2005-11-17 13:31  janakj

	* modules/acc_radius/acc_radius.c: - useless variables removed

2005-11-17 13:28  janakj

	* modules/maxfwd/doc/: Makefile, functions.xml, maxfwd.xml,
	  params.xml: - documentation ported from stable

2005-11-17 13:10  janakj

	* etc/: reasons-cs_CZ.iso-8859-2.txt, reasons-en_US.ascii.txt: -
	  reason phrase translation maps

2005-11-17 13:08  janakj

	* doc/doc_root.xml: - updated to include all documentation

2005-11-17 13:07  janakj

	* doc/rpc/: ser_rpc.xml, Makefile, rpc_example.dia,
	  rpc_example.png: - management interface overview (not commited
	  yet)

2005-11-17 12:59  janakj

	* usr_avp.h, receive.c, usr_avp.c: - support for AVP classes (user,
	  domain, global attributes)

2005-11-17 12:55  janakj

	* globals.h: - variables made extern - removed accidental comment

2005-11-17 11:52  janakj

	* lib/xcap/resource_list.c: - Removed initialization which is not
	  needed (and generates gcc warning)

2005-11-17 04:49  sobomax

	* str.h, modules/acc_db/acc_db.c, modules/acc_syslog/acc_syslog.c,
	  modules/auth/auth_mod.c, modules/auth_db/authdb_mod.c,
	  modules/avp_db/avp_db.c, modules/avp_radius/avp_radius.c,
	  modules/avpops/avpops_impl.c, modules/cpl-c/cpl.c,
	  modules/cpl-c/cpl_loader.c, modules/cpl-c/cpl_parser.c,
	  modules/cpl-c/cpl_run.c, modules/cpl-c/cpl_switches.h,
	  modules/dialog/dlg_mod.c, modules/diversion/diversion.c,
	  modules/domain/domain_mod.c, modules/jabber/xjab_worker.c,
	  modules/lcr/lcr_mod.c, modules/msilo/msilo.c,
	  modules/mysql/val.c, modules/pa/notify.c,
	  modules/pa/presentity.c, modules/pa/publish.c,
	  modules/pa/subscribe.c, modules/pa/watcher.c, modules/pdt/pdt.c,
	  modules/postgres/res.c, modules/registrar/reg_mod.c,
	  modules/rls/db_rls.c, modules/rls/rl_subscription.c,
	  modules/sms/sms_funcs.c, modules/tm/t_fifo.c,
	  modules/uri_db/uridb_mod.c, modules/usrloc/notify.c,
	  modules/usrloc/ul_mod.c, modules/xlog/xl_lib.c: Provide two
	  useful macros for str initialization: STR_STATIC_INIT() and
	  STR_NULL. Adjust all modules to use those macros where
	  appropriate.

	  Verified by:	  md5(1) (those modules, which actually compile)

2005-11-17 04:39  sobomax

	* modules/avp_radius/avp_radius.c: Catch up with dict.h ->
	  rad_dict.h conversion.

2005-11-17 04:08  sobomax

	* modules/rls/Makefile: Add -I$(LOCALBASE)/include so that it
	  compiles on FreeBSD OOB.

2005-11-17 03:42  sobomax

	* modules/pa/Makefile: Add -I$(LOCALBASE)/include to make it
	  compilable on FreeBSD OOB.

2005-11-17 03:40  sobomax

	* lib/xcap/: Makefile, resource_list.c, resource_lists_parser.c,
	  rls_services_parser.c, xml_utils.c: Make libxcap compilable on
	  FreeBSD, particularly:

	  o always include <time.h> before libxml's headers, since
	  apparently they   expect time_t to be defined;

	  o reorder includes, so that system ones are includes first;

	  o add appropriate -I/-L into Makefile (quick hack). It would be
	  better if   those libs were using main ser's Makefile*
	  infrastructure, so that it's	 possible to re-use LOCALBASE.

2005-11-17 02:24  sobomax

	* Makefile.defs, main.c: o Include <sys/types.h> before any other
	  <sys/foo> and network-related headers;

	  o on FreeBSD, it is necessary to include <netinet/in_systm.h>
	  before   <netinet/ip.h>, so that add it and make conditional on a
	  new	HAVE_NETINET_IN_SYSTM define. I suspect that other
	  BSD-derifed platforms   need it as well.

2005-11-17 02:22  andrei

	* Makefile.defs, tcp_conn.h, tcp_main.c: - fixed F_CONN_REMOVED
	  flag reset to 0 - struct tcp_connection re-arrangement +
	  sign/unsigned fixes

2005-11-16 22:56  andrei

	* Makefile.defs: - set HAVE_TIMEGM only on linux, *bsd and darwin
	  (not on solaris)

2005-11-16 22:37  andrei

	* Makefile.defs, cfg.y, route_struct.c: - fixed parse error for if
	  (cond)  a(); else b(); - fixed dbg. config dumping

2005-11-16 18:24  kubartv

	* doc/presence/examples.xml, lib/presence/pidf.c,
	  lib/xcap/resource_list.c, modules/dialog/dlg_mod.c,
	  modules/pa/presentity.c, modules/pa/watcher.c,
	  modules/rls/db_rls.c, modules/rls/rl_subscription.c,
	  modules/rls/rl_subscription.h, modules/rls/rlmi_doc.c,
	  modules/rls/rls.sql, modules/rls/rls_handler.c,
	  modules/rls/rls_mod.c, modules/rls/rls_mod.h,
	  modules/rls/subscription_manager.c,
	  modules/rls/subscription_manager.h,
	  modules/rls/virtual_subscription.c: added database support to RLS
	  module db tables can be created using rls.sql - only temporarily
	  (will be changed to standard way) !

2005-11-16 11:24  janakj

	* scripts/: dbtext/ser_db/presentity,
	  dbtext/ser_db/presentity_contact, dbtext/ser_db/version,
	  dbtext/ser_db/watcherinfo, mysql/my_create.sql: - presence
	  related tables added

2005-11-16 11:19  janakj

	* db/schema/: credentials.xml, domain_attrs.xml, global_attrs.xml,
	  sd_attrs.xml, user_attrs.xml: - added missing tables credentials,
	  domain_attrs, global_attrs, sd_attrs,   and user_attrs

2005-11-16 11:16  janakj

	* db/schema/: presentity.xml, presentity_contact.xml, ser.xml,
	  version.xml, watcherinfo.xml: - Presence related tables added

2005-11-16 10:00  janakj

	* modules/auth_radius/sterman.c: - wrong function name fixed

2005-11-15 16:31  janakj

	* Makefile.defs: - HAVE_TIMEGM added

2005-11-15 16:29  janakj

	* modules/mysql/utils.c: - Store all date/time values in UTC in
	  database - replacement for timegm (GNU extension)

2005-11-15 13:31  janakj

	* modules/uri_radius/: checks.c, urirad_mod.c, urirad_mod.h: - Use
	  sip_router/rad_dict.h instead of modules/acc/dict.h - Aligned to
	  the updated ser dictionary

2005-11-15 13:26  janakj

	* modules/auth_radius/: authrad_mod.c, authrad_mod.h, sterman.c: -
	  aligned to the updated dictionary - use sip_router/rad_dict.h
	  instead of modules/acc/dict.h

2005-11-15 13:25  janakj

	* rad_dict.h: - radius dictionary management (originaly in
	  modules/acc/dict.h) - aligned to the updated dictionary.ser file

2005-11-15 13:19  janakj

	* modules/acc_radius/: Makefile, acc_radius.c: Standalone RADIUS
	  accounting module: - Support for Sip-Source-IP
	  (schulzrinne-sipping-radius-accounting) - Support for
	  SIP-Source-Port (schulzrinne-sipping-radius-accounting) - Support
	  for SER-Request-Timestamp (UTC) - Support for
	  SER-Response-Timestamp (UTC) - Support for Interim-Update in
	  Acct-Session-Id (used for requests   other than INVITE, BYE, and
	  CANCEL) - Support for SER-Attrs (AVPs) - Support for SER-From
	  (entire header, including display name) - Support for SER-Flags -
	  Support for SER-Original-Request-ID - Support for SER-To (entire
	  header, including display name)

2005-11-15 13:09  janakj

	* modules/acc_db/: Makefile, acc_db.c: Standalone database
	  accounting module:  - Support for AVPs  - Support for flags  -
	  Support for source IP and source port  - Support for digest
	  username and realm  - Support for request/response timestamps  -
	  All timestamps are stored in UTC  - Support for user and domain
	  IDs  - database: Allowed NULL values in most columns	- database:
	  Added unique ID for each row	- Support for native database types
	  other than strings

2005-11-15 13:03  janakj

	* modules/acc_syslog/: Makefile, acc_syslog.c, doc/Makefile,
	  doc/acc_syslog.xml, doc/functions.xml, doc/params.xml: Standalone
	  syslog accounting module:  - AVP support  - Support for flags  -
	  Support for source IP and port  - Support for digest username and
	  realm  - Support for request/response timestamps  - Support for
	  user id and domain id  - Some performance improvements  - Fixed
	  bug in SIP message parsing

2005-11-15 12:32  janakj

	* etc/dictionary.ser: - Proprietary SER attributes marked with
	  "SER" - New attributes added - types of some attributes changed
	  for better processing on the server - minor description
	  corrections - cleanup of acc-related attributes

2005-11-15 12:28  janakj

	* scripts/mysql/: my_create.sql, my_drop.sql, ser_mysql.sh: -
	  ser_mysql.sh cleanup

2005-11-15 12:24  janakj

	* db/schema/: Makefile, domain.xml, entities.xml, gw.xml,
	  gw_grp.xml, lcr.xml, location.xml, missed_calls.xml,
	  phonebook.xml, silo.xml, speed_dial.xml, trusted.xml, uri.xml,
	  version.xml: - db schema update

2005-11-15 12:23  janakj

	* scripts/dbtext/ser_db/: acc, attr_types, credentials, domain,
	  domain_attrs, global_attrs, gw, gw_grp, lcr, location,
	  missed_calls, phonebook, sd_attrs, silo, speed_dial, trusted,
	  uri, user_attrs, version: - dbtext database template
	  (auto-generated from XML db description)

2005-11-15 12:22  janakj

	* scripts/dbtext/ser_dbtext.sh: - dbtext database management script

2005-11-14 23:53  janakj

	* db/schema/attr_types.xml: - attribute type definitions

2005-11-14 23:52  janakj

	* db/schema/ser.xml: - ser db schema - new generation - user
	  management support

2005-11-14 23:50  janakj

	* doc/stylesheets/dbschema/xsl/: common.xsl, dbtext.xsl, mysql.xsl,
	  sql.xsl: - user management support

2005-11-14 15:54  kubartv

	* lib/cds/ptr_vector.c, lib/cds/ptr_vector.h,
	  modules/rls/rl_subscription.c, modules/rls/rl_subscription.h,
	  modules/rls/rlmi_doc.c, modules/rls/virtual_subscription.c:
	  corrected bug in RLS (freeing virtual subscriptions problem)

2005-11-14 15:26  janakj

	* db/schema/acc.xml: [no log message]

2005-11-14 13:38  kubartv

	* lib/: cds/logger.h, xcap/parse_pres_rules.c, xcap/pres_rules.c:
	  cosmetic changes - removed unuseful logging

2005-11-14 13:34  kubartv

	* modules/pa/: Makefile, dlist.c, notify.c, pa_mod.c, pdomain.c,
	  pdomain.h, presentity.c, presentity.h, publish.c,
	  qsa_interface.c, subscribe.c, watcher.c: asynchronized userloc
	  callback processing and removed unuseful logging

2005-11-14 12:47  kubartv

	* modules/rls/: Makefile, rl_subscription.c, rl_subscription.h,
	  rls_handler.c, rls_mod.c, rls_mod.h, subscription_manager.c,
	  time_event_manager.c, doc/params.xml, doc/rls.xml: improved
	  authorization settings for resource lists

2005-11-14 09:35  kubartv

	* lib/: cds/hash_table.c, cds/memory.c, cds/memory.h,
	  cds/msg_queue.c, cds/msg_queue.h, cds/sstr.c, cds/sstr.h,
	  cds/doc/cds_free_ptr.xml, cds/doc/cds_malloc.xml,
	  cds/doc/cds_malloc_ptr.xml, cds/doc/free_message.xml,
	  cds/doc/init_message_ex.xml, cds/doc/memory.xml,
	  cds/doc/mq_message_t.xml, cds/doc/msg_queue.xml,
	  cds/doc/msg_queue_destroy.xml,
	  cds/doc/set_data_destroy_function.xml,
	  presence/notifier_domain.c, presence/doc/presence.xml,
	  xcap/rls_services_parser.c, xcap/doc/xcap.xml: wrapper memory
	  functions transformed to macros (better debugging), modified
	  message allocation philosophy in message queues and updated
	  documentation

2005-11-11 14:04  kubartv

	* doc/presence/Makefile: added makefile for "presence book"

2005-11-10 17:28  isakdim

	* modules/osp/README: Recompiled sgml files

2005-11-10 17:10  isakdim

	* modules/osp/doc/: osp_devel.sgml, osp.sgml, osp_faq.sgml,
	  osp_user.sgml: Minor documentation updates

2005-11-10 16:40  isakdim

	* modules/osp/etc/sample-osp-ser.cfg:  - Updated comments
	   - Stop fail-over for response codes 486 and 408

2005-11-10 14:36  kubartv

	* doc/: doc_root.xml, presence/examples.xml,
	  presence/presence_book.xml: added cfg example into "presence
	  handbook"

2005-11-09 15:18  kubartv

	* modules/pa/doc/functions.xml, modules/pa/doc/pa.xml,
	  modules/pa/doc/params.xml, doc/doc_root.xml,
	  doc/presence/biblio.xml, doc/presence/install.xml,
	  doc/presence/intro.xml, doc/presence/presence.xml,
	  doc/presence/presence_book.xml, doc/presence/xcap.xml,
	  modules/rls/doc/functions.xml, modules/rls/doc/rls.xml: updated
	  "presence handbook" - documentation of presence and presence
	  modules

2005-11-08 15:45  kubartv

	* lib/: cds/msg_queue.c, cds/msg_queue.h, cds/doc/cds.xml,
	  cds/doc/cds_free.xml, cds/doc/cds_malloc.xml,
	  cds/doc/cds_mutex_destroy.xml, cds/doc/cds_mutex_init.xml,
	  cds/doc/cds_mutex_lock.xml, cds/doc/cds_mutex_t.xml,
	  cds/doc/cds_mutex_unlock.xml, cds/doc/create_message.xml,
	  cds/doc/create_message_ex.xml, cds/doc/destroy_sstream.xml,
	  cds/doc/free_message.xml, cds/doc/get_serialized_sstream.xml,
	  cds/doc/init_input_sstream.xml, cds/doc/init_message_ex.xml,
	  cds/doc/init_output_sstream.xml, cds/doc/is_msg_queue_empty.xml,
	  cds/doc/memory.xml, cds/doc/mq_message_t.xml,
	  cds/doc/msg_queue.xml, cds/doc/msg_queue_destroy.xml,
	  cds/doc/msg_queue_init.xml, cds/doc/msg_queue_init_ex.xml,
	  cds/doc/msg_queue_t.xml, cds/doc/pop_message.xml,
	  cds/doc/push_message.xml, cds/doc/serialization.xml,
	  cds/doc/serialize_char.xml, cds/doc/serialize_int.xml,
	  cds/doc/serialize_str.xml, cds/doc/serialize_uchar.xml,
	  cds/doc/serialize_uint.xml, cds/doc/sstr.xml,
	  cds/doc/sstream_get.xml, cds/doc/sstream_get_str.xml,
	  cds/doc/sstream_get_str_ex.xml, cds/doc/sstream_put.xml,
	  cds/doc/sstream_put_str.xml, cds/doc/sstream_put_zt.xml,
	  cds/doc/str_clear.xml, cds/doc/str_dup.xml, cds/doc/str_free.xml,
	  cds/doc/str_free_content.xml, cds/doc/str_other.xml,
	  cds/doc/str_t.xml, cds/doc/sync.xml, doc/collection.xml,
	  doc/libraries.xml, presence/doc/presence.xml, xcap/doc/xcap.xml:
	  added more documentation to libraries and some cosmetic changes
	  needed by doc

2005-11-04 07:58  kubartv

	* modules/dialog/dlg_mod.c: Corrected module name and
	  initialization behaviour

2005-11-03 10:59  kubartv

	* lib/: README, cds/dstring.h, cds/sstr.c, cds/sstr.h,
	  cds/doc/cds.xml, cds/doc/dstr_append.xml,
	  cds/doc/dstr_get_data.xml, cds/doc/dstr_init.xml,
	  cds/doc/dstring.xml, cds/doc/dstring_t.xml,
	  cds/doc/serialization.xml, cds/doc/sstr.xml,
	  cds/doc/sstream_t.xml, cds/doc/str_t.xml: Added first attempt to
	  CDS library documentation with very short description in README.

2005-11-02 21:37  andrei

	* Makefile.defs: - another distcc related fix: ger proper version
	  even if distcc has some numeric arguments

2005-11-02 19:14  andrei

	* CREDITS, NEWS, cfg.lex, cfg.y, globals.h, main.c, tcp_main.c,
	  udp_server.c: - ip TOS can now be set from ser cfg (thanks to
	  Andreas Granig)

2005-11-02 18:56  andrei

	* Makefile, Makefile.rules:
	  backported from stable: - make proper deletes also cfg.tab.h -
